# ![initiation](img/initiation.png) Initiation simplifiée à l'informatique

**Et c'est parti pour la page qui fait peur...**

**On va commencer avec un simple constat : 
les informaticiens et les utilisateurs ne parlent pas le même langage...**

![dev vs users](img/dev_vs_user.jpg)

**Mais alors … comment va-t-on faire ?**

> Simple : on lit les cahiers du débutant ! ![](img/love.gif)

L'ordinateur est devenu en quelques années un outil quasi indispensable à la 
vie moderne. Le souci est que l'information et l'éducation ne suivent pas le 
rythme du progrès et les besoins des utilisateurs.

Il est donc difficile à un "nouvel utilisateur" de découvrir l'intégralité 
des possibilités de son ordinateur. De plus, nous n'utilisons généralement 
que quelques applications.

Nous allons tenter de simplifier au maximum cet univers afin que vous puissiez 
profiter pleinement de votre ordinateur et des possibilités de Debian.

**L'informatique, comment ça marche ?**

On lance des applications, on clique sur des icônes, on tape du texte avec le 
clavier... On a besoin de l'ordinateur, d'un écran, d'un clavier et d'une souris.

Dans ces cahiers, nous allons vous expliquer les manipulations de base pour 
utiliser votre souris ![mouse](img/mouse.png) et votre clavier ![clavier](img/keyboard.png).

**L'informatique, à quoi ça sert ?**

Résumer l'informatique en quelques phrases semble difficile. 
Pourtant, l'utilisation qu'on en fait est claire : 

- **regarder un film :** que ce soit un film de vacances, un DVD ou un fichier 
vidéo téléchargé sur internet, Debian vous propose différents lecteurs multimédia. 
Un exemple dans ce manuel avec Totem et VLC (chap.6.7).
- **écouter de la musique :** profiter de vos CD audio, de la radio en flux 
direct ou de votre bibliothèque numérique musicale, 
sans soucis avec Rhythmbox (chap.6.8)
- **effectuer une recherche sur internet :** naviguer, consulter et contribuer à 
Internet grâce aux logiciels web Debian, comme Firefox par exemple (chap.6.6).
- **lire ou écrire un courrier électronique :** communiquer avec votre famille, 
vos contacts avec un courielleur ou votre navigateur (chap.6.4)
- **travailler sur des documents formatés, des présentations :** Debian utilise 
plusieurs applications et la suite bureautique LibreOffice (chap.6.9) vous 
permettra toutes sortes de travaux en formats compatibles.
- **parcourir ses photos de familles :** vos souvenirs en un clic, tout simplement 
avec les visionneuses d'images intégrées sur tous les bureaux Debian.
- **imprimer des documents ou des photos :** Debian utilise les serveurs 
d'impression CUPS (chap.6.2.2) et son outil de configuration commun, mais vous 
disposez également d'un outil de configuration simplifié intégré (chap.6.2.1)

C'est exactement ce que vous allez apprendre à faire avec 
**les cahiers du débutant** ![](img/cool.png).

## Déterminez votre niveau informatique

Gardez à l'esprit que ce manuel n'est pas en marbre... nos conseils ne sont que 
des suggestions par rapport à vos connaissances en informatique...

Avant tout, vous êtes libres ![](img/big_smile.png) !

L'important est d'être le plus honnête possible : nous sommes tous débutants 
dans un domaine (personnellement, je suis incapable de changer un carbu') et ce 
n'est pas un défaut. Le souci vient de la place prépondérante de l'outil 
informatique dans nos vies, qui pénalise les débutants du numérique. 
On est là pour changer tout ça  !

Le but de ce manuel n'est pas de vous transformer en *adminsys* GNU/Linux, mais 
simplement vous offrir les outils pour 
**utiliser votre machine comme vous le voulez **!

**Très grand débutant ?**

Vous n'avez jamais ou très rarement touché un clavier ? Vous vous demandez 
encore pourquoi il faut "ouvrir une fenêtre" ou ce qu'est le "glisser-déposer" ? 
Continuez à lire ces cahiers et laissez-vous guider. Vous apprendrez :

- à utiliser votre souris et votre clavier : les outils d'échange direct avec 
la machine,
- à reconnaître les éléments de base des environnements de bureau : menus, 
panels, fenêtres, bureaux virtuels...
- puis vous partirez à la découverte de Debian et ses fonctionnalités.

**Utilisateur débutant ?**

Vous êtes utilisateur Windows® et/ou vous avez une petite expérience sur GNU/Linux 
mais sans l'avoir installé : c'est le moment de choisir votre Debian (chap.4) et 
de découvrir l'interface principale de votre futur système.

**Utilisateur basique ?**

Vous avez déjà utilisé une dérivée Debian et/ou une autre distribution libre et 
vous savez ce dont vous avez besoin, passons directement aux choses sérieuses avec 
l'installation proprement dite (chap.5).

## La souris

La souris est **l'interface physique** qui permet de manipuler votre **pointeur** 
sur l'écran : les mouvements de la souris sont synchronisés avec ceux de la petite 
flèche ![pointeur](img/pointeur_default.png) sur votre bureau.  
Il existe différents [types de souris](https://fr.wikipedia.org/wiki/Souris_%28informatique%29); 
Nous prendrons ici l'exemple de la souris classique à 2 boutons + molette.

### Clic-gauche et Double-clic

**Le clic-gauche** ![clic-gauche](img/clic_gauche.png) (simple-clic), le plus 
commun, sert à **pointer** (sélectionner) un dossier, un fichier, une image que 
vous pouvez **ouvrir** grâce au **double-clic** (deux pressions rapides sur le 
bouton gauche de la souris). Il sert aussi à donner un ordre à l'ordinateur 
(en validant un choix) quand on clique sur un "bouton" ou quelque chose qui 
réagit au clic (la croix qui ferme une fenêtre par exemple).

### Clic-droit

**Le clic-droit** ![clic-droit](img/clic_droit.png) sert à ouvrir un menu contextuel 
(un choix d'options variables en fonction du logiciel utilisé et de "l'objet" pointé) 
pour modifier un fichier, un dossier, une configuration...

### Clic-central

**Le clic-central** ou **molette** ![clic-central](img/clic_central.png) sert au 
défilement, à la copie rapide. Si votre souris ne possède pas de bouton central 
ou de molette, le "clic-central" peut être simulé en appuyant simultanément 
sur les deux boutons.

### Les actions de la souris

L'action principale de la souris est de pointer un élément afin de l'ouvrir 
(dans le cas d'un document par exemple) ou de le lancer (dans le cas d'un lien 
vers une application ou une entrée de menu). Pour cela, rien de bien compliqué, 
il suffit de placer le pointeur sur l'élément puis d'effectuer un double-clic 
avec le bouton gauche de votre souris.

La première chose à **NE PAS FAIRE** est de cliquer plusieurs fois de suite sur 
un bouton si rien ne se passe. Il est possible qu'une application ne se lance 
pas "immédiatement", cela dépend de votre matériel et de l'application lancée. 
Par exemple, le navigateur Web met plus de temps à se lancer que le gestionnaire 
de fichiers.

#### Glisser-déposer

Pour déplacer ou copier graphiquement vos données, il suffit de les "faire glisser" 
et de les "déposer" où on souhaite (l'équivalent graphique de la commande **mv**).

Exemple : pour déplacer un fichier téléchargé dans un dossier, clic-gauche 
maintenu sur le fichier concerné, déplacez la souris vers le dossier de destination, 
puis relâchez le bouton de la souris :

![glisser-déposer : pointer le fichier à déplacer](img/glisser_deposer_1.png)

![glisser-déposer : maintenir la pression sur le bouton](img/glisser_deposer_2.png)

![glisser-déposer : déplacer la souris](img/glisser_deposer_3.png)

![glisser-déposer : relâcher la pression sur le bouton](img/glisser_deposer_4.png)

#### Sélectionner du texte

Placez le pointeur de la souris au début ou à la fin du texte à sélectionner, 
maintenez le clic-gauche enfoncé tout en déplaçant la souris sur le texte, puis 
relâchez le bouton de la souris.

Vous pouvez aussi effectuer un double-clic (2 pressions successives rapides 
sur le bouton gauche) sur le mot à sélectionner, puis déplacez le pointeur.

![Sélection de texte avec la souris](img/selection_texte.png) 

Si vous êtes rapide, un triple-clic permet de sélectionner la ligne ou le paragraphe.

#### Copier-Coller une sélection

**Avec le clic-droit** : le clic-droit va afficher un "menu contextuel" permettant 
plusieurs actions dont le copier/coller demandé. Placez le pointeur sur la partie 
sélectionnée, clic-droit puis sélectionnez "copier". Placez ensuite le pointeur 
à l'endroit où vous désirez coller la sélection. clic-droit à nouveau puis "coller".

![copier-coller un texte : copier une sélection](img/copier_coller_1.png)

![copier-coller un texte : pointer la destination puis clic-droit > coller](img/copier_coller_2.png)

![copier-coller un texte : sélection collée](img/copier_coller_3.png)

**Avec le clic-central** : c'est la méthode la plus rapide. Une fois votre texte 
sélectionné, il vous suffit de placer le pointeur à l'endroit où vous désirez 
coller la sélection, puis d'effectuer un clic-central. Votre sélection sera 
copiée instantanément.

#### Sélectionner plusieurs éléments

Si vous souhaitez déplacer ou supprimer plusieurs éléments d'un dossier, 
vous pouvez les sélectionner ensemble.

Pour sélectionner des éléments contigus : clic-gauche maintenu , déplacez la 
souris pour rassembler les éléments puis relâchez le bouton de la souris. Vous 
pourrez ensuite agir sur la sélection comme expliqué précédemment 
(copier/coller ou menu contextuel).

![Sélection de plusieurs dossiers contigus](img/deb9-selection_elements_contigus.png)

Pour sélectionner plusieurs éléments non-contigus, vous pouvez au choix :

- sélectionner les éléments un par un grâce à la combinaison de la touche [Ctrl] 
de votre clavier et le clic-gauche de votre souris : en maintenant la touche [Ctrl] 
enfoncée, clic-gauche sur les éléments que vous désirez sélectionner.
- Sélectionner tous les éléments puis "retirer" ceux que vous ne désirez pas grâce 
à la combinaison de la touche [Ctrl] et du clic-gauche de votre souris : une fois 
la sélection globale effectuée, et tout en maintenant la touche [Ctrl] enfoncée, 
clic-gauche sur les éléments que vous ne désirez pas sélectionner.

![Sélection de plusieurs éléments non-contigus](img/deb9-selection_elements_non_contigus.png)

## Le clavier

Le clavier est **l'interface physique principale de saisie** de votre ordinateur. 
Mais il ne sert pas uniquement à taper du texte dans la barre de recherche 
Internet ou à travailler avec un éditeur de texte. Il intègre des touches 
spéciales appelées **touches de modification** qui permettent d'effectuer des 
actions rapides en modifiant le comportement des touches "normales". La 
combinaison de certaines touches "spéciales" avec des touches "normales" 
forme les **raccourcis claviers**.

**Le clavier standard AZERTY**

![Disposition standard pour les claviers français (cc-by-sa)](img/clavier_azerty.png)

### Les touches de modification

Les touches "non-alphabétiques" de votre clavier vous donnent accès aux fonctions 
étendues d'édition ou d'action. Du simple retour à la ligne dans un éditeur avec 
[Enter] au lancement de l'aide avec la touche [F1], voici le descriptif de ces 
touches particulières :

- **[ENTER]** La première touche "spéciale" sans être réellement une touche 
de modification. C'est la touche la plus importante de votre clavier, celle 
qui vous permet d'envoyer une commande, de lancer une recherche, celle qui 
dit "oui" à l'ordinateur. Lorsqu'une fenêtre de dialogue s'affiche à l'écran, 
que ce soit pour confirmer un téléchargement ou la suppression d'un logiciel, 
prenez le temps de lire avant de presser la touche [ENTER].
- **[Ctrl]** ou **[Control]** Située de part et d'autre de la barre d'espace 
en bas de votre clavier, c'est la touche prévue par défaut pour la plupart des 
raccourcis clavier.
- **[Alt]** ou **[Fonction]** Par défaut la touche qui permet d'afficher les 
raccourcis spécifiques des applications. Sur une fenêtre ouverte, presser la 
touche [Alt] fait apparaître les touches rapides pour naviguer dans les menus, 
effectuer des actions. Ces touches rapides sont identifiées par un soulignement.
- **[AltGr]** Permet d'utiliser les caractères cachés de votre clavier. Plus 
d'infos dans la section sur les caractères spéciaux (chap.2.3.3).
- **[ESC]** ou **[Echap]** Permet d'annuler la dernière touche de modification 
frappée ou de fermer une boite de dialogue demandant à l'utilisateur de faire 
un choix (cela revient à cliquer sur le bouton "Annuler" proposé dans cette 
boite de dialogue).
- **[Tab]** ou **[Tabulation]** Représentée par deux flèches allant dans des 
sens opposés, elle permet de compléter une commande ou de circuler dans les 
menus d'une fenêtre. Vous trouverez cette touche à la gauche du clavier la 
plupart du temps.
- **[Shift]** ou **[MAJ]** Représentée par une large flèche vers le haut, elle 
permet de taper des lettres majuscules ou des chiffres.
- **[CapsLock]** ou **[Verrouillage]** Représentée par un cadenas ou un [Shift] 
plus large, elle permet de simuler le maintien de la touche [Shift].
- **[F1]**, **[F2]**...**[F12]** Exécutent des fonctions variées... Forcément. 
La touche [F1] est communément utilisée pour l'aide des applications, [F11] 
pour le passage en plein-écran par exemple.

### Les raccourcis clavier

*Pourquoi ?* **Ça va plus vite !** ![](img/big_smile.png)

Notez que les raccourcis clavier s'effectuent en maintenant simultanément les 
touches enfoncées : pour copier une sélection, pressez la touche [Ctrl] puis, 
tout en maintenant la pression sur [Ctrl], pressez la touche 'c'. Vous pouvez 
relâcher les touches, votre sélection est collée dans le "presse-papier" 
(une mémoire d'édition intégrée au système).  
Voici une petite sélection des **raccourcis clavier** les plus utiles : 

| raccourcis | action |
|------------|--------|
| [Shift] + flèches | effectuer une sélection |
| [Ctrl] + 'c' | Copier une sélection |
| [Ctrl] + 'x' | Couper une sélection (dans le but de la déplacer) |
| [Ctrl] + 'v' | Coller la dernière sélection copiée/coupée |
| [Ctrl] + 'f' | Rechercher un mot ou une expression |
| [Ctrl] + '+/-' ou molette de la souris | Zoom/dézoom l'affichage |
| [Alt] + [F4] | Fermer la fenêtre active |
| [Alt] + [Tab] | Circuler entre les fenêtres ouvertes |
| [F1] | Ouvrir l'aide de l'application au premier plan |
| [F11] | Basculer l'affichage en plein-écran |

![noob](img/noob-modarp-circle-icon.png)  
Notez que certaines fonctions sont disponibles pour le texte (copier/coller) 
mais aussi pour les fichiers : si vous sélectionnez plusieurs images dans 
votre dossier de photos, et que vous effectuez un [Ctrl]+'c' puis un 
[Ctrl]+'v' sur votre bureau, vos photos seront copiées sur votre bureau. 
De la même façon, [Ctrl]+molette zoomera l'affichage aussi bien dans votre 
navigateur internet que sur votre gestionnaire de fichiers.

### Les caractères spéciaux

Les claviers ne peuvent contenir autant de touches que de caractères possibles. 
Afin d'écrire les caractères particuliers en français, il faut combiner les 
touches à la manière des raccourcis (pression simultanée des touches).

Tout d'abord, un aperçu des touches "cachées" de votre clavier azerty :

![Les caractères spéciaux accessibles depuis votre clavier (cc-by-sa)](img/clavier_azerty_xtra.png)

Chaque symbole est associé à une combinaison de touche(s). Ainsi pour écrire 
"œ", il vous faudra presser simultanément les touches [AltGr] et 'o' 
(la lettre, pas le chiffre). Notez que plusieurs "variantes" existent pour 
les claviers français et que certains caractères spéciaux peuvent varier.

![Le détail des caractères disponibles depuis la touche "c"](img/caracteres_touche.png)

Si vous n'êtes pas à l'aise avec les exercices de pression simultanée, vous 
pouvez toujours copier-coller les caractères spéciaux depuis 
[un tableau de caractères](http://www.jchr.be/html/caracteres.htm#).

## Exercices en ligne

**La page d'exercices des cahiers (souris et clavier) :** 
[https://lescahiersdudebutant.fr/exercices/](https://lescahiersdudebutant.fr/exercices/)

**S'exercer à la souris :**

- S'entraîner au clic-gauche : 
[http://annie.clic.free.fr/index1.htm](http://annie.clic.free.fr/index1.htm)
- S'entraîner à la molette et aux barres de défilement : 
[http://annie.clic.free.fr/page20a.html](http://annie.clic.free.fr/page20a.html)
- Sélectionner du texte : 
[http://annie.clic.free.fr/page30.html](http://annie.clic.free.fr/page30.html)
- Copier Coller une sélection : 
[http://annie.clic.free.fr/page31.html](http://annie.clic.free.fr/page31.html)

**S'exercer au clavier :**

- S'entraîner à taper : 
[http://www.pctap.net/](http://www.pctap.net/)
- Jeux avec le clavier : 
[http://www.sense-lang.org/typing/games/FR.php?key=french](http://www.sense-lang.org/typing/games/FR.php?key=french)

## Les utilisateurs

Une des grandes forces des systèmes GNU/Linux est la gestion des utilisateurs. 
La séparation des responsabilités et des droits assure une meilleure sécurité 
lors de la gestion du système et ses échanges avec le réseau. Petite explication...

### $USER

![user](img/icon_user.png)  
En règle générale, l'utilisateur, c'est évidemment vous. On parle parfois 
d'*Interface chaise/clavier (ICC)*, puisque votre place est bien entre la chaise 
et le clavier, ou la souris. Lorsque vous travaillez sur votre ordinateur, 
celui-ci ne vous voit pas. Il voit juste les actions d'un utilisateur 
(*user* en anglais) ayant un nom (*login*), et parfois un mot de passe (*password*).

Chaque utilisateur est autorisé par l'ordinateur à réaliser un certain nombre 
d'actions. Votre utilisateur peut, par exemple, utiliser la souris et le clavier, 
lire et écrire certains documents (fichiers), mais pas tous. On appelle cela 
les *droits* : pour effectuer des tâches d'administration, il faut obtenir 
les droits de l'administrateur **root** (chap.3.8.3).

### ROOT

![root](img/icon_root.png)  
Un seul utilisateur a tous les droits, c'est *l'administrateur*. Cet utilisateur 
est donc en mesure de réaliser certaines tâches (pour l'administration du 
système notamment) que les utilisateurs *normaux*  ne peuvent pas faire. Mais 
une mauvaise manipulation réalisée par cet utilisateur *root* est en mesure 
de tout casser.

Sur un ordinateur de bureau à la maison, vous pouvez utiliser l'ordinateur à la 
fois comme *utilisateur* et comme *administrateur*. Certaines actions bien 
précises sont à faire pour passer de l'un à l'autre, dont la saisie du mot de 
passe administrateur root (chap.3.8.3).

### Séparer pour sécuriser

![chose](img/icon_chose.png)  
C'est cette distinction nette, qui n'existe pas nécessairement sous d'autres 
systèmes d'exploitation, qui renforce la stabilité et la sécurité du système 
Debian GNU/Linux dont nous avons parlé en début de manuel. En utilisant un 
*simple utilisateur*, vous ne pouvez pas rendre votre ordinateur complètement 
inutilisable, et les éventuels virus ne peuvent pas infecter l'ensemble du système.

**Plus de détails sur les droits et permissions dans le chapitre 3.7.**

