# ![desktop](img/desktop.png) L'environnement graphique

**Commençons par découvrir les différents éléments affichés à l'écran.** 
Sur cette capture d'écran de l'environnement de bureau Xfce, vous pouvez 
déjà identifier les premiers éléments détaillés dans la suite des cahiers :

**le "panel" ou "barre de tâches"** (en haut dans l'exemple mais pourra 
être déplacé comme vous le souhaitez) qui intègre de gauche à droite :

- le "menu des applications" listant vos logiciels installés,
- une série de lanceurs (les petites icônes) pour vos applications favorites,
- la liste des fenêtres ouvertes,
- la liste des bureaux virtuels,
- l'heure
- la zone de notification (affichant la connexion réseau filaire),
- le bouton utilisateur qui permet de quitter la session de travail, 
éteindre ou redémarrer votre ordinateur.

**une fenêtre du gestionnaire de fichiers** qui liste les répertoires 
de votre dossier personnel.

![Le bureau Xfce avec le menu des applications et Thunar](img/deb9-prezdesktop.png)

Vous découvrirez d'autres interfaces et agencements dans le chapitre dédié 
aux environnements de bureau (chap 4.2).

## Les barres de tâches

Le "panel", la barre de tâches, la barre d'information... tout ceci pour parler 
de l'interface de lancement et d'information de votre système.

C'est généralement un bandeau situé en haut ou en bas de votre écran, et qui 
affiche plusieurs informations, lanceurs, menus pour vous permettre d'accéder 
rapidement à vos données ou vos applications, mais aussi pour vous informer 
(d'un nouveau courriel, de l'heure, si un disque USB est branché...) via la 
zone de notification.

Voici un aperçu des différents "panels" des bureaux Debian sur Gnome, Xfce, 
LXDE; MATE, Cinnamon et KDE:

![panel Gnome-Shell](img/deb9-panel-gnome-shell.png)

![panel Xfce](img/deb9-panel-xfce.png)

![panel LXDE](img/deb9-panel-lxde.png)

![panel MATE](img/deb9-panel-mate.png)

![panel Cinnamon](img/deb9-panel-cinnamon.png)

![panel KDE](img/deb9-kde-panel.png)

La barre de tâches, quel que soit le bureau, affiche au minimum les 
éléments suivants :

- **Un menu d'applications** vous permettant d'accéder aux logiciels installés. 
Les applications sont généralement classées par catégories (Multimédia, Bureautique...) 
et se lancent lors d'un clic-gauche sur leur label ou leur icône.
- **Une liste des fenêtres actives** ou du moins, le titre de la fenêtre active 
affiché. Un clic-gauche sur le bouton dédié va, selon le contexte, minimiser, 
restaurer ou mettre au premier plan l'application ciblée.
- **L'heure avec la date** au survol du pointeur. Sur certains bureaux, un 
clic-gauche sur l'heure ouvre un agenda.
- **Une zone de notification** plus ou moins garnie selon le bureau, prévue pour 
afficher les messages de vos applications (nouveau courriel, connexion réseau...)
- **Un bouton d'action** pour quitter la session de travail, mettre en veille, 
redémarrer ou arrêter votre ordinateur. Vous pourrez aussi, selon votre 
configuration, changer d'utilisateur depuis ce bouton d'action, et profiter du 
mode multi-utilisateur des systèmes Debian GNU/Linux.

Comme la plupart des éléments des bureaux GNU/Linux, la barre de tâches peut 
être configurée, agrémentée de greffons (petits modules spécialisés.) ou 
tout simplement supprimée ![](img/wink.png) !

Un clic-droit sur le "panel" ouvre un menu déroulant permettant la configuration 
(sauf pour le bureau Gnome-3). Ici un exemple de configuration du panel Xfce :

![Configurer le panel Xfce depuis un clic-droit](img/panel_xfce_cfg1.jpg)

![Configuration du panel Xfce](img/panel_xfce_cfg2.jpg)

Plus de détails dans la section de découverte des bureaux GNU/Linux (chap.4.2).

## Les menus

Les applications installées sur votre système sont disponibles via plusieurs 
vecteurs : lanceurs sur le bureau, dans la barre de tâches ou plus généralement, 
depuis les **menus**.

Dans les menus, vos programmes sont **listés et classés par catégories**. Un 
clic-gauche sur l'icône de menu affiche les entrées d'applications et de sections. 
Un clic-gauche sur l'icône d'un logiciel lance l'application dédiée. Chaque 
bureau possède son menu spécifique :

Menu par catégories sur Cinnamon :

![menu Cinnamon](img/debian-9-cinnamon-menu.png)

Menu déroulant classique sur Xfce :

![menu déroulant Xfce](img/debian-9-xfce-menu.png)

Menu plein-écran pour Gnome-Shell :

![menu Gnome-Shell](img/debian-9-gnome-shell-menufullscreen.png)

## Les fenêtres

Vos applications, vos données, vos clés USB, sont généralement affichées 
dans un cadre décoré. Chaque environnement de bureau décore ses fenêtres 
à sa façon, mais on retrouve généralement les mêmes fonctions :

- **la barre de titre** en haut affiche le titre de la fenêtre et les 
boutons d'actions (minimiser/maximiser/fermer)
- **les décorations** entourant la fenêtre et qui proposent aux coins 
inférieurs, deux zones pour redimensionner la fenêtre à l'aide du clic-gauche .
- **la zone de statut** : certaines applications affichent des informations 
au bas des fenêtres (place disponible sur la partition active, poids du 
fichier pointé, etc.)

Voici un exemple de fenêtres sur le bureau Gnome :

![Le navigateur Firefox et le gestionnaire de fichiers sous Gnome](img/debian-9-fenetres.png)

Afin d'**agir sur les fenêtres**, vous pouvez utilisez certains raccourcis 
claviers (chap 2.3.2) mais plus généralement, c'est votre souris qui entre en jeu.

### Fermer une fenêtre

Pour fermer, clic-gauche sur le bouton "fermer" des fenêtres ouvertes : il 
est généralement symbolisé par une croix et est situé en haut à droite dans 
la plupart des cas.

![Fermer une fenêtre avec la souris](img/debian-9-fermer_fenetres.png)

### Déplacer une fenêtre

Pour déplacer une fenêtre sur votre écran, il suffit de placer votre pointeur 
sur la **barre de titre** (en haut de la fenêtre), puis clic-gauche maintenu 
et déplacement.  
Votre pointeur change alors d'apparence :  
![pointeur](img/pointeur_default.png) devient ![main](img/pointeur_main.png)

La fenêtre suivra le pointeur tant que vous gardez la pression sur le bouton 
de la souris.  
Si vous n'avez pas accès à la barre de titre, vous pouvez utiliser la touche 
spéciale [Alt] de votre clavier. Placez votre pointeur dans la fenêtre puis 
pressez simultanément sur [Alt] et le clic-gauche de votre souris, vous 
pourrez alors déplacer votre fenêtre.

### Redimensionner une fenêtre

Les fenêtres s'affichent directement avec une certaine taille sur votre écran. 
Pour les fermer, vous avez vu qu'il fallait cliquer sur le bouton de 
fermeture signalé par une croix.

**Pour redimensionner une fenêtre**, il faut placer le pointeur sur un des 
bords de la fenêtre ou mieux, sur l'un des coins inférieurs.  
Votre pointeur change alors d'apparence :  
![pointeur](img/pointeur_default.png) devient ![pointeur bl](img/pointeur_bl.png) 
ou ![pointeur br](img/pointeur_br.png) selon que vous placiez le pointeur à 
gauche ou à droite.

Un clic-gauche maintenu lorsque le pointeur change d'apparence vous permettra 
de redimensionner la fenêtre à votre convenance.

Si vous n'avez pas accès à la barre de titre, vous pouvez utiliser la touche 
spéciale [Alt] de votre clavier. Placez votre pointeur dans la fenêtre puis 
pressez simultanément sur [Alt] et le clic-droit de votre souris, vous 
pourrez alors redimensionner votre fenêtre.

**Pour maximiser la fenêtre**, effectuez un double-clic (deux pressions 
rapides sur le clic-gauche de votre souris) sur la barre de titre (sur GNOME) 
ou utilisez le bouton de maximisation situé juste à côté du bouton de 
fermeture s'il est présent (sur la plupart des bureaux).

## Les bureaux virtuels

Pour éviter de surcharger votre espace de travail, les environnements Debian 
GNU/Linux proposent depuis plusieurs années le principe des bureaux virtuels : 
ce qui s'affiche à l'écran est déposé sur un "bureau". Vous pouvez en avoir 
plusieurs, ce qui signifie que si vous passez sur un autre "bureau", celui-ci 
sera vide. Si vous revenez sur le premier bureau, vous retrouvez vos 
applications ouvertes.

![noob](img/noob-modarp-circle-icon.png)  
**... Comment ça "plusieurs bureaux" ??**  
C'est comme si vous aviez **plusieurs écrans** pour votre ordinateur, collés 
**les uns derrière les autres** avec la possibilité de changer l'ordre à volonté. 
Vous ouvrez votre navigateur internet en plein écran sur votre premier bureau 
virtuel, puis vous voulez jeter un œil aux dernières photos de familles. Alors 
vous "passez au bureau suivant" qui se trouve vide, vous pouvez ainsi afficher 
vos photos en plein écran aussi, et revenir à votre premier bureau pour 
profiter de tout l'espace pour votre navigation.  
C'est aussi un moyen de **classer vos tâches** : le premier bureau sera réservé 
aux applications Internet, le deuxième au multimédia, le troisième à la 
bureautique et ainsi de suite, vous permettant ainsi de laisser votre travail 
ouvert pour une modification ultérieure, sans que cela gène vos autres activités.

Chaque environnement affiche les bureaux virtuels à sa façon :

**Gnome** affiche vos bureaux dans un panneau latéral :

![Gnome et 4 bureaux virtuels listés à droite](img/debian-9-gnome-shell-bureau_virtuel.png)

**Xfce** affiche les bureaux dans son panel sous la forme de cadres représentants 
les différents espaces de travail :

![Xfce et 4 bureaux virtuels dans le panel](img/debian-9-xfce-bureau_virtuel.png)

## La gestion des fichiers sur GNU/Linux

Vos données, vos films, vos documents et vos photos sont considérés comme des fichiers 
par Debian GNU/Linux. Ces fichiers sont organisés dans des dossiers.  
Debian est un système d'exploitation (le gros programme qui fait tourner votre 
ordinateur) qui organise les données selon leurs adresses respectives, c'est-à-dire 
le chemin à parcourir pour y accéder depuis le point de départ général (la racine 
du système identifiée par un "/") :

![noob](img/noob-modarp-circle-icon.png)  
**... la photo de mamie est un "fichier" qui a une "adresse" par rapport à une "racine" ???**  
Imaginez votre ordinateur comme votre maison. Si votre livre préféré se trouve à un 
certain endroit, cet "endroit" est comme son "adresse" par rapport à la "maison". 
Par exemple, si ce livre se trouve dans le 2° tiroir de votre table de nuit, on peut 
définir son "adresse" (le chemin qu'il faut parcourir pour l'atteindre) ainsi : 
Maison,chambre,table de nuit,2° tiroir, livre préféré.  
Pour séparer les "pièces", on utilise le symbole "/". ce qui traduit l'adresse en 
langage informatique par : /maison/chambre/table de nuit/2° tiroir/livre préféré.  
La "racine" du système est symbolisée par un simple "/". le dossier principal 
contenant les données des utilisateurs est symbolisé par "/home/" et votre 
dossier personnel porte votre nom d'utilisateur "/home/jean-heudes/"  
Si on reprend l'exemple du livre préféré, son adresse pourrait être :  
"/home/jean-heudes/Documents/livres/mon_livre_préféré.pdf"

### Vos données personnelles

Vos données personnelles sont stockées dans votre dossier personnel, à l'adresse 
"/home/votre nom d'utilisateur". Elles sont organisées en dossiers pour plus de 
facilité lors de la recherche et de la consultation par vous ou certains de vos 
programmes (il est plus logique pour une visionneuse d'images de s'ouvrir dans 
votre dossier "Images").

Debian est livrée avec quelques dossiers dans votre dossier personnel pour 
organiser au mieux vos données : Bureau, Documents, Images, Modèles, Musique, 
Téléchargements et Vidéos.

![Le gestionnaire de fichier Thunar sur Xfce avec deux onglets ouverts](img/donnees_perso.png)

### Vos fichiers cachés

Certains fichiers de votre dossier personnel concernent la configuration de votre 
interface, votre police d'affichage, vos mots de passe Firefox, etc.  
Ce type de données n'a aucunement besoin d'être affiché à l'écran lorsque vous 
consultez vos photos ou vos documents : c'est pourquoi ces dossiers ou fichiers 
sont *cachés*.

Ces dossiers ou fichiers cachés sont identifiés sous la forme 
"/home/votre nom d'utilisateur/.fichier caché" . Notez le "**.**" (point) devant 
le nom du fichier. Pour les afficher, pressez simultanément [Ctrl]+h (h pour 
"hidden") ou depuis le menu de votre gestionnaire de fenêtres "Vue" > "Montrer 
les fichiers cachés" :

![Affichage des fichiers cachés dans Thunar sur Xfce](img/fichiers_caches.png)

### Les fichiers du système

Debian GNU/Linux intègre une série de programmes pour naviguer sur internet, 
dans votre dossier personnel, dans vos photos, etc. Ces programmes sont situés 
dans des "dossiers système".

Ces dossiers sont protégés en écriture et certains en lecture : cela signifie 
que vous pouvez en consulter certains, mais que vous ne pouvez en modifier aucun 
en tant que simple utilisateur.

Pour modifier ces dossiers ou fichiers, vous devez passer par le compte 
administrateur du système : "root" (chap.3.8.3).

## Exemple de gestionnaire de fichiers : Thunar

![](img/thunar.png)  
**Thunar** est le gestionnaire de fichiers par défaut du bureau **Xfce**. Ce 
programme vous permet de naviguer dans vos dossiers "Images", "Documents", etc, 
avec l'aide de la souris (en effectuant un double-clic sur un dossier pour 
parcourir son contenu) ou du clavier (naviguez parmi les dossiers avec les 
flèches du clavier puis pressez la touche [Enter] pour l'ouvrir). Son rôle est 
d'afficher à l'écran le contenu de ces dossiers : vos données personnelles. 
Thunar est accessible depuis le menu d'applications Xfce de votre barre de 
tâche, sous le nom "gestionnaire de fichiers".

Chaque environnement de bureau GNU/Linux a son gestionnaire de fichiers dédié 
(sinon c'est pas drôle) qui présente une interface légèrement différente de 
celle de Thunar. Cependant, vous retrouverez les mêmes fonctionnalités de 
consultation, recherche et modification des données.

### Présentation simplifiée de Thunar

Lorsque Thunar affiche votre dossier personnel, un certain nombre 
d'informations et d'outils sont déjà à votre disposition :

![Présentation du gestionnaire de fichiers Thunar](img/thunar_default.png)

- **#1 La barre de titre** : elle renseigne sur le programme lancé, le nom 
du dossier consulté. Elle intègre les "boutons d'actions" qui permettent, 
lors d'un clic-gauche de la souris, de minimiser la fenêtre (alors disponible 
dans la barre de tâches), maximiser la fenêtre ( elle occupera tout l'écran), 
fermer la fenêtre ou d'autres actions selon le gestionnaire de fenêtre utilisé.
- **#2 La barre de menu** : elle permet d'agir sur les fichiers ou dossiers 
(copier/coller/effacer/renommer, etc), de changer d'emplacement, de style 
d'affichage (en icônes, liste, liste compacte), ou de fermer la fenêtre 
toujours à l'aide du clic-gauche.
- **#3 La barre d'emplacements** : elle indique le dossier dans lequel vous 
êtes et si la place est suffisante, le(s) dernier(s) dossier(s) visité(s).
- **#4 la barre d'onglets** : elle indique les dossiers ouverts dans la 
fenêtre active. Les onglets Thunar fonctionnent comme ceux de votre navigateur 
internet.
- **#5 Le panneau latéral** : il affiche les dossiers principaux (dossier 
personnel, corbeille, système de fichiers, bureau), vos raccourcis (dossiers 
préférés) et les volumes externes (clés USB ou disques durs externes branchés 
en USB). Un clic-gauche sur un libellé affichera le dossier sélectionné. Un 
clic-central ouvrira le dossier dans un nouvel onglet (pratique pour déplacer 
ou copier des données). Le panneau latéral peut aussi afficher l'arborescence 
de votre système, c'est-à-dire l'intégralité de vos dossiers et fichiers 
classés hiérarchiquement. Vous pouvez masquer/afficher le panneau latéral avec 
le raccourci clavier [Ctrl]+'b'
- **#6 Le cadre principal** : il affiche le contenu du dossier. Si le dossier 
sélectionné contient d'autres dossiers, ils seront affichés avant les fichiers 
"simples" (photos, documents PDF, etc) et classés, par ordre alphabétique par défaut.
- **#7 La barre de statut** : elle affiche le nombre d'éléments dans le dossier 
concerné, indique si un ou plusieurs fichiers sont sélectionnés ainsi que la 
place restante sur le système de fichiers affiché.

### Utilisation et fonctionnalités de Thunar

Thunar va vous permettre de consulter vos données, 
les classer et les modifier. 

Notez que d'autres gestionnaires de fichiers utilisent un rendu différent qui 
permet d'afficher le menu de l'application directement dans la barre de titre, 
comme sur Gnome par exemple (chap.4.2.1).

#### Consultation des données

La consultation de vos données est simple. Lancez **Thunar** qui s'ouvrira par 
défaut sur votre dossier personnel. Vous pouvez alors choisir d'ouvrir un 
dossier spécifique selon la nature des données à consulter.

**Pour visiter, ouvrir un dossier**, placez le pointeur de votre souris dessus : 
un double clic-gauche ouvrira le dossier dans la même fenêtre. Un clic-central 
ouvrira le dossier sélectionné dans un onglet de la fenêtre.

Vous pouvez également cliquer sur un des raccourcis situés dans le panneau latéral 
gauche de votre fenêtre Thunar.

**Pour ouvrir un fichier**, placez le pointeur dessus : un double clic-gauche 
ouvrira le fichier avec l'application assignée par défaut. Un clic-droit 
ouvrira un menu contextuel qui vous permettra, entre autres choses, d'ouvrir 
le fichier avec l'application de votre choix.

#### Sélection des données

Pour sélectionner plusieurs éléments, placez votre pointeur dans un espace vide 
de votre fenêtre puis, clic-gauche maintenu pour sélectionner les éléments 
désirés en déplaçant votre pointeur, puis relâchez votre souris. Pour retirer 
un ou plusieurs éléments de la sélection, vous pouvez pointer l'élément, 
puis clic-gauche tout en appuyant sur la touche [Ctrl] de votre clavier.  
Plus de détails dans l’initiation simplifiée (chap.2.2.4.4).

Une fois sélectionnés, vous pouvez effectuer les actions de modification 
détaillées dans le chapitre "Modifications" ci-après.

#### Classement des données

Vous allez me dire :

> je fais bien ce que je veux avec mes données

... et **vous avez bien raison** ![](img/big_smile.png) !  
Cependant, certaines applications iront chercher plus facilement vos données 
dans leurs dossiers spécifiques. Ainsi, le logiciel de capture d'écran 
enregistrera dans le dossier "Images", votre navigateur internet enregistrera 
vos données dans le dossier "Téléchargements", votre lecteur de musique 
cherchera dans votre dossier "Musique"... Et ainsi de suite.

**Thunar** vous permet de créer des raccourcis afin de faciliter l'accès, 
le classement et donc la recherche, de vos données.

**Pour créer un raccourci**, il suffit de "glisser-déposer" le dossier 
désiré dans le panneau latéral : clic-gauche maintenu sur le dossier 
sélectionné, puis déplacez votre pointeur dans le panneau latéral. 
Votre dossier sera alors toujours accessible d'un simple clic.

#### Modifications des données depuis le menu contextuel

Le menu contextuel déclenché par un clic-droit sur un dossier ou un fichier, 
vous permettra d'effectuer une série de modifications sur le dossier ou 
fichier sélectionné.

![Le menu contextuel dans Thunar](img/thunar_menu_contextuel.png)

Dans notre exemple, le menu contextuel vous propose les actions suivantes :

- **Ouvrir** avec l'application par défaut, ici la visionneuse d'images Ristretto.
- **Ouvrir** avec une autre application : si vous choisissez cette option, 
une fenêtre vous permettra de naviguer dans votre système afin de sélectionner 
une application différente (commencez par /usr/bin/nom de l'application).
- **Envoyer vers** est un menu pour partager par courriel, placer comme 
lanceur ou d'autres option différentes selon le type de fichier sélectionné.
- **Couper** : cette action **supprimera** le fichier/dossier sélectionné dans 
le but d'être **collé** ailleurs. Il vous suffit ensuite de naviguer jusqu'au 
**dossier de destination**, d'effectuer un clic-droit dans la fenêtre du 
dossier de destination et de choisir "**coller"**.
- **Copier** : cette action laissera un exemplaire du fichier/dossier sélectionné 
sur place et fera **une copie dans le dossier de destination** selon la même 
procédure que pour "couper".
- **Déplacer dans la corbeille** : cette action **supprimera** le fichier/dossier 
sélectionné pour le déplacer directement dans votre **corbeille** (voir le 
chapitre suivant)
- **Supprimer** définitivement le fichier sélectionné
- **Renommer** : cette action vous permet de modifier le nom du fichier/dossier 
sélectionné.
- **Définir comme fond d'écran** est explicite et n'apparaît que sur une image
- **Créer une archive** : cette action vous permet de compresser un ou plusieurs 
fichier(s) ou dossier(s) sélectionné(s). Dans la fenêtre qui s'affiche alors, 
choisissez un dossier de destination en naviguant dans le panneau latéral, 
puis indiquez le nom de votre archive avec son type. Clic sur "Nouveau" pour 
lancer la création de l'archive.
- **Propriétés** : cette action vous permet de modifier le nom du fichier, 
l'application par défaut pour ouvrir ce fichier, lui attribuer un "emblème" ou 
gérer les droits et "Permissions d'accès" du fichier/dossier sélectionné.

#### Suppression de vos données

La fameuse "Corbeille". Elle est accessible directement depuis le panneau 
latéral de votre fenêtre Thunar. Une icône "pleine" vous indique que des 
éléments se trouvent dans la corbeille.

![Vider la corbeille depuis le menu de Thunar](img/thunar_corbeille.png)

**Pour vider la corbeille** et supprimer définitivement les éléments qui s'y 
trouvent, clic-gauche sur l'icône appropriée puis choisir "Vider la corbeille". 
Vous pouvez aussi passer par le menu "Fichier" de la barre d'outils Thunar 
puis "Vider la corbeille".

Il arrive que le menu contextuel comporte l'entrée "Supprimer". Soyez vigilants 
car cette entrée de menu ne déplacera pas vos fichiers dans la corbeille : 
ils seront supprimés immédiatement et définitivement.

## Les droits et permissions

Debian est un système GNU/Linux **multi-utilisateur**. Il faut donc un mécanisme 
pour protéger les dossiers et les fichiers appartenant à chacun pour que 
l'utilisateur *bendia* ne puisse pas modifier le tableau de compte des 
points-chocolat de l'utilisateur *smolski* par exemple.

Pour cela, chaque fichier et chaque dossier appartient à un *propriétaire* 
et à un *groupe d'utilisateur*.

On peut donner pour chaque dossier ou fichier les droits en lecture 
(**R**ead en anglais), en écriture (**W**rite) et en exécution (e**X**ecution), 
et ce distinctement pour le **propriétaire**, le **groupe**, et les **autres** 
(qui ne sont donc ni propriétaire, ni membre du groupe propriétaire).

Pour avoir ces informations, on peut utiliser une commande dans un terminal 
(que vous découvrirez au chapitre suivant) : "ls" (*lister*) avec l'option "-l".

    ls -l
    -rw-r----- 1 smolski gourmands 4096 août 1 16:13 compte_points_choco.ods

Ainsi, on peut voir que l'utilisateur *smolski* a les droits en lecture "**r**" 
et en écriture "**w**" sur le fichier de compte des points-chocolat, que les 
membres du groupe *gourmands* (dont fait partie l'utilisateur *bendia*) 
peuvent juste "**r**"  lire le fichier sans le modifier et que les autres ne 
peuvent pas l'ouvrir "**-**".

![droits et permissions](img/droits-permissions.jpg)

### Droits et permissions depuis le menu contextuel

Les gestionnaires de fichiers intégrés dans les bureaux Debian permettent 
aussi de visualiser et/ou modifier les droits et permissions des dossiers ou 
fichiers de votre système "avé la souris". Pour cela, vous devez ouvrir le 
menu contextuel avec un clic-droit sur le fichier/dossier dont vous désirez 
connaître les permissions, et choisir "Propriétés" :

![menu contextuel : propriétés](img/deb9-menucontextuel_proprietes.png)

Dans la fenêtre qui s'affiche, sélectionnez l'onglet "Permissions" :

![Édition des droits et permissions depuis le menu contextuel](img/deb9-menucontextuel_permissions.png)

Dans cet exemple, le fichier appartient à "Moi" (arp) qui a accès en lecture 
et écriture, et est accessible en lecture aux autres utilisateurs ou groupes.

## Le terminal

![terminal](img/terminal.png)  
Lorsque vous lancez une application depuis un menu, lorsque vous déplacez un 
fichier d'un dossier à un autre avec votre souris, vous envoyez graphiquement 
des instructions à l'ordinateur. 

Ces instructions peuvent être envoyées directement sans passer par un menu ou 
un logiciel grâce au **Terminal** qui vous donne accès à la **ligne de commande**. 
Cet outil est plus précis qu'une interface graphique, car vous avez accès à *toutes 
les options* de vos applications. Il est aussi votre seul recours en cas de perte 
de session graphique.

Le souci est que ça fait un peu peur cette petite boite pleine de signes étranges ... 
alors on va démystifier tout ça et vous montrer que le terminal peut devenir 
votre nouvel ami ![](img/smile.png).

Dans le doute, n'hésitez pas à poser vos questions sur les forums d’entraide (chap.1.2) 
avant de lancer une commande.

![warning](img/warning.png)  
**Ne testez pas votre terminal en mode administrateur !!** : Certaines commandes bien 
pratiques comme "**rm**" (**r**e**m**ove = efface) permettent de passer par-dessus le 
principe de la "corbeille" mais peuvent être dévastatrices en mode administrateur sur 
un système entier.

![La geekette de Péhä (CC-BY-SA)](img/geekerieeyes-modarp-220.png)

### Présentation

On va commencer simplement par ce que vous voyez :

![Présentation du terminal](img/deb9-term-prez.png)

- **l'identifiant**, c'est vous, enfin, celui ou celle qui se connecte pour utiliser 
le terminal
- **le nom d'hôte**, c'est le nom de votre machine sur le réseau local, celui que 
vous renseignez lors de l'installation.
- **l'adresse** est le chemin qui mène à l'endroit où vous vous trouvez sur le 
système (ici le dossier personnel /home/arp/ symbolisé par un tilde "~")
- **l'invite de commande** est l'endroit où vous allez lancer une commande. Le 
"retour" (le résultat de la commande) sera affiché à la suite.

La configuration de cet affichage se trouve dans le fichier ~/.bashrc (un fichier 
caché de votre répertoire personnel), le fichier de configuration de l'interpréteur 
"bash" qui gère les commandes lancées dans le terminal (pour faire court). **bash** 
permet d'envoyer des commandes à travers le terminal jusqu'à la machine afin de lui 
donner des instructions ou obtenir des informations.  
Notez que vous pouvez aussi personnaliser graphiquement l'affichage depuis le menu 
"Édition > Préférences".

### Exemple utilisateur

Afin d'apprivoiser le bidule, on va commencer par du simple, **cd** pour "**c**hange 
**d**irectory", qui vous permet de vous balader dans votre système.

Lorsqu'on ouvre le Terminal, par défaut, on se trouve dans le répertoire personnel 
de l'utilisateur (le '$HOME' : /home/arp/). Ce répertoire intègre les 
sous-répertoires Images, Téléchargements, etc.

Pour aller dans le sous-répertoire "Images", je tape "cd Images" sans les "" 
(la majuscule à son importance, d'où la nécessité d'identifier clairement le nom des 
fichiers ou répertoires que l'on recherche...) puis je presse [Enter] pour *envoyer* 
la commande. Pour rejoindre le dossier "Images" depuis n'importe quel répertoire du 
système, il faut indiquer le chemin en entier '/home/arp/Images' ('arp' étant à 
remplacer par votre identifiant) :

![Utilisation de "cd" pour naviguer dans les dossiers en console](img/deb9-term-user1.png)

Vous voyez que le "**~**" a changé : vous avez changé de répertoire, comme dans votre 
gestionnaire de fichiers quand vous ouvrez un dossier.

Dans un gestionnaire de fichiers, lorsque vous ouvrez un dossier, vous "voyez" ce qu'il y 
a dedans. Avec un terminal, il faut *lister* les éléments avec la commande "ls" :

![Lister les répertoires et fichiers présents avec "ls"](img/deb9-term-user2.png)

... simple non ? Vous voyez, vous n'avez rien cassé mouais, vous allez me dire que 
c'est un peu inutile ce genre de truc...

On va passer à des trucs plus sympas :

- '**uname -r**' vous donne la version de votre noyau Linux actif

![console : uname -r](img/deb9-term-user3.png)

- '**uptime**' vous donne le temps de fonctionnement de votre session de travail, 
le nombre d'utilisateurs connectés et la charge système. Le "load average" calcule 
les processus en cours et en attente durant la dernière minute, il y a 5 minutes et 
il y a 1/4 d'heure, afin de voir si des processus ne sont pas trop en file d'attente. 
Si le "load" dépasse 1 (pour les vieux ordis) ou 2 (pour les dualcore et +) cela veut 
dire qu'un processus est en cours et un autre en file d'attente.

![console : uptime](img/deb9-term-user4.png)

- revenir à votre dossier personnel ? un petit '**cd**' tout seul pour revenir @home.

![console : cd](img/deb9-term-user5.png)

- yen a trop sur l'écran ? un petit '**clear**' videra votre console

![console : clear](img/deb9-term-user6.png)

### Exemple administrateur

Pour passer une commande en mode administrateur, Debian utilise "**su**". Le *mot de 
passe administrateur* vous est demandé, rien ne s'affiche à l'écran lors de la saisie 
du mot de passe, c'est normal.

Debian peut aussi utiliser "**sudo**" (pour se substituer à "root"). Lors du passage 
en sudo, c'est *votre mot de passe* qui vous est alors demandé.

![Passage en mode administrateur avec "su"](img/deb9-term-root1.png)

Vous remarquez que le "**$**" identifiant un utilisateur classique, a été remplacé 
par un "**#**" désignant le compte administrateur "**root**".

Une fois connecté en "root" dans votre session de terminal, vous pouvez lancer des 
commandes d'administration, ici une mise à jour des dépôts avec le terminal Gnome 
et la commande "apt-get update" :

![Terminal administrateur : Mise à jour des dépôts avec "apt-get update"](img/deb9-term-root2.png)

Poursuivons l'exemple de mise à jour des dépôts, c'est-à-dire la récupération des 
informations sur les paquets ou les mises à jour disponibles. Après l'update 
(qui vérifie les dépôts), on lance "apt-get upgrade" pour effectuer la mise à jour :

![Terminal administrateur : Mise à jour des paquets avec "apt-get upgrade"](img/deb9-term-root3.png)

Sur GNU/Linux, lorsqu'un processus doit modifier votre système, une confirmation vous 
est généralement demandée. Ici, le terminal vous indique la nature des changements 
prévus et attend votre accord, soit en pressant simplement [Enter], soit "O" 
(la lettre, pas le chiffre) pour accepter... soit "n" pour refuser.

Si vous acceptez les changements, vous verrez le processus complet de téléchargement, 
de configuration et d'installation des paquets concernés. Puis, le terminal vous 
"rendra la main" en affichant de nouveau l'invite de commande :

![Terminal administrateur : exécution de la mise à jour](img/deb9-term-root4.png)

Voilà, vous venez de mettre votre système à jour depuis votre terminal ! ![](img/cool.png)

Alors après on peut s'amuser, car les commandes seules... en revanche, les commandes associées 
dans un "[script](https://fr.wikipedia.org/wiki/Langage_de_script)" permettent 
l'automatisation d'une suite de processus.

Un mémo pour les commandes GNU/Linux vous est proposé en fin de manuel au chapitre 11.

![noob](img/noob-modarp-circle-icon.png)  
Soyez rigoureux lorsque vous passez des commandes en mode *administrateur*. Pour 
éviter les erreurs, utilisez l'auto-complétion. Ce mécanisme va permettre à 
l'ordinateur de terminer les commandes que vous avez commencées à taper (3 lettres 
suffisent) où les arguments de ces commandes. Cela se fait en appuyant sur la touche 
[Tab]. Si des choix multiples sont possibles, ils vous seront proposés.

Certaines applications en mode graphique nécessitent les droits administrateur. 
**Il ne faut pas** les lancer avec **su** ou **sudo**, sous peine de casser sa session 
graphique. Il faut utiliser à la place **gksu** (sur les bureaux *gtk*) ou **kdesu** 
(pour KDE) selon votre Environnement de bureau.

### Lancer un "Terminal Administrateur"

Comme vous avez pu le voir dans la section précédente, on utilise "**su**" (ou "**sudo**") 
pour entrer une commande en mode administrateur dans un terminal. Vous pouvez aussi 
lancer directement votre terminal en mode "administrateur" depuis une entrée de menu 
ou la liste des applications :

![lanceur du terminal "administrateur"](img/gksuterm.png)

![noob](img/noob-modarp-circle-icon.png)  
Notez que dans un tel terminal, toutes les commandes saisies sont réalisées avec 
le compte "root" et qu'en cas d'erreur ou fausse manœuvre, le système peut 
devenir instable. Toutes les commandes de ce manuel ne nécessitent pas d'être 
identifié en "root", sauf indication explicite.

