# ![démarrage](img/launch.png) Démarrage rapide après installation

Les premières choses à faire après l'installation : connexion au réseau Wi-fi, 
résolution de l'écran, configuration de l'imprimante et tout ce dont vous 
aurez besoin pour rendre votre station de travail opérationnelle.

## Configurez votre connexion réseau

![wifi](img/wireless.png)  
Filaire ou Wi-fi (sans fil), votre système Debian est prévu pour établir une 
connexion réseau. Généralement, la connexion filaire (ethernet) est reconnue 
nativement. Pour le Wi-fi, il faut parfois faire appel à un pilote (driver) non-libre.

- **Si votre connexion est reconnue nativement**, passez directement aux 
sections de configuration avec Network-Manager (pour les bureaux Gnome, Mate, 
Cinnamon et Xfce), Wicd (sur le bureau LXDE) ou l'éditeur de connexion de KDE.
- **Si votre carte réseau n'est pas fonctionnelle**, il faut passer par la 
section de reconnaissance matérielle (chap. 6.1.4).

### Network-manager-gnome

Le gestionnaire par défaut livré avec Gnome, Mate, Cinnamon, et Xfce. Il est 
disponible depuis son icône dans la zone de notification (ici sur Gnome et Xfce) :

![Gestion du réseau depuis Gnome](img/deb9-gnome-network-1.png)

![Gestion du réseau depuis Xfce](img/deb9-networkmanager-xfce.png)

Les connexions actives et inactives sont listées, le(s) réseau(x) sans-fil 
détecté(s) également. Un clic-gauche sur le réseau auquel vous souhaitez 
vous connecter et une boite de dialogue apparaît. Sélectionnez votre réseau 
puis "Se connecter", le mot de passe de votre réseau vous sera demandé (celui 
donné par votre fournisseur d'accès internet FAI). Ici sur le bureau Gnome :

![sélection du réseau](img/deb9-gnome-network-2.png)

![mot de passe du réseau sans-fil](img/deb9-gnome-network-3.png)

Puis profitez de la connexion sans-fil :

![connexion au réseau sans-fil](img/deb9-gnome-network-4.png)

Pour configurer finement les paramètres Wi-fi, sélectionnez l'entrée dédiée 
dans le menu principal :

![entrée de configuration du réseau](img/deb9-gnome-network-5.png)

Vous pourrez modifier les paramètres de connexion mais aussi "Oublier" le réseau :

![sélection du réseau à configurer](img/deb9-gnome-network-6.png)

![configurer le réseau](img/deb9-gnome-network-7.png)

![oublier le réseau sans-fil](img/deb9-gnome-network-8.png)

### Wicd

**Wicd** ([https://wiki.debian.org/fr/WiFi/HowToUse#Wicd](https://wiki.debian.org/fr/WiFi/HowToUse#Wicd)) 
(**W**ireless **I**nterface **C**onnection **D**aemon) est un gestionnaire 
de réseau indépendant livré avec le bureau LXDE, Il peut cependant être 
utilisé sur n'importe quel autre bureau.

Son interface est légèrement différente de celle du gestionnaire Gnome, 
mais les fonctions restent les mêmes.

Wicd est disponible depuis son icône dans la barre de tâches (en bas à 
droite généralement, dans la zone de notification). Un clic-gauche sur 
l'icône ouvre l'interface principale qui vous permet de sélectionner 
votre accès réseau :

![Wicd : propriétés de la connexion](img/deb9-wicd1.png)

Si votre réseau n'apparaît pas, vérifiez en premier lieu dans les "Préférences" 
de Wicd, que le bon périphérique (celui trouvé dans le chapitre sur la 
reconnaissance matérielle : "wlp2s0" par ex.) soit renseigné pour le réseau 
sans-fil :

![Wicd : préférences du gestionnaire de connexion](img/deb9-wicd2.png)

### Éditeur de connexion KDE

La gestion du réseau sur KDE se fait de la même façon que pour les autres 
bureaux : depuis une interface graphique. Un clic-gauche sur l'icône de 
réseau dans la zone de notification, et vous accédez à la liste des réseaux 
disponibles. Un clic sur "Se connecter" et KDE vous invite à renseigner la 
clé Wi-fi de votre réseau :

![KDE : sélection du réseau](img/deb9-kde-wifi1.png)

![KDE : authentification](img/deb9-kde-wifi2.png)

Une fois fait, vous pourrez vous connecter en Wi-fi et configurer votre 
réseau depuis l'icône dédiée :

![KDE : éditeur de connexion réseau](img/deb9-kde-wifi3.png)

### Vérification/Installation d'un firmware

Les **Firmwares** sont des micro-programmes souvent fournis par le 
constructeur et que le  noyau doit charger dans la carte Wi-fi elle-même.

Pour vérifier si le firmware est présent , nous allons utiliser la commande :

    /sbin/ifconfig

qui doit retourner un résultat du genre :

     enp4s0     Link encap:Ethernet  HWaddr xx:xx:xx:xx:xx:xx  
                BROADCAST MULTICAST  MTU:1500  Metric:1
                RX packets:0 errors:0 dropped:0 overruns:0 frame:0
                TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
                collisions:0 lg file transmission:1000 
                RX bytes:0 (0.0 B)  TX bytes:0 (0.0 B)
    
      lo        Link encap:Boucle locale  
                inet adr:127.0.0.1  Masque:255.0.0.0
                adr inet6: ::1/128 Scope:Hôte
                UP LOOPBACK RUNNING  MTU:65536  Metric:1
                RX packets:552 errors:0 dropped:0 overruns:0 frame:0
                TX packets:552 errors:0 dropped:0 overruns:0 carrier:0
                collisions:0 lg file transmission:0 
                RX bytes:37827 (36.9 KiB)  TX bytes:37827 (36.9 KiB)
    
     wlp2s0     Link encap:Ethernet  HWaddr xx:xx:xx:xx:xx:xx  
                UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
                RX packets:638993 errors:0 dropped:0 overruns:0 frame:0
                TX packets:412031 errors:0 dropped:0 overruns:0 carrier:0
                collisions:0 lg file transmission:1000 
                RX bytes:617235341 (588.6 MiB)  TX bytes:42145548 (40.1 MiB)

Si "wlp2s0" ou "wlp-" n'apparaît pas, c'est que le firmware Wi-fi manque.

#### Identifier une carte réseau et installer un driver

Si votre connexion réseau ne fonctionne pas, c'est généralement une histoire 
de driver. Pour choisir le bon, il faut identifier sa carte réseau.

Depuis un terminal, en mode utilisateur, lancez cette commande :

    lspci | grep -i "net" | cut -d: -f3

qui vous renverra un résultat du genre :

    Intel Corporation 82567LM Gigabit Network Connection (rev 03)
    Broadcom Corporation BCM4322 802.11a/b/g/n Wireless LAN Controller ...

Ici, la carte réseau Wi-fi détectée est une **Broadcom BCM4322** .

Si j'effectue une simple recherche internet  "*Debian Broadcom BCM4322*", 
je trouve très vite la bonne page 
([https://wiki.debian.org/fr/bcm43xx](https://wiki.debian.org/fr/bcm43xx)) 
qui m'indique d'installer **firmware-b43-installer**.

La configuration de la connexion Wi-fi est un sujet délicat pour les 
distributions GNU/Linux en raison des drivers non-libres à utiliser.

Plus de détails sur la page dédiée de la documentation officielle Debian : 
[https://wiki.debian.org/fr/WiFi](https://wiki.debian.org/fr/WiFi).

## Configurez votre imprimante

![print](img/print.png)  
C.U.P.S 
([https://fr.wikipedia.org/wiki/Common_Unix_Printing_System](https://fr.wikipedia.org/wiki/Common_Unix_Printing_System)), 
pour **C**ommon **U**nix **P**rinting **S**ystem, est comme son nom 
l'indique un gestionnaire d'impression open source crée par Apple.inc 
pour osX et autres Unix-like. Il est utilisé par défaut par Debian pour 
gérer l'impression. Pour ce faire, Cups utilise le protocole d'impression 
internet (ipp) pour gérer les imprimantes en local ou en réseau.  
Ce qu'il suffit de retenir, c'est que CUPS est l'outil qui gère les impressions

Si vous avez opté pour une installation exotique, il faudra peut-être installer 
les paquets debian. Depuis un terminal en mode administrateur grâce à 
"**su**" (chap.3.8.3) :

    apt update && apt install --install-recommends task-print-server

**Compatibilité**

Comme pour le Wi-fi, certaines imprimantes ont besoin de drivers externes, 
mais la reconnaissance est tout de même bien meilleure par défaut, ce qui 
permet à Debian d'intégrer une interface simplifiée de configuration 
(détaillée dans la première section de ce chapitre). Les méthodes varient 
d'un constructeur à l'autre :

- pour Brother, visitez la page dédiée : 
[http://support.brother.com/g/b](http://support.brother.com/g/b),
- pour Epson, rajoutez le depôt (chap.8.1.3) suivant à votre fichier 
"sources.list" : "deb http://download.ebz.epson.net/dsc/op/stable/debian/ lsb3.2 main" 
(sans les "")
- pour HP : assurez-vous d'avoir le paquet "hplip" installé sur votre machine. 
Si votre imprimante HP est très récente visitez 
[http://hplipopensource.com/hplip-web/index.html](http://hplipopensource.com/hplip-web/index.html), 
téléchargez les paquets correspondants à votre imprimante pour Debian 
(terminant par ".deb") et installez ces paquets grâce à **dpkg** ou 
**gdebi** (chap.8.7).

Pour vérifier la compatibilité de votre imprimante, visitez la page dédiée 
du site openprinting.org : 
[https://www.openprinting.org/printers](https://www.openprinting.org/printers).

![noob](img/noob-modarp-circle-icon.png)  
Quelle que soit la méthode choisie, pensez à brancher votre imprimante au 
secteur, à vérifier la réserve de papier, à la connecter à votre ordinateur 
ou au réseau et à l'allumer.

### Méthode graphique simple avec system-config-printer

Les bureaux Debian GNU/Linux intègrent un gestionnaire graphique simplifié 
d'ajout et de configuration pour votre imprimante : **system-config-printer**.

Si vous avez suivi le processus d'installation Debian classique, cet outil 
est déjà présent sur votre système et est généralement situé dans 
"Système > Configuration de l'impression", ou depuis les centres de contrôle 
de Gnome ou KDE. Si vous ne le trouvez pas, lancez simplement dans un terminal :

    system-config-printer

La première fenêtre qui s'ouvre vous permet d'ajouter une imprimante avec "Ajouter" :

![System-config-printer : interface par défaut](img/system_cfg_printer1.png)

Vous accédez à la fenêtre "Nouvelle imprimante" qui vous présente la 
**liste des imprimantes détectées** en local ou sur le réseau. Sélectionnez 
votre imprimante puis cliquez sur "Suivant" :

![sélection de l'imprimante](img/system_cfg_printer2.png)

Si votre imprimante a été correctement détectée, le pilote a été choisi pour 
vous. Vous pouvez décrire votre imprimante dans la fenêtre suivante. Une fois 
vos modifications effectuées, clic sur "Appliquer" :

![description de l'imprimante](img/system_cfg_printer3.png)

L'installeur vous propose alors de tester votre imprimante avec une page d'essai :

![imprimer une page de test ?](img/system_cfg_printer4.png)

Votre imprimante est désormais ajoutée à votre système. Elle sera disponible 
pour vos tâches d'impression depuis tous les programmes installés 
(Libreoffice, Evince pour les pdf, etc).

Pour configurer votre imprimante, effectuez un double-clic sur son icône :

![configuration de l'imprimante](img/system_cfg_printer5.png)

Petite astuce : pour changer le comportement en cas d'erreur, cliquez sur 
votre imprimante, vous arrivez sur la page de réglages de votre imprimante. 
Cliquez sur Comportements et remplacez **Arrêter l'imprimante** par 
**Abandonner la tâche**.

### Méthode graphique universelle avec CUPS

L'interface simplifiée est pratique, mais l'interface classique de CUPS n'est 
plus aussi austère qu'avant. Vous pouvez y accéder simplement depuis votre 
navigateur internet car CUPS est un *serveur d'impression* qui 
propose une interface web.

Rendez-vous donc sur la page 
[http://localhost:631/printers/](http://localhost:631/printers/) qui 
affiche les imprimantes détectées (n'oubliez pas de mettre votre imprimante 
sous tension et de la connecter à votre ordinateur ou au réseau domestique) :

![CUPS : onglet "Imprimantes" de l'interface web](img/cups1.png)

Un clic-gauche sur votre imprimante vous amène à sa page dédiée :

![page de l'imprimante active](img/cups2.png)

Elle contient les menus de "Maintenance" et "Administration". Selon les 
tâches sélectionnées, le mot de passe administrateur vous sera demandé (chap.3.8.3).

![CUPS cfg1](img/cups3.png)  ![CUPS cfg2](img/cups4.png)

Plus de détails sur la page dédiée  de la documentation Debian-Facile 
[https://debian-facile.org/doc:reseau:cups](https://debian-facile.org/doc:reseau:cups).

## Vérifiez les mises à jour

![update](img/update.png)  
**Les mises à jour Debian** n'ont rien à voir avec *Windows'update*®...  
Les mises à jour sur les systèmes GNU/Linux sont **l'expression directe d'une 
des forces du logiciel Libre : les sources publiques**.

Alors que les systèmes privateurs cachent le plus longtemps possible les 
failles de leurs systèmes (puisqu'ils *vendent* leurs systèmes), les 
distributions libres annoncent immédiatement les failles détectées et les 
corrigent dans la foulée !

Alors quand vous voyez une fenêtre surgir pour vous inviter à mettre votre 
système à jour, faites-le, votre ordi vous dira merci

- Mise à jour avec le *terminal* (chap.6.3.1)
- Mise à jour avec le gestionnaire de paquet *Synaptic* (chap.8.3.3)
- Mise à jour sur KDE avec *Découvrir* (chap.8.4.2)
- Mise à jour sur Gnome avec *Logiciels* (chap.8.5.4)

### Mise à jour avec le terminal

Le terminal, la petite boite qui fait peur alors que c'est ton ami ... 
oui oui ... ton ami.

Une preuve ? Simple : nous allons mettre à jour l'intégralité du système 
en une seule ligne.  
On commence par ouvrir un terminal et se connecter en mode administrateur. 
Donc selon votre environnement, depuis le menu des applications > 
Système > "Terminal administrateur" ou de façon plus classique, ouvrez un 
terminal et lancez :

    su

Le mot de passe administrateur vous sera demandé dans les deux cas. Une 
fois connecté en "root" dans votre terminal, copier-collez cette ligne :

    apt update && apt dist-upgrade

![noob](img/noob-modarp-circle-icon.png)  
**... Et ça veut dire quoi tout ça d'abord ?**

- "apt" : la commande de gestion des paquets Debian ;
- "update" : recharge les informations sur les paquets disponibles ;
- "&&" : une fois que tout est fait sans erreur, lance la suite ;
- "apt" : c'est la même application qui vérifie et applique la mise à jour ;
- "dist-upgrade" : réalise une mise à jour complète des applications installées 
avec suppression ou ajout de paquets si nécessaire. Une confirmation vous sera 
demandée. Pour un exemple complet, jetez un œil sur l’exemple 
administrateur (chap.3.8.3).

### Notification des mises à jour

Les bureaux GNU/Linux utilisent **Logiciels** ou le gestionnaire **Synaptic** 
(Gnome, Xfce, LXDE), **Découvrir** (KDE) qui intègrent chacun une 
fonctionnalité de **notification**. Ainsi, votre système vérifie régulièrement 
les dépôts sans vous embêter (lorsque le réseau est disponible bien sûr) et 
affiche une notification au démarrage de votre session si des mises à jours 
sont disponibles. Il vous suffit d'accepter les mises à jour ou de cliquer sur 
la bulle de notification qui s'affiche pour ouvrir le gestionnaire de mise à 
jour intégré à votre système.

![Notification de mise à jour dans la barre de tâches KDE](img/deb9-kde-updeb-notify.png)

Si vous désirez **vérifier manuellement** les mises à jour disponibles, utilisez 
une des méthodes listées en début de chapitre.

## Retrouvez votre compte courriel

![mail](img/mail.png)  
Si vous disposez d'une **messagerie en ligne** de type gmail.com ou free.fr, 
vous pourrez y accéder simplement depuis votre navigateur internet Firefox 
(se lance depuis les menus d'applications, section "Internet"). Entrez 
l'adresse de votre fournisseur de compte en ligne (openmailbox.org, yahoo.fr, 
orange.fr, google.com…) dans la barre d'adresse et lancez en appuyant sur [Enter].

Si vous ne disposez pas d'un compte de messagerie, ou que vous désirez en 
créer un nouveau, nous vous conseillons de faire appel à des services 
respectueux de votre vie privée. On peut par exemple citer :

- [https://protonmail.com/](https://protonmail.com/)
- [https://www.openmailbox.org/](https://www.openmailbox.org/)
- [https://www.mailoo.org/](https://www.mailoo.org/)
- [https://www.net-c.com/](https://www.net-c.com/)
- [https://lavabit.com/](https://lavabit.com/)
- [https://www.toile-libre.org/](https://www.toile-libre.org/)
- [http://www.zaclys.com/](http://www.zaclys.com/)
- [https://webmail.vivaldi.net/](https://webmail.vivaldi.net/)
- [https://www.mail.be/](https://www.mail.be/)
- [https://tutanota.de/#%21home](https://tutanota.de/#%21home)
- [http://mailfence.com/](http://mailfence.com/)
- Boîte mail avec location de nom de domaine : 
[https://www.gandi.net/domaine](https://www.gandi.net/domaine)

Voir aussi l'article du blog-libre au sujet des messageries éthiques : 
[https://www.blog-libre.org/2016/12/16](https://www.blog-libre.org/2016/12/16/)

Si vous utilisiez un **client de messagerie**, un logiciel spécifiquement 
dédié, Debian propose différents équivalents fonctionnant sur le même 
modèle : Gnome intègre le logiciel "Evolution", KDE fonctionne avec "KMail" 
et Xfce adopte **Thunderbird** de la fondation Mozilla.

### Thunderbird : votre courrielleur libre ![thundernird](img/thunderbird-mini.png)

**Thunderbird** 
([https://www.mozilla.org/fr/thunderbird/](https://www.mozilla.org/fr/thunderbird/)) 
est avant tout un **courrielleur**, mais il est aussi un centre de communication 
qui permet de consulter et d'écrire dans les groupes de discussions, de 
"chater" (discuter en ligne), de consulter les flux RSS fourni par certains sites.

Si vous disposez de deux comptes de messagerie ou plus, Thunderbird regroupera 
tout votre courrier de toutes vos boîtes courriel en une seule interface pratique.

**Thunderbird** se lance depuis le menu d'applications, section "Internet", 
"Client de messagerie".

#### Configurer Thunderbird

Au premier démarrage, **Thunderbird** fournit une interface provisoire de 
configuration ainsi qu'une fenêtre au premier plan qui permet de créer un compte 
chez un fournisseur partenaire de la fondation Mozilla.

Si vous souhaitez profiter de cette option, remplissez les champs et 
laissez-vous guider, la configuration sera automatique.

Si vous n'êtes pas intéressé vous pouvez cliquer sur "Passer cette étape 
et utiliser mon adresse existante".

Une autre fenêtre s'ouvre. Fournissez alors les renseignements demandés à 
propos de votre compte. Vous pouvez choisir si Thunderbird doit retenir le 
mot de passe. Si vous décochez cette option vous devrez taper votre mot de 
passe à chaque connexion.

![Thunderbird : configuration d'un compte courriel](img/thunderbird-1.png)

Cliquez sur "Continuer". Thunderbird cherche alors dans sa base de donnée les 
paramètres spécifiques à votre compte. Lorsqu'il a fini cliquez sur "Terminé".

![Thunderbird : vérification du compte courriel](img/thunderbird-2.png)

Thunderbird affiche maintenant les détails de votre compte dans la colonne de 
droite et télécharge tous vos courriels et, suivant votre fournisseur, vos 
contacts (ceci peut prendre un long moment). Cliquez maintenant sur votre 
compte pour le dérouler, puis "courrier entrant". L'interface prend alors 
son apparence normale :

![Thunderbird : interface par défaut](img/thunderbird-3.png)

#### L'interface de Thunderbird

L'interface de Thunderbird est relativement intuitive. Dans la barre d'outil 
haute vous pouvez relever votre courrier, écrire un nouveau message, ouvrir 
une session de chat, accéder à votre carnet d'adresse, mettre une étiquette 
à un message, ou encore filtrer vos messages. Si vous cliquez sur un message 
dans le bandeau du haut, des options pour le message seront aussi disponibles : 
répondre, transférer, archiver, indésirable, etc.

Le panneau de droite est réservé au calendrier "Lightning", très intuitif : 
un clic sur une date ouvrira l'assistant de prise de rendez-vous.

Si vous **recherchez un message** précis, vous disposez de plusieurs possibilités :

- taper quelques caractères dans la barre de recherche en haut ;
- cliquer sur l'intitulé des colonnes ("Sujet", "Expéditeur", "Date", "Taille") : 
vos messages seront alors instantanément triés selon le critère choisi, ce qui 
vous évitera d'avoir à faire défiler une liste interminable pour retrouver un 
message ancien. En cliquant une deuxième fois sur le même titre de colonne vous 
inversez l'ordre du tri. Vous pouvez ainsi personnaliser votre affichage des 
messages d'une catégorie selon vos propres critères avec ces outils.

#### Récupérer un ou d'autres compte(s) de messagerie

Si vous disposez d'un ou d'autres comptes de messagerie que vous désirez 
consulter à l'aide de Thunderbird, cliquez maintenant sur les trois petites 
barres horizontales à droite (les paramètres) au bout de la barre de recherche, 
posez votre pointeur sur "Nouveau message", puis dans le menu déroulant cliquez 
sur "Compte courrier existant" et reprenez la procédure de récupération d'un 
compte de messagerie.

#### Les paramètres

Les trois petites barres horizontales regroupent tous les paramètres. C'est 
la présentation moderne. Si vous désirez changer ce comportement pour retrouver 
des menus classiques, cliquez sur les paramètres, posez le pointeur de votre 
souris sur "préférences", et cochez "Barre des menus".

Il est toutefois conseillé de visiter les préférences où vous pourrez définir 
vos niveaux de filtres antispam, paramétrer vos étiquettes et aurez des 
options comme n'utiliser qu'un seul mot de passe pour tous vos comptes, entre autre.

#### Protéger vos courriers et vos transferts

![noob](img/noob-modarp-circle-icon.png)  
**... Chiffrer ses courriels... ça veut dire quoi exactement ?**  
Prenons l'exemple d'un courrier habituel, envoyé par la poste. Vous envoyez 
une carte postale à votre belle-mère par exemple (mais si, vous l'adorez, on 
le sait), vous savez que ce qui est écrit dessus pourra être lu par le facteur 
ou n'importe qui. Eh bien, avec vos courriels, c'est exactement pareil qu'une 
carte postale si vous ne les chiffrez pas. 

*"Peu importe"* me direz-vous, "*je me moque que l'on sache que je dis à 
belle-maman qu'il fait beau temps en vacances"*. Peut-être. Mais dans un 
courriel, il y a plus que des banalités, et on ne sait pas ce qui peut en être 
fait. Vous n'êtes pas convaincu ? Je vous invite alors à vous demander si vous 
n'avez rien à cacher en visitant le site dédié : 
[http://jenairienacacher.fr/](http://jenairienacacher.fr/), ou en visionnant 
cette vidéo : 
[http://ldn-fai.net/je-nai-rien-a-cacher/](http://ldn-fai.net/je-nai-rien-a-cacher/).

![locked](img/locked.png)  
Pour un récapitulatif du comment du pourquoi, rendez-vous sur la page 
"email self-defense" de la **FSF**. Vous y trouverez aussi la documentation 
nécessaire à l'installation et l'utilisation d'**enigmail** : 
[https://emailselfdefense.fsf.org/fr/index.html](https://emailselfdefense.fsf.org/fr/index.html).

## Configurez votre identification

Les systèmes GNU/Linux suivent le principe des droits et permissions par 
défaut. Lorsque vous installez Debian, un mot de passe est demandé pour 
l'utilisateur principal. C'est ce mot de passe qui vous est demandé en début 
de session.

![Gnome : demande de mot de passe au lancement de la session](img/debian-9-gdm-mini.png)

Si vous utilisez Debian en mode "mono-utilisateur", vous pouvez désactiver 
cette demande de mot de passe afin de lancer directement votre session de 
travail au démarrage de votre ordinateur.

Debian utilise par défaut trois gestionnaires de connexion : **GDM** (pour 
Gnome et Cinnamon), **LightDM** (pour MATE, LXDE, Xfce) et **SDDM** (pour KDE)

### Connexion automatique avec GDM

**GDM3** ([https://wiki.debian.org/GDM](https://wiki.debian.org/GDM)) est 
le gestionnaire de connexion de Gnome, le bureau principal de Debian 9 
"Stretch". Pour activer la connexion automatique, direction le menu système de Gnome :

- Depuis la zone système, cliquez sur votre identifiant puis "Paramètres du compte" :

![paramètres du compte](img/deb9-gnome-gdm-cfg1.png)

- Dans la fenêtre des préférences utilisateur, sélectionnez "Déverrouiller", 
le mot de passe administrateur vous sera demandé :

![déverrouiller les préférences de l'utilisateur](img/deb9-gnome-gdm-cfg2.png)

- Puis activez la connexion automatique :

![activation de la connexion automatique](img/deb9-gnome-gdm-cfg3.png)

### Connexion automatique avec LightDM

![Interface de connexion LightDM](img/deb9-lightdm.png)

Les préférences de **LightDM** 
([https://wiki.debian.org/fr/LightDM](https://wiki.debian.org/fr/LightDM)) 
passent par son fichier de configuration. Pour modifier le comportement de 
LightDM et activer la connexion automatique, vous devez éditer ce fichier en 
mode administrateur (chap.3.8.3).

Ouvrez un terminal et passez en mode administrateur avec la commande "**su**". 
le mot de passe administrateur vous sera demandé. Une fois fait, copiez 
(pour sauvegarder) et éditez le fichier approprié, soit en deux commandes :

    cp /etc/lightdm/lightdm.conf /etc/lightdm/lightdm.conf.bak
    nano /etc/lightdm/lightdm.conf

La seconde commande ouvre le fichier de configuration dans l'éditeur 
**Nano** en console. Utilisez les flèches pour descendre jusqu'à trouver ces lignes :

    #autologin-user=
    #autologin-user-timeout=0

Enlevez les "#" devant chaque ligne puis ajoutez votre identifiant de cette façon :

    autologin-user=mon_identifiant
    autologin-user-timeout=0

Avec "mon_identifiant" remplacé par *votre identifiant*.

Sauvegardez le fichier avec [Ctrl]+x puis répondez "O" pour oui :

![LightDM : édition du fichier de configuration dans Nano](img/lightdm_termedit.png)

Vous pouvez fermer votre terminal, au prochain redémarrage, vous n'aurez 
pas besoin d'entrer votre mot de passe.

En cas de soucis, vous pouvez retrouver votre fichier original avec cette 
simple commande en mode administrateur :

    mv -f /etc/lightdm/lightdm.conf.bak /etc/lightdm/lightdm.conf

### Configuration de SDDM sur KDE

![SDDM : écran de connexion KDE sur Debian 9](img/deb9-sddm.png)

**KDE** est un environnement vraiment complet et **SDDM** (Simple Desktop 
Display Manager) vous propose une interface graphique pour configurer 
votre écran de connexion. L'outil de configuration vous permettra de gérer 
le fond d'écran, la langue utilisée, quelques options et bien sûr, la 
connexion automatique.

Direction le menu principal > Applications > Configuration > Configuration 
du Système > Espace de Travail > Démarrage et arrêt.

![Lancer la configuration de l'écran de connexion sur KDE](img/deb9-kde-ssdm1.png)

Activez la connexion automatique depuis l'onglet "Avancé" de l'interface 
de configuration de SDDM :

![KDM : interface de configuration](img/deb9-kde-ssdm2.png)  

Cochez la case "Connexion automatique" puis sélectionnez l'utilisateur 
concerné dans le menu déroulant "Utilisateur". Comme cette action modifie 
les paramètres système, le mot de passe administrateur vous sera demandé.

Une fois fait, vous pourrez lancer votre session sans demande de mot de passe.

## Naviguez sur internet

![web](img/browser.png)  
La fonction principale d'un navigateur Web est de permettre la **consultation 
d'informations** disponibles sur le Web (World Wide Web).  
**L'utilisateur** donne au navigateur internet l'adresse de la ressource 
à consulter. Il existe trois manières de donner une adresse web : 

- **Taper soi-même l'adresse internet** dans la barre d'adresse du navigateur.
- Choisir une ressource dans la **liste des favoris** (marque-page ou bookmark), 
sachant qu'à chaque favori est associée une adresse internet.
- **Suivre un hyperlien**, sachant qu'à chaque hyperlien est associée une adresse internet.

Le navigateur se connecte au serveur en ligne hébergeant la ressource visée et 
la télécharge. Le protocole de communication généralement utilisé est HTTP ou 
HTTPS (version sécurisée).

- Si la ressource visée est une page HTML, un fichier vidéo compatible, un PDF, 
une page s'affiche.
- Si la ressource est un fichier autre, le navigateur vous demande quoi 
faire : télécharger ou ouvrir avec une application externe.

### Exemple de navigateur internet : Firefox ![firefox](img/firefox-mini.png)

**Firefox** 
([https://www.mozilla.org/fr/firefox/desktop/](https://www.mozilla.org/fr/firefox/desktop/)) 
est un navigateur Web libre et gratuit, développé et distribué par la **Fondation 
Mozilla** ([https://www.mozilla.org/fr/](https://www.mozilla.org/fr/)) avec 
l'aide de milliers de bénévoles grâce aux méthodes de développement du logiciel 
libre/open source et à la liberté du code source. (dixit 
[wikipédia](https://fr.wikipedia.org/wiki/Mozilla_Firefox)).

Debian intègre **Firefox-ESR**, la version "**E**xtended **S**upport **R**elease", 
destinée aux grandes organisations (et aux plus petites) pour les déploiements 
de masse. Cette version est maintenue pendant 10 mois à compter de sa sortie 
et ne bénéficie que des mises à jour de sécurité assurant ainsi un navigateur 
stable et sécurisé.

![Firefox sur Debian](img/deb9-firefox.png)

La fenêtre principale se compose des éléments suivants (de haut en bas) :

- **La barre d'onglets** affiche  les différentes pages ouvertes.
- **La barre d'outils** affiche le bouton de retour, la barre d'adresse, le 
champ de recherche, les marque-pages, les outils et le menu Firefox.
- **La fenêtre de navigation** qui affiche le contenu des pages web.

La **personnalisation** et la **configuration** de Firefox passent par son 
menu principal qui s'affiche lors d'un clic sur l'icône à 3 bandes.

- La première ligne du menu vous permet d'effectuer des **opérations 
d'édition** courante (couper/copier/coller).
- Vient ensuite la **ligne de zoom** : c'est explicite.
- Différents **outils** sont à votre disposition pour naviguer en 
"**mode privé**", consulter votre **historique** ou imprimer directement
une page Web.
- Le bouton "**Préférences**" vous mène à la configuration principale de 
Firefox : 8 onglets avec des entrées explicites.
- Le bouton "**Modules**" conduit aux extensions installées sur votre 
navigateur (actives et inactives).
- Le bouton "**Personnaliser**" lance le "mode édition" de Firefox : vous 
pourrez déplacer les outils, les ajouter depuis le menu dans la barre 
d'outils et inversement… bref, vous composez l'apparence de votre navigateur 
simplement avec un glisser-déposer des éléments sur l'interface.
- L'icône en forme de "**?**", c'est **l'aide** et franchement, les 
contributeurs Mozilla ont bien travaillé. L'aide en ligne 
([https://support.mozilla.org/fr/products/firefox](https://support.mozilla.org/fr/products/firefox)) 
est complète et détaillée : vous pourrez découvrir toutes les possibilités 
de votre navigateur.

Pour ajouter des fonctionnalités à votre navigateur Firefox, direction le 
menu principal > Modules. Dans l'onglet qui s'ouvre, sélectionnez "Catalogue" 
et faites votre choix parmi les modules proposés 
([https://addons.mozilla.org/fr/firefox/extensions/](https://addons.mozilla.org/fr/firefox/extensions/)).

![Firefox : le catalogue des modules](img/deb9-firefox-addons.png)

## Visionnez une vidéo

![video](img/video.png)  
Debian GNU/Linux est livrée avec un lecteur vidéo par bureau. Debian 
reconnaît nativement la plupart des formats vidéos courants (ogv, mkv, 
mp4, avi, webm, etc).

Une fois votre système installé (ou en session Live), un double-clic sur un 
fichier vidéo ouvrira celui-ci avec le lecteur par défaut du bureau concerné.

Pour Gnome et Cinnamon, c'est le lecteur "Vidéos" (Totem) qui se lance lors 
d'un double-clic sur une vidéo :

![Totem : "Vidéos" et "Fichiers" sur Gnome-Shell](img/deb9-gnome-totem.png)

Son utilisation est très simple et intuitive. Au moindre mouvement du 
pointeur, le menu de lecture s'affiche et vous permet de naviguer dans le 
fichier vidéo, de définir la lecture en boucle (la barre verticale formée 
de 3 points) ou de régler le volume. Le menu principal vous donne accès 
aux autres fonctions :

![Totem : Le menu du lecteur vidéo](img/deb9-gnome-totem-menu.png)

Chaque bureau intègre son lecteur propre, tous avec les mêmes fonctions de 
base, largement suffisantes pour une première utilisation d'un système Debian.

Le bureau Xfce est livré avec un lecteur multimédia multi-plateforme très 
utilisé chez Windows® : **VLC** 
([https://www.videolan.org/vlc/](https://www.videolan.org/vlc/)), une façon 
de débuter sur Debian sans trop changer vos habitudes.

**VLC** est un lecteur multimédia gratuit et libre et un système capable de 
lire la plupart des fichiers multimédias ainsi que des DVD, des CD Audio, 
des VCD, et divers protocoles de diffusion.

![VLC : ouvrir un disque depuis le menu "Média"](img/deb9-gnome-vlc.png)

VLC permet aussi de lire des flux réseau (podcasts), écouter une radio en 
ligne, capturer l'écran mais aussi encoder un flux pour le sauvegarder.

## Écoutez de la musique

![audio](img/audio.png)  
Debian GNU/Linux est livré avec un lecteur multimédia minimum par bureau. 
Certains permettent la gestion d'une Bibliothèque musicale volumineuse, 
avec gestion du tri, des listes de lectures, pochettes, etc (comme Amarok 
utilisé par le bureau KDE ou Rhythmbox décrit dans la section suivante), 
d'autres sont des lecteurs simples, légers et faciles à prendre en main 
(comme Audacious [http://audacious-media-player.org/](http://audacious-media-player.org/) 
ou XMMS [https://xmms2.org/wiki/Main_Page](https://xmms2.org/wiki/Main_Page)).

### À propos des formats audio reconnus nativement

[Wikipédia](https://fr.wikipedia.org/wiki/Format_de_fichier_audio) est mon ami ...

>Un **format de fichier audio** est un format de données utilisé en informatique pour stocker des sons, notamment de la musique, et de la voix humaine, sous forme numérique. L'industrie a produit de nombreux formats destinés soit à la production, soit à la diffusion.

L'élément de programme qui transforme le signal en fichier et le fichier en 
signal s'appelle un **codec** 
([https://fr.wikipedia.org/wiki/Codec](https://fr.wikipedia.org/wiki/Codec)), 
abréviation de **co**der-**dec**oder (*codeur-décodeur*).

Debian reconnaît (entre autres) les 4 formats principaux par défaut (mp3, 
ogg, flac, wav). Si vous avez besoin d'installer des codecs ou des logiciels 
audio non-libres, il faudra modifier vos dépôts (chap.8.1.3) pour y ajouter 
les sections "contrib" et "non-free".

### Exemple de lecteur audio : Rhythmbox

**Rhythmbox** est le lecteur de musique par défaut de l'environnement Gnome, 
qui permet de lire et d'organiser votre collection musicale.

Voici ses fonctionnalités principales : 

- Tri par artistes, albums ou genres.
- Listes de lecture.
- Affichage des pochettes et des paroles.
- Gestion des podcats et des web-radios.
- Intégration de [Jamendo](http://www.jamendo.com/fr/), 
[Magnatune](http://www.magnatune.com/) et [Last.fm](http://www.lastfm.fr/).
- Support des lecteurs portables (MTP et iPod).
- Support des télécommandes infra-rouges.
- Partage et lecture de musique sur un réseau local.

Au premier lancement, Rhythmbox scanne votre dossier "Musique", mais 
vous pouvez ajouter d'autres dossiers à votre bibliothèque musicale.

![Rhythmbox : interface par défaut](img/rhythmbox1.png)

![menu Rhythmbox](img/deb9-rhythmbox-menu.png)

![Rhythmbox : gestionnaire de préférences](img/rhythmbox3.png)

Rhythmbox intègre un système de greffons (ou plugins) qui permet 
d'ajouter des fonctionnalités au lecteur.

![Rhythmbox : gestionnaire de greffons](img/rhythmbox4.png)

Lecteur audio par défaut du bureau Gnome, il bénéficie d'une aide complète intégrée :

![Rhythmbox : l'aide complète](img/rhythmbox5.png)

Les principaux bureaux ont eux aussi leur lecteur dédié qui fonctionne sur 
le même principe : une bibliothèque musicale scannée par l'application qui 
vous propose la lecture simple ou par "listes de lecture", des options, 
des préférences et des plugins.  
Laissez votre souris se balader, vous ne risquez rien : une confirmation 
vous sera demandée pour chaque action impliquant la modification ou la 
suppression de vos fichiers musicaux.

## Travaillez sur traitement de texte

![office](img/office.png)  
**Debian** intègre par défaut la suite bureautique **LibreOffice** qui vous 
permettra de travailler sur tout type de format de documents issus de 
différentes suites bureautiques.

Si vous n'avez pas besoin d'un outil aussi complet, vous pourrez utiliser 
les logiciels **Abiword** 
([https://packages.debian.org/fr/stretch/abiword](https://packages.debian.org/fr/stretch/abiword)) 
et **Gnumeric** 
([https://packages.debian.org/fr/stretch/gnumeric](https://packages.debian.org/fr/stretch/gnumeric)), 
plus légers tout en conservant une grande compatibilité.

### La suite bureautique LibreOffice

**LibreOffice** ([http://fr.libreoffice.org/](http://fr.libreoffice.org/)) 
est une suite bureautique libre et gratuite qui offre des modules de 
traitement de texte (Writer), tableur (Calc), présentation (Impress), dessin 
vectoriel (Draw), base de données et édition de formules mathématiques. 

![Libreoffice 5 : interface par défaut](img/deb9-libreoffice5.png)  

LibreOffice est la suite bureautique par défaut pour Debian 9 et sera 
intégrée aux principaux bureaux dès l'installation.  
Les possibilités de LibreOffice sont nombreuses. Le wiki officiel de la 
communauté francophone est très bien fait et vous apportera une aide 
efficace et complète (nul besoin de réinventer la roue...) : 
[https://wiki.documentfoundation.org/FR/FAQ](https://wiki.documentfoundation.org/FR/FAQ)

Bonne lecture ![smile](img/smile.png).

## Retouchez vos photos avec the Gimp

Debian livre avec ses bureaux le logiciel de manipulation graphique the Gimp.

![gimp](img/logo_gimp.png)  
**GIMP** pour **G**NU **I**mage **M**anipulation **P**rogram, est un logiciel 
de traitement d'image. Souvent considéré comme un concurrent d'Adobe™ 
photoshop™, il en est dans tous les cas une alternative sûre avec tout de 
même un avantage, il est libre !

Disponible pour toute une panoplie d'OS, il tourne bien naturellement sur 
Linux, MacOsX, BSD et Windows®.

Il existe déjà de très bonnes documentations concernant The GIMP, et cette 
page n'est là que pour rassembler, en quelques lignes, les astuces les 
plus basiques, sans pour autant devoir décortiquer des dizaines de sites 
pour trouver son bonheur.

### Présentation de l’interface

Au premier lancement, Gimp affiche 3 fenêtres que nous allons détailler :

![The Gimp sur le bureau Gnome-Shell](img/deb9-gimp.png)

**1** La boite à outils - **2** Les options des outils - **3** La barre 
de menu Gimp - **4** L'image active - **5** & **6** Les onglets affichant 
les valeurs des outils et des calques.

- **La boite à outils** contient les icônes des différents outils de Gimp. 
Vous pouvez en ajouter ou en supprimer depuis la barre de menu > Édition > 
Préférences > Boite à outils. La fonction de chaque outil est affichée au 
survol du pointeur.
- **Les options des outils** affichent les valeurs de l'outil en cours 
d'utilisation : la taille et la dureté du pinceau par exemple, ou 
l'opacité du remplissage...
- **La barre de menu** vous donne accès à toutes les fonctions et 
possibilités de Gimp
- **L'image active** est affichée dans la fenêtre principale : les 
modifications apportées sont directement visibles.
- La fenêtre de droite rassemble différents onglets que vous pouvez 
modifier/supprimer depuis la petite flèche en haut à droite de l'onglet.

Par défaut, le premier onglet présente les calques actifs de l'image.

![noob](img/noob-modarp-circle-icon.png)  
**... C'est quoi cette histoire de "calques" ??**  
**Gimp utilise le principe des calques**, c'est-à-dire la superposition 
d'images pour un rendu final. C'est le même principe que pour 
l'enregistrement d'un morceau de musique : les instruments sont tous 
enregistrés sur des "pistes audio" séparées, les voix aussi, puis on 
"mixe" le tout pour parvenir à un morceau de musique.  
Pour les calques de Gimp, c'est pareil : on sépare les différents éléments 
sur des calques et l'image finale sera exportée dans le format de votre 
choix (JPEG, PNG, etc).

**Le format par défaut** de Gimp est le "**xcf**", un format qui permet 
de conserver l'indépendance des calques et donc, de pouvoir modifier un 
élément sans toucher aux autres calques.

### Premiers conseils

**Préparer un dossier avec une copie des images à modifier :**

On le dit souvent, la sauvegarde est ton amie et c'est aussi vrai pour la 
retouche d'image. Avant de travailler sur votre projet, créez un dossier 
où vous placerez une  copie de votre image originale ainsi que tous les 
éléments que vous désirez ajouter (d'autres images à traiter, modifier, vos 
ressources graphiques en somme).

**Enregistrer régulièrement votre travail au format ".xcf" :**

Gimp utilise le format "xcf" par défaut pour enregistrer votre projet. Ce 
format permet de sauvegarder les calques et donc, de permettre une 
modification fine de votre travail. Pour **sauvegarder** au format xcf, 
direction le menu "Fichier" > "Enregistrer". Une fois votre projet finalisé, 
vous pourrez **exporter** votre projet dans un format compressé courant 
(jpeg, png, gif) depuis le menu "Fichier" > "Export as".

**Passer en mode mono-fenêtre :**

Si l'interface par défaut avec ses 3 fenêtres vous perturbe, Gimp a prévu 
un mode "mono-fenêtre" disponible depuis le menu  "Fenêtres" > "Mode fenêtre unique".

![The Gimp en mode "fenêtre unique"](img/thegimp_mono.png)

**Amusez-vous !**

Une façon de découvrir **the Gimp** est de tester, d'essayer, de vous 
amuser à retoucher des photos de famille pour rigoler... créez-vous un 
dossier pour jouer avec Gimp et placez-y vos photos ou images préférées et 
commencez à *gimper* !

**Travaux pratiques**

La documentation en ligne de The Gimp est progressive et vous permettra de 
prendre en main votre nouveau jouet : 
[https://docs.gimp.org/2.8/fr/](https://docs.gimp.org/2.8/fr/)

**Imprimer une image**

Si Gimp n'imprime que des pages blanches, que l'aperçu montre désespérément 
une page blanche lui aussi, vous pouvez vous en sortir en installant le paquet 
**gimp-gutenprint** en mode administrateur (chap.3.8.3) :

    apt install gimp-gutenprint

Pour imprimer il suffira de faire: "Fichier > Print with Gutenprint". Vous 
accédez à une page et pouvez paramétrer votre imprimante et votre impression.

