# ![config](img/config.png) Configurez votre environnement

Vous avez pris en main votre système ? On va passer à la configuration 
fine de votre poste de travail.

Vous pouvez quasiment tout modifier sur les bureaux Debian GNU/Linux et 
adapter votre environnement à vos besoins et goûts personnels...

L'arme *quasi* absolue ? Le clic-droit !

## Interface utilisateur

![skin](img/skin.png)  
Les environnements GNU/Linux sont réputés pour leur grande souplesse en matière 
de configuration. Cependant, certains bureaux le sont plus que d'autres, en 
raison de leur interface générale.

Ils fonctionnent en gros sur le même principe : un "Centre de contrôle" pour 
les diriger tous et le clic-droit pour affiner les éléments individuellement.

La plupart des fonctionnalités ont été évoquées lors de la présentation des 
bureaux (chap.4.2). Mais revenons sur les deux bureaux principaux sur 
Debian : Gnome et KDE.

### L'interface Gnome-Shell

**Gnome est le bureau par défaut** pour les installations de Debian. Ce bureau 
présente une interface "tout-en-un" qui en fait un environnement fluide et 
intuitif. Son centre de contrôle vous permettra de gérer l'intégralité des 
composants du bureau.

L'interface Gnome-Shell 
([https://wiki.debian.org/fr/GnomeShell](https://wiki.debian.org/fr/GnomeShell)) 
est "uniforme" : c'est ce qui apporte cette fluidité. Cela veut aussi dire que 
vous ne pourrez pas tout modifier comme sur les autres bureaux, construits 
autour de modules. Mais au lieu de parler du peu que vous ne pourrez pas 
faire, parlons de tout ce que vous pouvez configurer.

Donc direction le menu d'activités Gnome > "Outil de personnalisation".

![lancer la personnalisation de Gnome-Shell](img/deb9-gnome-shell-cfg1.png)

La fenêtre qui s'ouvre intègre tous les éléments de votre bureau Gnome-Shell. 
Les changements sont immédiatement visibles.

![Gnome-Shell : configuration de l'interface](img/deb9-gnome-shell-cfg2.png)

Après quelques "clics" sur les différentes catégories, vous comprendrez 
facilement comment ajouter un menu des applications dans la barre supérieure, 
un menu des Emplacements ou les prévisions météo :

![Gnome-Shell : le bureau Gnome configuré avec les extensions](img/deb9-gnome-shell-ext.png)

#### Installer des extensions Gnome-Shell

Gnome-Shell est agrémenté d'extensions variées disponibles dans les dépôts 
Debian. Pour les installer, direction le gestionnaire de logiciels, 
catégorie "Extensions" ... simple non ?

![lancer "Logiciels"](img/deb9-gnome-shell-ext-install-1.png)

![sélectionner la catégorie "Extensions"](img/deb9-gnome-shell-ext-install-2.png)

Il vous reste à faire votre choix dans la liste : un clic-gauche sur une 
extension et "Logiciels" vous propose l'installation. Une confirmation 
vous sera demandée.

![Liste des extensions Gnome-Shell disponibles](img/deb9-gnome-shell-ext-install-3.png)

![Sélection d'une extension pour installation](img/deb9-gnome-shell-ext-install-4.png)

![Confirmation de l'installation](img/deb9-gnome-shell-ext-install-5.png)

Votre extension est immédiatement accessible, ici avec l'extension "Screencast" 
qui permet d'enregistrer une vidéo de votre session de travail :

![l'extension est disponible](img/deb9-gnome-shell-ext-install-6.png)

#### Les raccourcis clavier sur Gnome-Shell

Pour optimiser votre temps, et même si le bureau Gnome est orienté "clic de 
souris", nous vous conseillons l'utilisation des raccourcis clavier : une 
pression sur la touche "Windows®" permet par exemple d'afficher les activités 
ouvertes, le dock et les bureaux virtuels.

| Raccourcis | Actions |
|------------|---------|
|Alt + F1 ou Win|Ouvre la vue "activités"|
|Ctrl + Alt +  Tab|Affiche le menu d'accessibilité de la vue activités|
|Alt + F2|Lancer une commande|
|Alt + Tab|Naviguer parmi les fenêtres ouvertes|
|Alt + Maj + Tab|Idem, mais dans l'autre sens|
|Alt + ²|Naviguer parmi les fenêtres ouvertes d'un même groupe|
|Ctrl + Alt + ↑/↓|Changer de bureau|
|Ctrl + Alt + Maj + ↑/↓|Envoyer la fenêtre sur un autre espace de travail|

#### Configuration générale du bureau Gnome

La configuration Générale de votre bureau est disponible depuis le lanceur de 
Paramètres et vous donne accès à l'intégralité des réglages de votre environnement :

![lancer la configuration de Gnome](img/deb9-gnome-config-1.png)

![Gnome-Shell : gestionnaire de paramètres](img/deb9-gnome-config-2.png)

Chaque entrée ouvre un sous-menu qui vous permet d'effectuer vos modifications puis 
de revenir au menu principal de configuration afin de continuer la personnalisation 
de votre environnement.

#### Gnome Classique

Si vous désirez utiliser une interface plus "classique", c'est lors de la 
connexion à votre session que ça se joue : cliquez sur la petite roue afin 
de sélectionner "Gnome Classique" avant de cliquer sur "Se connecter" :

![Gnome classique : choix de la session lors de la connexion](img/deb9-gnome-classique-gdm.png) 
![connexion](img/deb9-gnome-gdm-connect.png)

Votre session s'ouvre alors sur une version plus conventionnelle de Gnome, 
mais vous conservez vos réglages principaux et vos outils.

L'interface "Classique" est plus légère, mais offre moins d'effets visuels (f)utiles.

![Le bureau Gnome Classique sur Debian 9 Stretch](img/deb9-gnome_classique.png)

Pour revenir au bureau Gnome-Shell par défaut, sélectionnez "Gnome" depuis 
la petite roue lors de votre prochaine connexion.

### L'interface Plasma KDE

**KDE** est un bureau historique des environnements GNU/Linux et a toujours 
mis l'accent sur la personnalisation extrême. Le passage au moteur de rendu 
Plasma ([https://www.kde.org/plasma-desktop](https://www.kde.org/plasma-desktop)) 
n'a rien changé sur ce point : tout est configurable, déplaçable, modulable 
sur KDE, et depuis un unique **centre de contrôle très détaillé**.

![KDE sur Debian](img/deb9-kde-ext.png)

#### Le panneau de Configuration

C'est ici que vous allez pouvoir effectuer tous les réglages de votre 
ordinateur et de votre système Debian. 

Réseau, son, vidéo, apparence des fenêtres, langue par défaut mais aussi la 
façon dont vous voulez vous connecter à votre session et j'en passe, on peut 
pratiquement tout régler à partir d'ici. Il y a même des effets de bureaux, 
façon Compiz, intégrés à KDE que l'on peut gérer ici.

![Configuration de KDE sur Debian](img/deb9-kde-config-center.png)

Chaque entrée est détaillée et vous découvrirez au fur et à mesure les 
possibilités de configuration de l'environnement KDE-Plasma.  
Si vous souhaitez un environnement plus "out-of-the-box", et si votre machine 
le permet, préférez Gnome ou Cinnamon qui offrent une interface moins détaillée.

#### KDE et les composants graphiques

Plasma permet d'ajouter des composants graphiques à votre bureau, sortes de 
petits 'widgets' qui affichent quasiment n'importe quoi sur votre bureau. 
Depuis le lanceur au coin supérieur gauche ou depuis un clic-droit sur le 
bureau, sélectionnez "Ajouter des composants graphiques", puis faites votre 
choix en glissant-déposant les composants désirés sur votre bureau.

![ajouter des composants](img/deb9-kde-composants1.png)

![KDE et les composants graphiques](img/deb9-kde-composants2.png)

Pour configurer les widgets, effectuez un clic-gauche maintenu sur le 
composant concerné pour faire apparaître le menu de configuration. Vous 
pourrez alors régler le composant, le déplacer ou le redimensionner 
à votre convenance.

#### KDE et les activités

Le gestionnaire d'activité vous permet de vous organiser et de garder un 
œil sur vos tâches. Pour y accéder, toujours depuis le menu au coin 
supérieur gauche ou avec un clic-gauche sur le bureau :

![accéder aux activités KDE](img/deb9-kde-activites1.png)

Le bandeau des activités se place alors en bordure d'écran et affiche les 
activités en cours et en attente. Chaque activité peut être configurée 
afin de séparer vos tâches et y associer certains réglages (suppression 
de l'historique de navigation par exemple).

![La gestion des activités sur KDE](img/deb9-kde-activites2.png)

## Préférences du système

![prefs](img/preferences.png)  
La configuration de votre système impacte directement votre expérience 
utilisateur. Au lieu de vous faire un chapitre complet sur les différents 
concepts éthiques et techniques qui ont conduit Debian à adopter son 
organisation logicielle, on va passer par les conséquences sur votre 
utilisation quotidienne.

Dans la suite de ce chapitre, vous devrez peut-être activer les sections 
"contrib" et/ou "non-free" des dépôts Debian afin d'accéder à des logiciels 
un peu "moins libres". Vous suivrez la méthode documentée dans le chapitre 8.1.3.

### Root-User / su-sudo

Un petit point avant d'aller plus loin et utiliser le mode "administrateur"  
Lors de l'installation, Debian vous demande de renseigner le mot de passe 
pour le compte administrateur "root". Ce compte est commun à tous les systèmes 
GNU/Linux et permet d'effectuer les tâches d'administration sur le système.

Cependant, ce compte n'est pas obligatoire. Vous pouvez, lors de l'installation, 
passer la configuration du compte "root" (laisser les champs vides pour le mot 
de passe) et ainsi éviter la création du compte "root".  
Dans ce cas, c'est le premier utilisateur enregistré au cours de 
l'installation qui prendra la place de "root".

> Euh oui ... et alors ?

Alors ça change les commandes à lancer pour administrer le système : dans ce 
manuel, à chaque fois qu'on vous demande de lancer une commande en "root", 
on utilise la commande "**su**". Mais si vous ne créez pas de compte "root", 
il faudra passer par "**sudo**", la commande qui vous substitue à "root", 
et donner **votre mot de passe**.

**Pour résumer :**  
**si vous avez créé "root"**, pour passer une commande administrateur : 
lancer "su" + le mot de passe administrateur + lancer la commande :

    su
    > demande du mot de passe administrateur
    apt update && apt upgrade
    > exécution des commandes

**si vous n'avez pas créé "root"**, pour passer une commande administrateur : 
lancer "sudo + commande" + votre mot de passe utilisateur :

    sudo apt update && sudo apt upgrade
    > demande du mot de passe utilisateur
    > exécution des commandes

### Lire un DVD Commercial

Les DVD vendus dans le commerce sont "protégés contre la copie" et ne sont la 
plupart du temps pas lisibles sur des systèmes libres par défaut.

Les éditeurs de DVD estiment que nous n'avons pas le droit, sur un système 
libre, de faire une copie privée de notre DVD acheté ... no comment.

Pour remédier à cela, et si vous avez vraiment besoin de cette fonctionnalité, 
vous devez installer le paquet **libdvdcss2**. Ce paquet n'est pas présent 
dans les dépôts Debian par défaut mais vous pouvez allez le chercher depuis 
les dépôts VideoLan (le site de VLC, le lecteur multimédia bien connu).

**Le principe :** ajouter les dépôts VideoLan à votre système, ajouter la 
clé de signature pour sécuriser les échanges avec les dépôts VideoLan et 
enfin installer libdvdcss2.

**La mise en œuvre :** 3 commandes et c'est réglé...

**1** ouvrez un terminal en mode administrateur (chap.3.8.3) avec "**su**" 
puis lancez cette commande pour ajouter les dépôts Videolan dans un fichier séparé :

    echo "deb http://download.videolan.org/pub/debian/stable/ /" > /etc/apt/sources.list.d/videolan.list

**2** ajoutez la clé de signature des dépôts :

    wget -O - http://download.videolan.org/pub/debian/videolan-apt.asc | apt-key add -

**3** rechargez les dépôts et installez libdvdcss2 :

    apt update && apt install libdvdcss2

Vous pouvez réaliser ces modifications depuis le gestionnaire de paquets 
Synaptic en graphique, mais ça prend un temps fou de cliquer partout...

Votre système Debian GNU/Linux est désormais capable de lire les DVD 
"protégés" du commerce et d'en réaliser des copies privées.

### Utiliser FlashPlayer

**Adobe Flash Player** est une plate-forme multimédia **non-libre** utilisée 
pour ajouter des animations, des vidéos ou de l'interactivité à des pages 
sur internet (publicités, jeux...)

Un lecteur libre existe : Gnash 
([https://packages.debian.org/fr/stretch/gnash](https://packages.debian.org/fr/stretch/gnash)). 
C'est une alternative au lecteur d'Adobe, mais il ne permet pas d'avoir 
accès à toutes les fonctionnalités du flash et ne sera utile que sur de 
très rares sites.

En effet, la tendance des sites est de **délaisser le flash** au profit du 
HTML5 ([https://fr.wikipedia.org/wiki/HTML5](https://fr.wikipedia.org/wiki/HTML5)), 
il est donc de plus en plus facile de survivre sur internet sans le lecteur 
propriétaire flash.

Ce manuel étant destiné aux débutants, nous n'allons pas vous demander de 
supprimer de vos marques-pages l'intégralité des sites mal codés qui utilisent 
encore le lecteur flash (quoique ça ferait peut-être bouger les choses plus vite), 
nous allons donc détailler l'installation du lecteur flash d'Adobe™.

- Commencez par visiter le site de téléchargement officiel 
([https://get.adobe.com](https://get.adobe.com)) qui devrait détecter votre 
architecture et votre navigateur. Sélectionnez la version "tar.gz pour 
linux" dans le menu déroulant :

![page de téléchargement du lecteur flash](img/adobeflash.png)

- Une fois votre archive téléchargée, clic-droit sur l'archive puis "décompressez ici".
- Ouvrez le dossier "flash_player-npapi_linux_votre-architecture", 
vous y trouverez le fichier "libflashplayer.so".
- Copiez ce fichier depuis votre navigateur de fichiers : clic-droit sur 
"libflashplayer.so" > "copier"
- Naviguez jusqu'au répertoire local des plugins de votre navigateur firefox 
(~/.mozilla) en affichant les dossier cachés (menu vue > montrer les fichiers 
cachés).
- Créez le dossier "plugins" dans votre ~/.mozilla puis clic-droit dans ce 
dossier > "coller" la libflashplayer.so

**Pour mettre à jour votre flashplayer**, récupérez la dernière version de la 
même façon, et écrasez l'ancien fichier avec le nouveau, tout simplement.

### Installez le pilote d'une carte graphique

Le système Debian GNU/Linux intègre des drivers ou pilotes (firmwares) libres 
afin d'utiliser les chipsets (fonction graphique intégrée à la carte mère) ou 
cartes graphiques externes.

![noob](img/noob-modarp-circle-icon.png)  
**... Il faut un pilote pour gérer la carte de ma mère ??**  
Votre ordinateur est construit autour de votre "carte-mère", une plaque en 
plastique sur laquelle se fixent différents éléments dont votre processeur 
(le calculateur principal) ou votre "chipset graphique" (le calculateur de 
l'affichage, en gros).  
Afin d'envoyer les bonnes instructions à ces éléments, le noyau du système 
GNU/Linux (le programme qui gère les interactions entre le système 
d'exploitation et la machine) utilise des petits bouts de code appelés 
"pilotes", "drivers" ou "firmwares". Le noyau Linux intègre par défaut une 
série de pilotes libres. Ces firmwares sont généralement suffisants pour 
assurer l'affichage, mais il arrive que des drivers propriétaires soient 
nécessaires pour optimiser votre résolution.

Vous pouvez tenter l'installation de pilotes propriétaire si en cours 
d'utilisation live ou sur votre système installé, vous constatez :

- une mauvaise résolution, une image étirée, déformée,
- un écran noir au démarrage alors que le système est bien installé sans erreurs,
- une mauvaise gestion des couleurs,
- une surchauffe excessive lors de la lecture de vidéos,
- un retour de veille capricieux...

Notez que l'installation de drivers propriétaires est une *alternative 
propriétaire* donc **non suivie pas les développeurs Debian**. Si votre 
machine est très récente, n'hésitez pas à faire appel à la communauté avant 
de bidouiller (chap.1.2).

#### Identifiez votre matériel

La première chose à faire est d'identifier votre carte graphique. En tant 
que simple utilisateur, ouvrez un terminal et entrez la commande suivante :

    lspci | egrep "3D|Display|VGA"

qui vous affichera un résultat de ce genre pour une carte nVidia :

    01:00.0 VGA compatible controller: NVIDIA Corporation G96GLM [Quadro FX 770M] (rev a1)

ou de ce style pour une carte ATI :

    01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Barts PRO [Radeon HD 6850] [1002:6739]

Petite explication :

    lspci

liste le matériel et

    egrep "3D|Display|VGA"

permet de ne pas tout afficher, car ce qui nous intéresse ici c'est juste les 
composants graphiques.  
Comme vous pouvez le constater, l'identification est plutôt aisée : on a la 
marque et le modèle sur la même ligne.

#### Installation des firmwares génériques

Dans tous les cas, avant d'installer des drivers propriétaires, vous pouvez 
ajouter les *firmwares-nonfree* fournis par Debian. Pour cela, commencez 
par modifier vos dépôts (chap.8.1.3) en ajoutant les sections *contrib* 
et *non-free* à vos sources.

Ouvrez un terminal en mode administrateur (voir chap.3.8.3) en tapant la 
commande "**su**" (le mot de passe administrateur vous sera demandé) puis lancez :

    apt edit-sources

Modifiez le fichier sources.list en ajoutant les sections *contrib* et 
*non-free* ainsi :

    ###### Debian Main Repos
    deb http://deb.debian.org/debian/ stretch main contrib non-free
    
    ###### Debian Update Repos
    deb http://security.debian.org/ stretch/updates main contrib non-free
    deb http://deb.debian.org/debian/ stretch-updates main contrib non-free

Sauvegardez les modifications avec [Ctrl]+x dans l'éditeur Nano puis "O" pour "Oui".  
Recharger les informations sur les dépôts et installez les firmwares non-free :

    apt update && apt install firmware-linux firmware-linux-nonfree

Redémarrez votre machine pour tester à nouveau votre affichage avant 
d'installer les drivers propriétaires.

S'il n'y a pas d'amélioration, passez aux sections suivantes, le fichier 
*sources.list* est déjà prêt pour la suite.

#### Configuration d'une carte ATI/AMD

**Pilote ATI**

C'est le pilote "générique" à installer si votre carte n'est pas référencée 
dans les sections spécifiques (Radeon, Catalyst)

Pour l'installer, depuis un terminal administrateur (chap.3.8.3) :

    apt install libgl1-mesa-dri xserver-xorg-video-ati

Redémarrez votre ordinateur pour charger le microcode du périphérique graphique.

**Pilote Radeon**

Le pilote radeon de Debian 9 "Stretch" prend en charge les processeurs graphiques 
de R100 à Hawaii. Pour vérifier la présence de votre carte dans la liste complète, 
visitez la page du paquet radeon 
[https://packages.debian.org/fr/stretch/xserver-xorg-video-radeon](https://packages.debian.org/fr/stretch/xserver-xorg-video-radeon).

Pour l'installer, depuis un terminal administrateur (chap.3.8.3) :

    apt install libgl1-mesa-dri xserver-xorg-video-radeon

Redémarrez votre ordinateur pour charger le microcode du périphérique graphique.

Pour les cartes non supportées ici et pour plus de détails, visitez la 
documentation officielle Debian 
[https://wiki.debian.org/fr/ATIProprietary](https://wiki.debian.org/fr/ATIProprietary).

#### Configuration d'une carte nVidia

Debian utilise un outil pour détecter et vous indiquer le driver à 
installer : *nvidia-detect*.

Pour l'installer et l'utiliser, ouvrez un terminal en mode administrateur 
(chap.3.8.3), puis lancez :

    apt update && apt install nvidia-detect

Pour lancer la détection, lancez simplement :

    nvidia-detect

qui renverra un résultat de ce type :


    Detected NVIDIA GPUs:
    01:00.0 VGA compatible controller [0300]: NVIDIA Corporation G96GLM [Quadro FX 770M] [10de:065c] (rev a1)
    Your card is supported by the default drivers and legacy driver series 304.
    It is recommended to install the
        nvidia-driver
    package.


Dans cet exemple, la carte est supportée nativement par le driver par défaut 
et par le driver "legacy series 304". Selon votre machine vous pourrez 
installer deux types de drivers : la série 340.xx (pour les GeForce 8x et plus) 
et la série 304.xx (pour les GeForce 6x et 7x). Les modèles plus anciens sont 
supportés nativement par le driver libre.

Pour une **liste complète des cartes supportées**, visitez la doc dédiée : 
page pour série 340.xx 
([http://us.download.nvidia.com/XFree86/Linux-x86_64/340.65/README/supportedchips.html](http://us.download.nvidia.com/XFree86/Linux-x86_64/340.65/README/supportedchips.html)) - 
page pour série 304.xx 
([http://us.download.nvidia.com/XFree86/Linux-x86/304.125/README/supportedchips.html](http://us.download.nvidia.com/XFree86/Linux-x86/304.125/README/supportedchips.html))

Pour le détail de la procédure d'installation et les cartes supportées, 
reportez-vous à la page officielle de la documentation Debian 
[https://wiki.debian.org/fr/NvidiaGraphicsDrivers](https://wiki.debian.org/fr/NvidiaGraphicsDrivers)

#### Perte de session graphique

Si à la suite d'une installation de driver, vous vous retrouvez devant un 
écran noir, il faut revenir à la configuration précédente... *défaire* 
ce qui a été fait.

**Lancement en "recovery mode"** : Depuis le menu de démarrage GRUB, 
choisissez "Options avancées" puis la ligne "recovery mode".

![GRUB : options avancées](img/deb9-recovery-1.png)

![GRUB : recovery mode](img/deb9-recovery-2.png)

Le système se lance en console et vous invite à continuer la séquence 
de démarrage (en utilisant le raccourcis [Ctrl]+d qui va quitter la console), 
ou à entrer le mot de passe administrateur, ce que vous faites :

![recovery mode actif](img/recovery3.png)

**Suppression du fichier de configuration xorg.conf** : Si lors de 
l'installation du driver propriétaire, vous avez créé un fichier de 
configuration pour X situé dans /etc/X11/xorg.conf et/ou 
/etc/X11/xorg.conf.d/xxx.conf. Il faut le supprimer.  Toujours depuis 
votre console, et selon le fichier créé, supprimez-le avec "**rm**" :

    rm /etc/X11/xorg.conf.d/20-nvidia.conf

ici, la suppression du fichier pour **nvidia**, **!! à adapter à votre système !!**.

**Désinstallation des drivers propriétaires** : De la même façon que vous avez 
installé un driver, vous pouvez le supprimer, ici un exemple avec le driver 
nvidia, **!! à adapter à votre situation !!** :

    apt remove nvidia-kernel-dkms nvidia-driver

**Redémarrez votre système** avec un simple

    systemctl reboot

## Ajouter un utilisateur

![users](img/users.png)  
Si vous n'êtes pas le seul utilisateur de votre ordinateur, vous pouvez créer 
de nouveaux utilisateurs afin de **préserver vos données et vos préférences**. 
En ajoutant un utilisateur, vous allez créer un nouveau dossier dans votre 
système. Ce dossier, au nom du nouvel utilisateur, reprendra les paramètres 
par défaut livrés lors de l'installation.  
Il sera accessible en lecture (vous pouvez consulter les données de l'autre 
utilisateur), mais pas en écriture (vous ne pouvez pas créer ou modifier les données).

### Ajout d'un utilisateur en mode graphique

Debian dispose d'un outil graphique simple pour effectuer cette tâche, mais 
vous pouvez aussi passer par le terminal et la commande "adduser" (décrite 
dans la section suivante).

Depuis un menu ou la liste des applications, section "système", sélectionnez 
"Utilisateurs et groupes" :

![lancer la configuration des utilisateur](img/appfinder-usergroup.png)

La fenêtre qui s'affiche alors présente votre compte utilisateur et ses 
spécificités. Vous pouvez donc modifier les paramètres de votre compte ou en 
créer un autre. Votre mot de passe vous sera demandé.

**Pour ajouter un utilisateur**, clic sur "Ajouter" dans la colonne de gauche :

![paramètres des utilisateurs](img/useraddgui-1.png)

Vous devez renseigner le nom complet du nouvel utilisateur ainsi que son 
identifiant (le login utilisé à la connexion de la session) :

![création du nouvel utilisateur](img/useraddgui-2.png)

Vient ensuite le choix du mot de passe (à remplir à la main, mais vous 
pouvez aussi le générer automatiquement) :

![mot de passe du nouvel utilisateur](img/useraddgui-3.png)

L'utilisateur sera créé... et voilà :

![liste des utilisateurs](img/useraddgui-4.png)

Les paramètres avancés vous permettent de définir plus précisément les 
droits et possibilités de chaque utilisateur.

### Ajout d'un utilisateur avec le terminal

Ouvrez un terminal en mode administrateur (voir chap.3.8.3) puis entrez la 
commande qui va créer l'utilisateur *identifiant_du_nouvel_utilisateur*. 
Notez que vous devez renseigner ici l'identifiant et pas le nom complet 
(il vous sera demandé plus tard) :

    adduser identifiant_du_nouvel_utilisateur

![ajouter un utilisateur avec le terminal](img/adduser-1.png)

La création de l'utilisateur commence et vous devez renseigner son mot de 
passe (deux fois pour confirmer - rien ne s'affiche, c'est normal).

Une fois l'utilisateur créé, passons aux informations complémentaires. Vous 
pourrez indiquer ici le nom complet de l'utilisateur, son numéro de poste au 
travail, ses numéros de téléphones pro et perso ainsi qu'une ligne "autre" 
permettant d'ajouter un commentaire. Une fois fait, une confirmation s'affiche. 
Si les informations vous conviennent, appuyez sur [Enter] ou la touche 'O' (la 
lettre, pas le chiffre) pour finaliser la création du nouvel utilisateur :

![utilisateur ajouté](img/adduser-2.png)

Le nouvel utilisateur pourra se connecter avec son identifiant et son mot 
de passe au lancement de votre système. Il pourra stocker ses données, 
configurer son environnement sans risques pour vos données et vos préférences.

