# ![backup](img/anx.png) Sauvegardez vos données

Quel que soit votre niveau en informatique ou l'état de votre matériel, personne 
n'est à l'abri d'une mauvaise manipulation, d'un incident technique, d'un orage 
violent, d'une tasse de thé sur le clavier, d'un chat qui se soulage dans 
l'unité centrale...

Les capacités des disques durs augmentent et nous sommes tous tentés de stocker 
de plus en plus de données (photos de famille, vidéos, copies privées de films, 
etc); Le risque de perdre une grande quantité de données augmente en même temps, 
c'est pourquoi nous vous conseillons de procéder à des sauvegardes régulières 
de vos données personnelles ainsi que vos mots de passe ou données de courriel.

Cette section s'efforcera de vous donner les clés simples pour éviter une perte 
de vos fichiers favoris au cours d'une panne matérielle ou logicielle.

![noob](img/noob-modarp-circle-icon.png)  
Le "cloud" est à la mode en ce moment. Plusieurs services en ligne sont mis à 
votre disposition pour coller vos données sur un serveur externe...  
Premièrement, vous n'êtes pas à l'abri d'un incident sur le serveur et 
deuxièmement, vous n'avez aucun réel contrôle sur l'utilisation faite de vos 
données. "Le cloud, c'est l'ordi d'un autre" (dixit Bibi, pas *moi*, vraiment Bibi)

Je vous conseille fortement, dans le doute (tous les services de "cloud" ne 
sont pas des filiales de la NSA...), de sauvegarder vos données "en local", 
c'est-à-dire sur un support physique vous appartenant et dont vous avez le 
total contrôle.

## Choix du support

![bkp](img/backup-support.png)  
Les sauvegardes se faisaient sur disquettes, puis CD, puis DVD. Même si vous 
pouvez utiliser ce genre de support, la technologie nous permet d'avoir accès 
à des capacités de stockage beaucoup plus importantes à peu de frais.

Selon la taille de vos données à sauvegarder, vous trouverez des disques durs 
externes allant de 1Go (type clé USB) à 2To (2000 Go) en auto-alimenté 
(directement par la prise usb) ou en alimentation externe. Les prix varient 
entre 4 et 150 euros selon la capacité.

Bien sûr, si vos données tiennent sur un CD (700Mo), vous pouvez utiliser 
un CD-RW (CDROM ré-inscriptible) pour vos sauvegardes.

## Les applications graphiques

![archive](img/archive.png)  
Debian intègre dans ses dépôts plusieurs utilitaires 
([https://www.debian.org/doc/manuals/debian-reference/ch10.fr.html#_copy_and_synchronization_tools](https://www.debian.org/doc/manuals/debian-reference/ch10.fr.html#_copy_and_synchronization_tools)) 
dans le thème "sauvegarde et synchronisation", chacun avec des interfaces 
graphiques ou "clients". Nous vous présentons ici un des plus simples en 
matière de sauvegarde : Déjà-Dup.

**Déjà Dup** est largement suffisant pour une sauvegarde de vos données, mais 
si vous désirez effectuer des "sauvegardes système" (incluant vos 
applications ou toute votre installation), vous devrez passer par des 
logiciels un peu plus complexes décrits dans la documentation Debian 
([https://wiki.debian.org/fr/BackupAndRecovery](https://wiki.debian.org/fr/BackupAndRecovery)).

### Sauvegarde avec Déjà-Dup

![déjà](img/deja-dup.png)  
**Déjà Dup** 
([https://wiki.gnome.org/Apps/DejaDup](https://wiki.gnome.org/Apps/DejaDup)) 
est un outil de **sauvegarde simplifié**. C'est une interface graphique à 
**Duplicity** ([http://duplicity.nongnu.org/](http://duplicity.nongnu.org/)). 
Il permet de construire des sauvegardes sécurisées de vos données dans un 
dossier local, un disque externe, un réseau local, distant ou de type "cloud".

Il permet aussi le **chiffrement complet** et la protection par **mot de 
passe** de votre sauvegarde.

**Déjà Dup** dispose d'une **interface très claire** ne nécessitant aucune 
connaissance informatique.

#### Installation de Déjà-Dup

Déjà-Dup est présent dans les dépôts principaux Debian, pour l'installer, 
depuis un terminal en mode administrateur (chap.3.8.3) :

    apt-get update && apt-get install deja-dup

Ou depuis les interfaces graphiques (chap.8.3), recherchez "deja-dup".

#### Premier lancement et configuration de Déjà-Dup

**Déjà Dup** sera disponible dans votre menu d'applications, section 
"Accessoires" > "**Sauvegardes**". Au premier lancement, les préférences 
de Déjà Dup vous permettent de sélectionner l'automatisation des sauvegardes 
à effectuer, l'emplacement de la sauvegarde, les dossiers à sauvegarder et 
le cycle des sauvegardes.

![DejaDup : sélection des dossiers à sauvegarder](img/dejadup_config1.png)

![DejaDup : sélection des dossiers à ignorer](img/dejadup_config2.png)

![DejaDup : sélection de l'emplacement de la sauvegarde](img/dejadup_config3.png)

![DejaDup : planification de la sauvegarde](img/dejadup_config4.png)

#### Sauvegarder vos données avec Déjà-Dup

Une fois vos réglages effectués, **lancer la première sauvegarde** grâce au 
bouton "Démarrer la sauvegarde" présent dans l'onglet "Vue d'ensemble".

![lancer la première sauvegarde](img/dejadup_backup1.png)

La première sauvegarde sera plus ou moins longue selon la taille des données 
à sauvegarder, les sauvegardes suivantes seront plus rapides car elles ne 
prendront en compte que les fichiers/dossiers modifiés : c'est la sauvegarde 
incrémentale.

L'intérêt bonus est le mot de passe possible lors de la configuration, et 
qui permet de chiffrer l'intégralité de votre sauvegarde :

![DejaDup : protéger la sauvegarde](img/dejadup_backup2.png)

![DejaDup : lancement de la sauvegarde](img/dejadup_backup3.png)

#### Récupérer vos données avec Déjà-Dup

Pour **récupérer une sauvegarde** sur un nouveau système installé par exemple, 
il suffit d'installer **Déjà Dup**, puis de choisir "Restaurer" dans la 
fenêtre principale.

![restaurer une sauvegarde 1](img/dejadup_restore1.png)

Une série de fenêtres simples vont vous aider à retrouver puis récupérer 
vos données :

- définir l'emplacement de la sauvegarde à récupérer :

![restaurer une sauvegarde 2](img/dejadup_restore2.png)

- définir la date de la sauvegarde (si plusieurs sont disponibles) :

![restaurer une sauvegarde 3](img/dejadup_restore3.png)

- définir l'emplacement de restauration :

![restaurer une sauvegarde 4](img/dejadup_restore4.png)

- confirmer le mode de restauration :

![restaurer une sauvegarde 5](img/dejadup_restore5.png)

- si la sauvegarde a été chiffrée, le mot de passe vous sera demandé, 
puis la restauration de vos données commencera. Une fenêtre de confirmation 
s'affichera une fois la restauration achevée :

![DejaDup : restauration des données](img/dejadup_restore6.png)

![DejaDup : restauration effectuée](img/dejadup_restore7.png)

## La méthode manuelle

![archive](img/archive.png)  
Si vous ne souhaitez sauvegarder qu'un seul dossier, ou quelques dossiers, 
vous pouvez utiliser votre gestionnaire de fichiers ou votre gestionnaire 
d'archives (pour réduire la taille de la sauvegarde grâce à la 
compression) tout simplement.

Cette méthode manuelle produit des archives "réelles" : la consultation 
ultérieure des données implique la décompression de l'archive.

Depuis votre gestionnaire de fichiers, sélectionner les dossiers à 
sauvegarder, puis clic-droit sur la sélection, choisir "Créer une 
archive...".

Il ne reste qu'à déplacer votre archive sur un support externe.

## Le clonage du système

![clone](img/logo_clonezilla.png)  
C'est la solution complète assurant une totale sécurité pour vos 
données : cloner la totalité de votre disque dur.

**Clonezilla Live** ([http://clonezilla.org/](http://clonezilla.org/)) 
est un Live CD basé sur la distribution **Debian GNU/Linux** et 
contenant le logiciel **Clonezilla**. Il permet à l'utilisateur 
d'effectuer, directement depuis la machine : 

- **une sauvegarde :** copie du disque entier, ou d'une ou plusieurs 
partitions, sous forme d'une image envoyée vers tout moyen de stockage
- **une restauration :** récupération d'une image depuis son point de 
stockage (même disque, autre disque, autre machine, clé USB, réseau, etc.)
- **une copie :** copie directe des données depuis le disque original 
vers un autre disque

Cette version de Clonezilla peut se connecter à différents serveurs : 
serveur SSH, serveur Samba, système NFS...

Comme précisé dans son nom, le principe est celui du Live CD (CD-ROM 
ou DVD-ROM), mais il peut aussi être exécuté depuis une clé USB, un 
disque dur externe, etc. 
(source [Wikipédia](https://en.wikipedia.org/wiki/Clonezilla) )

Pour un tutoriel en français, visitez cette page : 
[http://www.commentcamarche.net/faq/20942-clonezilla-cloner-son-systeme-configure](http://www.commentcamarche.net/faq/20942-clonezilla-cloner-son-systeme-configure)

