# ![glossaire](img/glossaire.png) Glossaire informatique simplifié

## A

### Administrateur

=> Un grand pouvoir implique de grandes responsabilités...  
L'administrateur est une personne du service informatique qui a la 
responsabilité de gérer le serveur de l'entreprise. Il s'occupe de sa mise 
à jour, de vérifier son bon fonctionnement et de créer les nouveaux comptes, 
configurer les autorisations et les fichiers à partager, les mails, les 
sauvegardes, la sécurité...  
Sur un poste à usage privé, l'administrateur est celui qui a les droits de 
gestion du système : en l’occurrence, vous.

### Adresse IP

Adresse unique sur l'ensemble du réseau Internet qui permet d'identifier 
une machine. Elle est généralement présentée sous la forme d'un groupe de 
4 nombres. Votre ordinateur, s'il est connecté sur Internet, dispose 
d'une adresse IP qui est généralement fournie lors de la connexion par 
votre fournisseur d'accès internet (FAI).

### ADSL

=> Absolument pas l’abréviation de "ah... désolé"..  
L'ADSL désigne l'Internet haut débit. L'ADSL (Asymmetric Digital Subscriber 
Line) est quasiment déployée sur tout le territoire français et vous permet 
de bénéficier de débits allant jusqu'à 30 Mega/s, ce qui vous permet de 
regarder des vidéos, télécharger, naviguer très aisément.

### Alsa

=> *C'est pas du flan !* (oui elle était facile)...  
Alsa (acronyme de Advanced Linux Sound Architecture) est un module du noyau 
Linux qui sert à la détection des cartes et des puces son embarqués sur les 
cartes mères. En perpétuelle évolution, très populaire et vraiment 
performant, **Alsa** a pour fonction de remplacer plusieurs pilotes 
(drivers) de son différents en un seul, ce qui simplifie la gestion du son 
sur linux.

### APN

L'**a**ppareil **p**hoto **n**umérique est le successeur de l'appareil 
argentique. La différence majeure réside dans le fait qu'un logiciel 
informatique numérise les clichés dans une carte mémoire selon un format 
électronique alors que l'argentique impressionne l'image sur un support, 
généralement une pellicule plus ou moins sensible.  
La qualité d'un appareil numérique se mesure essentiellement par la capacité 
de son logiciel intégré à traiter et restituer le rendu des images en Pixels 
plus ou moins ajustés et nombreux.

### APT

APT (Advanced Packaging Tool) est le gestionnaire de paquets des 
distributions utilisant des paquets au format ".deb" dont la plus célèbre 
est la distribution Debian. Il existe des interfaces graphiques comme 
Synaptic pour ceux qui ne sont pas encore à l'aise avec l'utilisation 
d'un terminal.

### Apt-get

**apt-get** en ligne de commande, équivaut à Synaptic en graphique. Il 
est l'application à privilégier lors d'une migration entre l'ancienne 
et la nouvelle branche stable. 

### Aptitude

Aptitude est une alternative à Apt. Il propose d'autres options comme 
la construction de l'arbre des dépendances, mise à jour de l'état des 
paquets et bien d'autres. Si Apt ne se soucie guère d'un paquet cassé sur 
votre système, Aptitude essaiera de le réparer pendant l'update ou 
l'upgrade en vous présentant des alternatives et leurs conséquences à 
choisir.  
Pour finir, il est aussi intéressant de voir le comportement de aptitude 
lors de la désinstallation d'un logiciel, calcul des dépendances devenues 
inutiles et suppression de celles-ci. Apt lui s'en fiche complètement et 
ne fera que ce que vous lui demandez.  
Aptitude possède son interface ncurse (en console) qui peut se montrer 
très pratique, efficace et rapide à l'utilisation.

### Arobase @

Le "arobase" est le caractère utilisé dans les adresses mail et qui porte 
la forme d'un A entouré (exemple : utilisateur@fournisseur.fr). L'arobase 
signifie "chez" ("at" en anglais) : utilisateur de chez fournisseur.fr. 
Il n'y a pas de arobase dans une adresse de site web, seulement dans les 
mails (courrier électronique). Sur un clavier, le @ s'obtient par la 
combinaison des deux touches : [Alt Gr] à droite de la touche espace 
avec [0 à @] en haut du clavier. Cette combinaison peut différer avec un 
clavier type Mac.

### Autonomie

L'autonomie est le temps qu'une batterie permet à un appareil mobile de 
fonctionner sans avoir à être rechargée par une prise de courant électrique. 
L'autonomie d'un ordinateur portable est de quelques heures et celle d'un 
téléphone mobile de quelques jours.

## B

### Bécane

Ordinateur.  
Généralement équipé de disques durs mais sans selle ni pédales par contre.

### Bidouille

Moyen contourné de faire fonctionner un traitement.

### BIOS

BIOS est l’abréviation de **B**asic **I**nput **O**utput **S**ystem, soit 
système élémentaire d'entrée/sortie. Le BIOS est le logiciel embarqué 
(firmware) de la carte mère qui permet d'exécuter des tâches basiques 
lorsqu'on allume l'ordinateur (par exemple lire un secteur d'un disque dur).

### Boite de dialogue

=> Rien à voir avec une cabine téléphonique...  
Une boîte de dialogue est une petite fenêtre qui apparaît à l'écran lorsque 
le système ou un logiciel a besoin que vous fassiez un choix. Il faut donc 
lire le message et cliquer sur le bouton qui correspond à votre choix 
(Oui ou non, Enregistrer ou annuler...)

### Boot

Le Boot, prononcez "bout'" indique le démarrage du pc lui-même, ou, par 
extension, de quelque chose d'inactif dans votre pc.  
Ce terme vient du répertoire système (bootloader) : **/boot** contenant 
les indications permettant le démarrage de la machine.

#### Reboot

C'est le redémarrage du système ou de quelque chose de déjà actif dans 
le système.

### Box

=> La boîte en plastique reliée à la prise téléphone avec les boutons 
qui clignotent quand tu mates une vidéo sur youtube...  
Une Box est le terme utilisé pour désigner les boîtiers de connexion mis 
à votre disposition par votre Fournisseur d'Accès à Internet (FAI) afin 
de bénéficier d'Internet chez vous. La Box permet généralement d'avoir 
Internet, un téléphone fixe illimité et un bouquet de chaînes de télévision. 
Chez Orange on retrouve la "Livebox", chez Free la "FreeBox", chez Bouygues 
la "Bbox" et chez SFR la "NeufBox".

### Brouette

Ordinateur obsolète (celui que vous avez acheté il y a un an).

### Browser

Logiciel utilisé pour naviguer dans le Web (en français navigateur).

### Bug

=> gremlins moderne qui se glisse dans vos programmes...  
Un bug (normalement il faudrait dire "bogue" en français) est un 
fonctionnement non désiré dans un ordinateur ou un programme informatique. 
On parle de bug quand le logiciel ne fait pas ce qu'on lui a demandé, 
qu'il se bloque et ne répond plus ou qu'il plante.

### Bureau Virtuel

C'est l'ensemble des espaces de travail disponibles dans un environnement 
de bureau GNU/linux. C'est comme avoir plusieurs bureaux sous la main 
(avec la barre de tâche et des fenêtres dedans). Très pratique pour 
s'organiser ! En effet les gestionnaires de fenêtres peuvent gérer de 
très nombreux espaces de travail différents et donc des bureaux et 
fenêtres applicables sur ces espaces de travail. Chaque environnement est 
livré avec un nombre de bureaux virtuels par défaut. Vous pouvez changer 
ce comportement dans les paramètres de configuration.

## C

### C / C++

Langage informatique, qui a fait suite au langage A et au langage B  
Le C++ est le langage C évolué. ATTENTION, le C+ n'existe pas, ne passez 
pas pour un con. C+ c'est Canal+ !

### Calculateur

Terme branché pour "Ordinateur", quand on veut frimer devant le directeur 
financier en réunion.

### Carte graphique

La carte graphique est un composant de l'unité centrale chargé de 
l'affichage sur l'écran. Les cartes graphiques puissantes ont pour rôle 
également de gérer les affichages 3D (jeux vidéos). Les principaux 
constructeurs de cartes graphiques sont Nvidia et ATI.

### Carte mémoire

La carte mémoire est un petit bloc de quelques centimètres permettant de 
stocker des données informatiques, comme une clé USB. La différence réside 
dans le fait que la carte mémoire est destinée plutôt à un appareil tel 
qu'un appareil photo numérique ou un caméscope numérique. Elle permet de 
stocker les photos et les films, et peut se lire depuis un ordinateur 
équipé d'un lecteur. Parmi les formats les plus répandus, on retrouve 
la carte CF (Carte Flash) (robuste et moins cher), la carte MémoryStick 
pour les appareils Sony, et la SD pour la plupart des autres. Une carte 
mémoire récente peut stocker des milliers de photos.

### Carte mère

La carte mère est le composant principal de l'unité centrale. Le rôle de 
la carte mère est de centraliser et traiter les données échangées dans 
un ordinateur à l'aide du processeur, qui est fixé dessus. La carte mère 
gère donc le disque dur, un disque, le clavier et la souris, le réseau, 
les ports USB...

### Chat

Prononcez "Tchatte". Les chats sont des espaces de discussion en direct sur 
Internet où les internautes vont pour parler ou faire de nouvelles rencontres. 
Contrairement à la messagerie instantanée, le chat vous permet de discuter 
avec tout le monde.

### Clavier

Le clavier est l'outil permettant d'écrire ce qui s'affiche sur l'écran de 
l'ordinateur. Cet outil peut être remplacé par la voix ou tout autre moyen 
selon des technologies adaptées particulièrement.  
Lorsque nous utilisons le clavier, nous pouvons dire que nous-mêmes sommes 
une Interface associée à l'ordinateur, d'où l'acronyme *ICC* couramment 
employé lorsqu'une erreur incompréhensible résulte d'une écriture erronée. 
Nous disons alors que c'est une Erreur ICC où il faut lire : erreur 
**I**nterface **C**haise **C**lavier ce qui permet de sous-entendre que tu 
t'es gouré dans l'écriture sans te fâcher.

#### AZERTY

Le clavier AZERTY est l'agencement des lettres du clavier pour écrire les 
mots français.

#### QWERTY

Le clavier QWERTY est le clavier pour écrire les mots dans certaines autres 
langues, comme le British dont nous ferons nous-mêmes l'Exit en choisissant 
notre propre language dans la configuration du clavier *et pi cé tou*.  
Le QWERTY est le language par défaut des ordinateurs, si nous tapons la 
lettre **A** sur un clavier français, nous aurons la lettre **Q** qui s'écrira !

#### Bepo

Le lien qu'y faut : 
[http://bepo.fr/wiki/Pr%C3%A9sentation](http://bepo.fr/wiki/Pr%C3%A9sentation)  
Il faut savoir que la disposition du lettrage du clavier est issue de celui 
des machines à écrire mécaniques.  
Dans les faits, la configuration des lettres sur le clavier était alors 
adaptée à la mécanique des branches qui venaient frapper la bande de 
couleur sur le papier d'écriture, plus qu'à la disposition naturelle des 
doigts des utilisatrices-teurs.  
Aujourd'hui, la partie mécanique ayant disparue, il est devenu possible 
de rendre le clavier plus conforme à la configuration des doigts des 
utilisateurs-trices. D'où l'invention d'un clavier dit **Bepo** où 
l'arrangement des lettres et des raccourcis seraient meilleurs pour les 
*pôv* ICC que nous demeurons.

#### Raccourci clavier

Le raccourci clavier permet des modifications d'interprétations des touches 
clavier selon des combinaisons d'appuis simultanés sur les touches-clavier 
appropriées.  

En **graphique** :  
La combinaison des touches **Ctrl** et **C** permet de copier avec le raccourci 
clavier une partie préalablement sélectionnée par un balayage fait avec la 
souris le clic activé tout du long.  
La combinaison des touches **Ctrl** et **V** permet de coller cette même 
sélection à l'endroit pointé par le curseur.

Dans un **terminal** :  
On sélectionne de même avec la souris mais pour l'enregistrer en copie, le 
clavier ne convient pas. Il vous faut faire un clic-droit avec la souris sur 
la sélection et choisir par clic-gauche : *Copier* dans la liste déroulante 
qui s'affiche.  
Cependant, dans un terminal, il reste préférable d'utiliser le clavier plutôt 
que la souris, aussi, les applications d'écriture destinées aux terminaux 
possèdent leurs propres raccourcis de touche clavier pour faire les deux.  
Vous pouvez aussi utiliser le menu du terminal ("Édition > Copier" puis "Coller")

### Clic

Un clic représente l'action d'appuyer sur le bouton gauche, du milieu ou droit 
de la souris. Un clic se veut très bref, c'est à dire que la pression exercée 
avec le doigt est instantanée. "Clic", sans précision, signifie "clic-gauche".

#### Clic-droit

Le clic droit est une pression instantanée exercée avec le majeur sur le bouton 
de droite sur la souris, et permet alors d'afficher un menu contextuel pour 
interagir avec l'élément pointé par le curseur. Il affiche alors dans la liste 
déroulante l'action à opérer, comme la copie, le déplacement, la suppression ou 
le renommage de l'élément pointé si celui-ci est un fichier ou un dossier par exemple.

#### Clic-gauche

Le clic gauche est une pression instantanée exercée avec l'index sur le bouton 
gauche de la souris. Le clic gauche permet d'activer l'élément pointé par le curseur. 
Exemple : un clic gauche sur un fichier vidéo ouvre le fichier avec VLC (si VLC est 
l'application désignée par défaut pour ouvrir ce type de fichier, bien sûr).

#### Clic milieu

Le clic milieu (ou central) s'applique avec les souris possédant une molette/roulette 
entre les deux autres boutons. Il se pratique en appuyant sur la mollette sans la 
faire tourner !  
Quelques exercices seront à faire avant de l'appliquer couramment.

### Client/Serveur

Type d'architecture commun sur l'Internet et plus généralement en informatique : 
Un serveur contient les informations, les clients s'y connectent et lui soumettent 
une requête. Les traitements correspondants sont effectués par le serveur et le 
résultat est affiché sur l'ordinateur du client. Le Web est un bon exemple 
d'application client/serveur.
 
### Cloud Computing

Le Cloud Computing, littéralement : l'informatique dans les nuages, est un concept 
qui commence à s'imposer : plutôt que d'installer un logiciel sur votre ordinateur, 
qui va y prendre de la place, la tendance veut désormais que les choses se fassent 
en ligne, sans avoir besoin de télécharger. De cette manière on peut maintenant 
faire de la bureautique depuis Google docs sans installer quoi que ce soit sur 
l'ordinateur, un navigateur suffit. Par contre, la confidentialité de ce que vous 
faites en prend un coup.

### Coder

Programmer, parler en "langage machine" 
(non, ça ne veut pas dire "faire bip bip bip"...).

### Code source

Le code source est le fichier qui a permis au développeur de programmer le 
logiciel, grâce à des lignes écrites en anglais dans un langage particulier, 
qui sera compris et ensuite compilé en un programme. Certains codes sources sont 
mis gratuitement à la disposition de développeurs notamment dans le cadre des 
logiciels libres.

### Compiler

=> rien à voir avec "DanceFloor 4, la compil'"...  
Lancer une commande qui transforme le code source en programme exécutable.

### Console

=> Voyenne...  
Se dit aussi "terminal" , c'est une interface graphique (un émulateur de 
terminal dans votre session graphique) ou non (votre console en mode *recovery*) 
donnant l'accès au shell (votre interpréteur de commande) permettant ainsi 
d'exécuter des commandes sans passer par une interface *avélasouris*.

### Cookie(s)

Suite de caractères émise par certains sites Web et qui est stockée sur votre 
disque dur. Lors des connexions ultérieures, votre ordinateur renverra son 
cookie au site Web qui pourra alors l'identifier de manière formelle et 
retrouver des données que vous aviez précédemment entrées. Les cookies ne 
sont normalement lisibles que par le site Web qui les a émis et ne peuvent 
contenir que les données que l'utilisateur a volontairement transmises au 
site, ou qui peuvent être extraites lors de la connexion (adresse IP d'origine, 
etc). Ils ne peuvent ni lire le contenu du disque ni contenir un programme 
exécutable. Vous pouvez configurer votre navigateur pour refuser les cookies, 
mais vous perdrez de l'ergonomie (mémorisation de vos préférences ou de vos 
mots de passe)

### Copier-coller

Le copier-coller représente l'action de dupliquer un fichier d'un emplacement 
à un autre. Le fichier est donc cloné de son origine vers une nouvelle destination.

### Core dump

Vautrage d'un programme sous Unix, qui a pour effet de recopier tout le contenu 
de la mémoire dans un fichier nommé "core". Pas bon...

### Couper-coller

Le couper-coller va suivre la même procédure que le copie-coller via le clic 
droit mais déplacer un fichier sans le dupliquer. Le raccourci clavier pour 
mémoriser est alors **Ctrl X**, **Ctrl V** colle pareillement le fichier ou 
la sélection texte.  
ATTENTION ! Le fichier ne sera donc plus présent à son emplacement d'origine 
mais seulement à sa destination.

### Curseur

=> la flèche que vous avez du mal à suivre sur l'écran...  
Le curseur est la projection de votre souris à l'écran. Souvent symbolisé par 
une flèche inclinée, le curseur vous permet de pointer un élément : une icône, 
un menu, un bouton afin de cliquer dessus pour activer une fonction.   

## D

### Debian

=> Maman  
**Debian** est une organisation communautaire et démocratique, dont le but est 
le développement de systèmes d'exploitation basés exclusivement sur des logiciels 
libres.   
Debian se distingue de la plupart des distributions fondées sur elle par son 
caractère non commercial et par le mode de gouvernance coopératif de l'association 
qui gère la distribution.

### Dépendance

On dit qu'il y a une dépendance, lorsqu'un paquet dépend d'un autre pour pouvoir 
être installé et/ou fonctionner. Exemple: sa dépendance à l'informatique est 
préoccupante, envoie-le chercher des paquets de riz.

### Disque dur

Le disque dur est un composant d'un ordinateur. C'est le hangar de l'ordinateur 
puisque son rôle est de stocker des données informatiques. Le disque dur contient 
les partitions qui renferment vos programmes installés ainsi que vos données 
personnelles.   
=> note : le disque mou n'existe pas...

### Distribution

Une distribution (*distro* ou *distrib* en language courant) est un système 
comme GNU/Linux auquel on ajoute une collection de logiciels, qui forment un 
système d'exploitation complet, de la ligne de commande à l'environnement 
graphique. Le but est de former un ensemble stable et cohérent destiné à un 
public particulier. La distribution fournit différents outils pour se procurer 
et installer ces logiciels facilement.

## E

### Email

Ou *mail* ou *e-mail* : courrier électronique. Français mél ou courriel. Un 
email peut être rédigé en texte brut ou en HTML. Dans ce dernier cas, des 
enrichissement sont possibles (gras, couleur, image, tableaux) mais certains 
logiciels de courriers (de plus en plus rares) ne savent pas lire les 
messages en HTML.

### Entrée/Sortie

Les entrées/sorties (ou I/O pour Input/Output) sont les échanges d'informations 
entre le processeur et les périphériques qui lui sont associés. En pratique, 
dans un système d'exploitation, les entrées sont le clavier, la souris, les 
disques, le réseau (ce qui entre comme information) et les sorties sont 
l'écran, les disques, le réseau (ce qui sort comme information).

### Environnement de bureau

Dans le monde Unix, un environnement de bureau (ou DE pour *Desktop Environment*) 
est un ensemble de programmes apportant une interface graphique conviviale au 
système d'exploitation. Il se compose généralement d'un gestionnaire de fenêtres 
et fournit des tas de logiciels qui s'intègrent bien à l'environnement, au 
premier rang desquels les gestionnaires de fichiers, les panneaux de 
configuration, les navigateurs internet, les éditeurs de texte et d'images, 
les jeux, et même des suites bureautiques et de messagerie.

### Ergonomie

L'ergonomie désigne la facilité de prise en main, de compréhension et 
d'utilisation d'un appareil (ex : téléphone), d'un logiciel ou d'un site web. 
Plus il sera ergonomique, plus vite il sera pris en main par son utilisateur. 
Un système ergonomique est donc intuitif.

## F

### FAI

Les Fournisseurs d'Accès à Internet vous permettent de bénéficier d'Internet 
chez vous moyennant 30 euros environ par mois. Parmi les FAI on retrouve : 
Orange, SFR, Bouygues, Free, Darty, Numericable. Chacun d'entre eux vous 
fournit une "Box" (Livebox, Freebox) vous permettant de vous connecter à 
Internet, de bénéficier d'une ligne fixe illimitée, voire de la 
télévision numérique.  
Les FAI peuvent aussi se constituer localement via des associations ou des 
communautés de commune et échapper ainsi aux contrôles et tarifs manipulateurs 
des FAI privés qui ne se privent de rien pour s'entendre entre-eux au 
mépris des lois anti-concurrentielles. Quelques procès ont éclairé cet 
aspect de leurs souverainetés.

### Fenêtre

Une fenêtre est une zone rectangulaire qui apparaît à l'écran pour afficher 
le contenu par exemple d'un dossier ou d'un logiciel. La fenêtre peut prendre 
tout l'espace (plein-écran) ou seulement une partie. Il est possible d'afficher 
plusieurs fenêtres simultanément et faire glisser des éléments de l'une à 
l'autre grâce au glisser-déposer.

### Firmware

Le firmware est le programme qui sert à faire le lien entre un périphérique 
évolué (disque dur, graveur, scanner, modem adsl) et votre ordinateur. 
C'est un programme écrit dans le langage que comprend l'électronique du 
périphérique. On peut comparer le firmware d'un périphérique au BIOS d'un 
ordinateur. C'est lui qui se charge de l'initialisation du périphérique et 
qui reçoit les ordres des programmes plus évolués.  
C'est ce qu'on appelle communément 'pilotes logiciels', ou en anglais 'drivers'.

### Fork

Fork est un mot anglais signifiant "fourche", "fourchette". Il est souvent 
utilisé dans un sens figuré "d'embranchement", de "différentiation" à partir 
d'une racine commune. C'est bien souvent par ce processus de différenciation 
que naissent de nouvelles distributions Linux. Plus exactement il s'agit de 
prendre une base d'un noyau ou programme connu, de le modifier en fonction 
d'un certain but et de le redistribuer.

### Format audio

Un format audio est un format de données utilisé en informatique pour 
représenter (stocker et/ou transporter) des sons, de la musique ou des voix 
sous forme numérique.

### FTP

**F**ile **T**ransfert **P**rotocol : Protocole utilisé pour le transfert 
de fichiers sur l'Internet. Désigne également le programme de transfert de 
fichiers qui utilise ce protocole. Il est nécessaire de posséder un 
programme spécialisé pour accéder aux serveurs FTP, tel que Filezilla.

## G

### GAFAM

Acronyme constitué des géants du Web les plus connus (Google®, Apple®, 
Facebook®, Amazon® et Microsoft®) et qui sont spécialisés dans l'exploitation 
et la revente de vos données personnelles lorsque vous naviguez sur Internet. 
L'utilisation de ces services nuit grandement à la protection de votre vie privée .

### Geek

Même si le mot peut avoir une connotation plus générale, un geek (une geekette) 
est un passionné d'informatique, généralement passionné par d'autres sujets 
tels que la science-fiction et curieux en général. Geek n'est pas synonyme de 
technophile : le geek n'aime pas juste utiliser la technologie, il aime 
comprendre comment ça marche et a l'esprit critique.

### Gestionnaire de boot

C'est un programme qui se lance au démarrage de la machine, permettant le choix 
entre plusieurs systèmes d'exploitation au démarrage de l'ordinateur. Les plus 
connus sont Lilo et GRUB qui s'installent généralement dans le mbr du disque 
dur, bien que Windows® dispose d'un logiciel similaire, il est bien moins 
évident à mettre en œuvre que grub lors d'un dual boot Linux/Windows® par exemple.

### Gestionnaire de bureau

Ensemble des composants formant votre bureau : le Gestionnaire de fenêtres, le 
gestionnaire de fichiers, le tableau de bord (panel) et les outils qui les relient. 
Xfce est un gestionnaire de bureau comme Gnome ou KDE.

### Gestionnaire de fenêtres

Le gestionnaire de fenêtres (*window manager* en anglais, abrégé WM) est le 
client X qui possède les fenêtres et les gère (barre de titre, encadrement, 
déplacement, changement de taille, etc.). Les applications, quant à elles, 
possèdent l'intérieur de la fenêtre ; ce sont elles qui créent les fenêtres, 
en gèrent le contenu ainsi que l'interaction avec ce contenu.  
Il est ainsi possible de changer de gestionnaire de fenêtres, et de voir toute 
l'apparence de tout l'écran changer complètement.   Lorsqu'un gestionnaire de 
fenêtres permet de faire plein d'autres choses en plus de ce qui vient d'être 
décrit, c'est un environnement de bureau comme Xfce par ex.

### Gestionnaire de fichiers

C'est l'outil qui vous permet de consulter vos données, sur Xfce par exemple, 
c'est Thunar qui occupe cette place en vous guidant à travers vos dossiers 
et vos fichiers. Le gestionnaire de fichiers permet généralement toute une 
série d'action sur vos données (couper/copier/coller/supprimer/créer...)

### Gestionnaire de Paquets

Un gestionnaire de paquet est un logiciel permettant d'installer, de désinstaller 
et de mettre à jour ses paquets.  
Sur Debian, Synaptic est le gestionnaire de paquets graphique par défaut. Pour le 
terminal, la gestion est confiée aux outils APT (dont Synaptic est une des 
interfaces graphiques).

### Glisser-déposer

Le glisser-déposer est l'action de cliquer sur une icône et de maintenir le 
clic, puis de déplacer la souris vers un autre emplacement, puis lâcher le 
clic : les fichiers sélectionnés suivent la souris et sont déplacés en direct : 
ils glissent avec la souris jusqu'au lâché du clic, jusqu'à l'endroit où ils 
sont déposés.
 
### Gnome

GNOME, acronyme de **G**NU **N**etwork **O**bject **M**odel **E**nvironment, est 
un environnement graphique libre convivial dont l'objectif est de rendre 
accessible l'utilisation du système d'exploitation GNU au plus grand nombre ; 
cette interface est actuellement populaire sur les systèmes GNU/Linux et 
fonctionne également sur la plupart des systèmes de type UNIX.

### GNU

Le projet GNU (pour "**G**NU is **n**ot **U**nix") est une communauté initiée 
en 1983 par Richard Stallman pour créer un système d'exploitation libre et 
alternatif à Unix.  
GNU est particulièrement notable dans l'informatique car il a apporté des 
contributions majeures telles que le compilateur GCC, des améliorations parmi 
les commandes Unix existantes ou la licence libre **GNU General Public License** 
(GPL).  
GNU a également travaillé sur un noyau appelé HURD, mais finalement c'est Linux 
qui s'est imposé comme le noyau pour utiliser les autres briques du projet.

## H

### Hameçonnage

Se faire prendre pour une poire par un Phishing.

### Hardware

La partie matérielle d'un système informatique (la bécane, les cartes, les puces, 
le processeur, etc), par opposition à partie **Software**.

### Haute définition

La Haute définition est le successeur de la télévision que l'on connaissait. 
La HD est une nouvelle norme audio visuelle permettant de bénéficier d'une 
qualité d'image et de son supérieure, ainsi qu'une taille d'image beaucoup 
plus grande. La différence est flagrante. Aujourd'hui la télévision est en 
Haute Définition via la TNT. Les jeux vidéos également (PlayStation® 3 et 
Xbox®360) et les films en Blu-Ray (successeur du DVD). Il vous faudra toutefois 
un matériel compatible pour en profiter (téléviseur HD compatible TNT HD, câble 
HDMI, lecteur Blu-Ray, etc.)

### HDMI

HDMI est une connectique pour relier des appareils Haute Définition entre eux. 
C'est le remplaçant de la prise Péritel. On peut relier un lecteur Blu-Ray par 
exemple à un téléviseur HD avec un câble HDMI, de même avec une PlayStation® 3 
et une Xbox® 360. HDMI signifie High-Definition Multimedia Interface, que l'on 
peut traduire par connectique multimédia pour la haute définition.

## I

### Icône

Une icône est un pictogramme accompagné d'un nom et représentant un élément : 
dossiers, fichiers, logiciels, raccourcis... le fait de cliquer sur une icône 
va lancer une action : ouvrir le fichier, lancer un logiciel, afficher un contenu.

### IMAP

Protocole de messagerie électronique (e-mail).  
Quand un programme de messagerie utilise le protocole IMAP, les messages sont 
stockés à la fois sur le serveur de messagerie et sur l'ordinateur où le 
programme de messagerie électronique est en cours d'exécution. Les changements 
sont synchronisés entre le client et le serveur. Si vous accédez à votre 
compte à partir de plus d'un ordinateur, vous voyez donc les même messages, 
l'état de chacun des messages (lu, non lu, supprimés…) est le même et 
l'organisation des dossiers est conservée quel que soit l'appareil que vous 
utilisez (parce que tous les programmes de messagerie se synchronisent avec 
le serveur).

Les comptes qui utilisent le protocole IMAP peuvent perturber les utilisateur 
s'ils ne sont pas conscients de cette synchronisation. Une personne pourrait 
penser que la suppression d'un message sur un seul appareil ne supprime que 
la copie locale, ne réalisant pas que le message est également supprimé sur 
le serveur et ensuite sur tous les autres appareils qui accèdent au compte. 
(sources Mozilla 
([https://support.mozilla.org/fr/kb/glossaire-termes-type-compte](https://support.mozilla.org/fr/kb/glossaire-termes-type-compte)) )  
Voir aussi le protocole POP

### Interface chaise/clavier

L'interface chaise/clavier est le composant qui fait le lien entre la chaise 
posée devant le moniteur et le clavier de l'ordinateur ... Il semblerait que 
malgré tous les progrès de la technologie moderne, ce composant soit source 
d'une grande majorité des bugs informatiques

### Interface graphique

L'interface graphique désigne la manière dont est présentée un logiciel à 
l'écran pour l'utilisateur. C'est le positionnement des éléments : menus, 
boutons, fonctionnalités dans la fenêtre. Une interface graphique bien 
conçue est ergonomique et intuitive : faite pour que l'utilisateur la 
comprenne tout de suite.

### Internet

Internet regroupe tous les réseaux inter-connectés (câblés et sans-fil) du 
monde et les sites web. Avec un accès Internet, vous pouvez accéder à tous 
les sites Internet du monde en un clic, écouter de la musique, communiquer, 
voir des vidéos, apprendre... depuis votre ordinateur, tablette ou 
téléphone mobile.

### IRC

**I**nternet **R**elay **C**hat. Système de discussion en temps réel sur 
l'Internet. Il existe plusieurs réseaux d'IRC eux mêmes subdivisés en 
"canaux" (channels) thématiques.

### IRL

**I**n **R**eal **L**ife : acronyme désignant la "vie réelle" ... hé oui ... 
les geeks ont besoin de préciser parfois...

### ISO

Dans notre cas, lorsque l'on parle de fichier ISO, il s'agit d'un fichier 
répliquant les informations présentes sur un CD ou un DVD. Il existe d'autres 
formats pour répliquer ces informations, mais le format ISO est le plus 
répandu et est régi par une norme internationale. Petite subtilité : il est 
aussi possible de "graver" un fichier ISO sur une clé USB.

## J

### Java

Langage de programmation à vocation universelle créé par la société Sun. Le 
principe est qu'un programme écrit en Java peut s'exécuter sur n'importe quel 
ordinateur pourvu que celui-ci dispose d'un sous-programme appelé "machine 
Java virtuelle". Cette machine virtuelle convertit les instructions Java en 
instructions propres à l'ordinateur tout en l'obligeant à respecter certaines 
règles de sécurité. Les programmes java sont chargés et exécutés lors de 
l'affichage de la page qui les contient. Ils portent le nom d'applet.  
La possibilité que ce type de programme soit utilisé pour hacker insidieusement 
votre PC est très élevée. Ne pas utiliser de Java sur internet, ou du moins de 
ne pas visiter les sites peu sûrs avec le java activé sur votre PC, vous 
permettra de ne pas vous faire piéger par de la malveillance.

### Jean Kévin

On appelle parfois péjorativement "Jean-Kevin" ou "kikoo lol", un nerd adolescent, 
persuadé d'être un dieu de l'informatique alors que ses réelles connaissances ne 
sont pas à la mesure de son égo. Il s'exprime généralement en langage SMS. Phrase 
connue : "Jean Kévin, viens manger", réponse connue: "j'arrive".

### JPEG

Format de fichier graphique permettant des taux de compression impressionnants 
comparés aux formats précédents, mais au détriment de la qualité de l'image, 
c'est en effet un format destructeur. L'extension de fichier correspondante est JPG.

L'évolution est le format JPEG 2000. Ses performances en compression, avec ou 
sans perte de qualité d'image, sont considérées meilleurs que son ancêtre, tout 
en gagnant en poids d'image. 

## K

### Karnac

Écrit avec une grosse faute d'orthographe, Karnac est une station balnéaire 
branchée, réputée pour ses plages de sable fin et ses alignements de menhirs. 
Bref, rien à voir avec l'informatique, mais il fallait le noter.

### Kernel

Un noyau de système d’exploitation, ou simplement noyau, ou kernel (de l'anglais), 
est une des parties fondamentales de certains systèmes d’exploitation. Il gère les 
ressources de l’ordinateur et permet aux différents composants — matériels et 
logiciels — de communiquer entre eux. Debian utilise le noyau Linux.

### Kiss

Le principe KISS, pour Keep it Simple, Stupid (en français, mot à mot : Garde 
ça simple, stupide), est une méthode qui préconise de rechercher la 
simplicité dans la conception et d'éviter toute complexité non nécessaire. 
Exemple : Give me a KISS.

## L

### Live CD

Un live CD (de même, une clef USB live) est un CD amorçable. Le système se 
lance au démarrage de l'ordinateur sur le support et s'exécute sans 
installation. Il utilise en fait la mémoire vive (RAM) pour fonctionner, et 
ne touche pas à la mémoire physique (disque dur).

### Logiciel libre

Le logiciel libre est un concept de logiciels et systèmes d'exploitation 
gratuits dont les créateurs mettent le code source qui a servi à sa création 
à votre disposition et pour que d'autres développeurs participent à le faire 
progresser. On retrouve par exemple l'initiative GNU/Linux qui regroupe des 
systèmes d'exploitations libres et gratuits tels que Debian, mais aussi la 
suite LibreOffice qui concurrence sous les auspices du libre Microsoft 
Office, et les navigateurs Firefox ou Chromium, principaux concurrent 
d'Internet Explorer (de Microsoft®).

### (J'en ai pas pour) Longtemps

Phrase utilisée par les informaticiens pour dire qu'ils en ont encore pour 
2 heures (le temps de compiler, tester, corriger, recompiler, tester, 
corriger, compiler...)

## M

### Mail

Un mail est un anglicisme du mot courrier électronique, que l'on peut contracter 
en courriel (ou mel) en français.  
Plus souvent utilisé que sa version française plus longue, le mail désigne un 
courrier envoyé par Internet via une messagerie électronique.  
Les mails sont gratuits, généralement limités à 10Mo par mail, pouvant être 
accompagnés de fichiers joints (images, documents...) et envoyés à un 
destinataire (A:) et potentiellement en copie (CC:). Les mails indésirables 
sont appelés pourriels ou spam.

### MBR

Le **M**aster **B**oot **R**ecord occupe les 512 premiers octets. Il est la 
zone d'amorçage du disque.

### Menu contextuel

Le menu contextuel est un menu qui s’affiche généralement lors d’un clic-droit 
sur un dossier ou un fichier, et qui liste les différentes actions possibles 
sur ce dossier/fichier selon le contexte, d’où son nom.

### Messagerie électronique

Une messagerie électronique est un logiciel dont le but est de recevoir, de 
classer et d'envoyer vos courriers électroniques (mails).

### Messagerie instantanée

La messagerie instantanée désigne un logiciel où l'on peut communiquer en 
direct (ou chatter) avec ses amis et sa famille, et éventuellement partager 
des fichiers, parler au micro et se voir à la webcam. À la différence d'un 
chat, la messagerie instantanée vous permet de parler avec votre liste de 
contact, et pas n'importe qui.

### (5) Minutes

Mesure de temps d'une variabilité aléatoire selon le g33k, mais qui ne dure 
jamais 5 minutes...

### Mise à jour

Une mise à jour est un programme destiné à apporter une correction à un 
programme existant. La mise à jour peut corriger une faille de sécurité, 
ajouter une nouvelle fonctionnalité, corriger une erreur...  
Sous Debian (et le libre en général) il est préférable d'utiliser les outils 
APT pour gérer l'ensemble de ses paquets installés.

### Moniteur

Se dit à la place d'"Écran", pour faire bien. Surtout ne dites pas "Télé" 
si vous ne voulez pas passer pour un(e) nul(le) en info.

### Moteur de recherche

Un moteur de recherche est un site indexant tous les autres sites Internet et 
vous permet de poser une question ou taper des mots pour faire une recherche 
dans l'ensemble dont il dispose (pour les moteurs de recherche avec pub, ils 
privilégient leurs annonceurs vous privant ainsi de trouvailles souvent 
judicieuses parfois même pas nommées). Le moteur va ensuite retourner les 
résultats les plus pertinents *d'après lui*.  
Privilégier des moteurs de recherche libre est une nécessité afin de participer 
à la libération d'internet. 

Quelques moteurs de recherche libres et respectueux de votre vie privée :

- [https://www.ixquick.com/fra](https://www.ixquick.com/fra)
- [https://duckduckgo.com](https://duckduckgo.com)
- [https://www.startpage.com](https://www.startpage.com)
- [https://framabee.org](https://framabee.org)

## N

### Navigateur internet

Le navigateur Internet est un logiciel vous permettant d'afficher des sites 
Internet, télécharger des fichiers et faire des recherches. Exemple : Firefox 
ou Chromium.

### No Life

Un ou une *nolife* est un *geek* ou un *nerd* tellement passionné qu'il consacre 
quasiment tout son temps à sa passion en négligeant tout le reste, et qui n'a 
pas (ou quasiment pas) de vie sociale. Peut aussi être une phase éphémère dans 
la vie d'un non-informaticien autrement connue sous le terme d'*adolescence*.

### Noob

Le terme "noob" (dérivé de "newbie", soit *néophyte*) désigne un débutant en 
informatique. Contrairement à "Jean-Kevin", le qualificatif n'est pas 
forcément péjoratif.

### Noyau

C'est le cœur du système linux; il est commun à toutes les distributions. Sa 
particularité est d'inclure directement les pilotes logiciels de périphériques. 
C'est Linus Torvalds qui a créé le noyau Linux, utilisé dans nos systèmes GNU/Linux.

## O

### Octet

L'octet est l'unité de taille informatique qui mesure la taille d'un fichier, son 
poids. C'est à dire l'espace qu'il prend sur la mémoire là où il est écrit. 
L'octet est une unité de taille très petite, beaucoup de fichiers seront donc 
exprimés en Ko (Kilo octets), voire même en Mo (Méga octets), Go (Giga octets) 
et récemment (2016) en To (Terra octets).

Voir le site : https://fr.wikipedia.org/wiki/Octet pour les détails.

### Onglet

Présents généralement dans les navigateurs Internet, les onglets permettent 
de naviguer sur plusieurs sites en même temps. Pour passer de l'un à l'autre, 
il faut cliquer sur l'onglet correspondant, présenté comme les onglets d'un 
classeur.

### OS

Operating System, voir "Système d'exploitation".

## P

### Pare-feu

Le pare-feu (en anglais firewall) est une protection située à l'entrée du réseau 
et/ou sur les ordinateurs, visant à empêcher toute intrusion par le réseau. Il 
contrôle les entrées et les sorties et ne laisse passer que les signaux autorisés.

### Partition

Pour utiliser certains médias comme les disques durs, on a besoin de les 
structurer, de les découper en gros sous-ensembles : les partitions. Chaque 
partition est ensuite elle-même structurée par un système de fichiers. Découper 
un disque dur en plusieurs partitions permet par exemple d'y faire coexister 
deux systèmes d'exploitation différents, comme Windows et Linux, qui utilisent 
des systèmes de fichiers différents.

### Périphérique

Un périphérique est un matériel informatique qui vient se relier à un ordinateur. 
Une clé USB est un périphérique, ainsi qu'un clavier, une souris, une imprimante, 
etc.

### Phishing

Le phishing (pêche à la ligne) est une pratique d'escroquerie qui consiste à 
envoyer un mail à un internaute en l'amenant par exemple sur un faux site 
maquillé aux couleurs de sa banque, ou d'un site e-commerce, en lui demandant 
de se connecter pour mettre à jour ses informations. Si l'internaute se fait 
piéger (ou hameçonner) ses informations (privées et/ou bancaires) peuvent être 
utilisées à de mauvaises fins.

Si on reconnaît ce type d'abus dans ses messages, afin de maintenir la liberté 
d'internet pour tous on peut les signaler ici : 
https://www.internet-signalement.gouv.fr/PortailWeb/planets/Accueil!input.action

### Pixel

Le pixel est le plus petit carré composant l'écran et affichant une couleur à la 
fois. L'écran est donc composé de millions de ces pixels en hauteur et en largeur. 
La totalité de ces pixels forme l'image de l'écran. Un pixel est si petit qu'on le 
voit à peine à l’œil nu. Plus il y a de pixels dans une image, plus elle paraîtra nette.

### Plug-in

Sous-programme complémentaire permettant à un programme de faire plus que 
d'origine comme par exemple aux navigateurs de lire certains formats d'image, 
de vidéo, d'animation ou de son. On appelle cela aussi un "addon".

### Pointeur

Outil de pointage et de sélection graphique basique, généralement représenté 
par une flèche. Il change d'apparence en fonction des actions possibles et/ou 
en cours : apparence d'une main lors d'un déplacement de fenêtre, d'un curseur 
(comme un grand I) lors de l'édition d'un texte, etc.  
Le pointeur est piloté par la souris ou le pavé tactile, mais peut aussi l'être 
par le clavier, voire tout autre périphérique le gérant.

### Police

Une police d'écriture (ou police de caractères, "font" en anglais) représente 
une gamme de lettres (caractères) avec une forme particulière.

### POP

POP est le protocole de messagerie le plus élémentaire et aussi le protocole le 
plus couramment offert par les fournisseurs de services Internet.

Le protocole de messagerie POP est très simple. Il n'y a pas de synchronisation. 
POP se connecte au serveur, télécharge le contenu de la boîte de réception sur 
votre appareil, puis se déconnecte du serveur. Les messages sont généralement 
supprimés après leur téléchargement. Par défaut, Thunderbird les laisse sur le 
serveur durant 7 jours. POP peut laisser des messages sur le serveur, la durée 
de conservation des messages peut être modifiée à partir de vos paramètres de 
votre client mail.

L'avantage de POP, c'est sa simplicité, il nécessite beaucoup moins de données 
à transmettre entre le serveur et vous. Une fois que le message est dans votre 
boîte de réception il n'est plus lié au serveur ni à un autre dispositif. 
(sources Mozilla ([https://support.mozilla.org/fr/kb/glossaire-termes-type-compte](https://support.mozilla.org/fr/kb/glossaire-termes-type-compte)) )

POP peut être utilisé si l'accès à la messagerie ne se fait que depuis un seul 
ordinateur ou depuis un webmail. Sinon, il est préférable d'utiliser le 
protocole IMAP.

### Port PS/2

Le Port PS/2 est un petit raccord rond, à l'arrière de l'unité centrale, 
permettant de brancher un clavier (port violet) et une souris (port vert). 
Cela dit, les ports PS/2 ne sont plus vraiment utilisés car remplacés par 
l'USB (port universel). Le gros désavantage de ce branchement est le fait de 
ne pas pouvoir brancher une souris ou un clavier une fois l'ordinateur en 
route. Pour qu'ils soient reconnus, il fallait impérativement le faire avant 
l'allumage (ou Boot).

### Processeur

Le Processeur (CPU en anglais) organise les échanges de données entre les 
différents composants (disque dur, mémoire RAM, carte graphique) et réalise 
les calculs permettant à l'ordinateur d'interagir avec vous via l'affichage 
des données sur un écran.

On parle aussi de processeur graphique (GPU en anglais), c'est-à-dire la puce 
graphique qui gère votre carte graphique, et l'affichage au-travers de votre écran. 

### Protocole

Un "protocole" est un ensemble de normes de communication utilisé par les 
dispositifs informatiques. Parmi les protocoles les plus courants, on retrouve 
HTTP (pour la transmission des pages Web), FTP (pour l'envoi de fichiers).

Les communications par courriel utilisent plusieurs protocoles pour envoyer et 
recevoir des messages. Lors de l'envoi des messages, les programmes de messagerie 
utilisent SMTP (Simple Mail Transfer Protocol). Pour la réception des messages, 
les programmes de messagerie utilisent soit POP (Post Office Protocol) soit IMAP 
(Message Access Internet Protocol). 
(sources Mozilla ([https://support.mozilla.org/fr/kb/glossaire-termes-type-compte](https://support.mozilla.org/fr/kb/glossaire-termes-type-compte)) )

## Q

### Queue

Mot existant aussi bien en français qu'en anglais, et utilisé dans le sens de 
"file d'attente".  

### Quitter

Terminer l'exécution d'un programme.  

## R

### Raccourci

Un raccourci est un lien, symbolisé par une icône de raccourci, qui se place 
n'importe où et qui permet d'accéder rapidement à un logiciel ou un endroit 
de l'ordinateur. C'est un raccourci que l'on utilise la plupart du temps pour 
lancer un programme. Supprimer un raccourci ne désinstalle pas le programme 
auquel il mène, ni le fichier lié.

### Raccourci clavier

Un raccourci clavier représente une combinaison de touches du clavier à appuyer 
simultanément sur le clavier pour effectuer une action bien précise sur 
l'ordinateur. Les raccourcis clavier les plus couramment utilisés permettent 
d'enregistrer : [Ctrl]+'s', de copier : [Ctrl]+'c', coller : [Ctrl]+'v', 
fermer un logiciel ou une fenêtre [Alt]+[F4]...

### RAM

La RAM est un type de mémoire (appelée *mémoire vive*) qui équipe tout 
ordinateur et mobile permettant de stocker des informations provisoires. 
Son avantage majeur est sa capacité de lecture très rapide par rapport au 
disque dur ce qui permet une utilisation fluide de votre ordinateur. RAM 
veut dire en anglais **R**andom **A**ccess **M**émory : mémoire à accès 
aléatoire (son but n'étant pas de ranger de l'information mais d'y accéder 
rapidement et provisoirement).

#### Barrette de RAM

Les barrettes de RAM s'installent sur la machine dans des slots dédiés. Si 
vous avez plus de 2 slots de dispos, ils vont par paires et de couleurs 
différentes, genre : slot1 avec slot3 et slot2 avec slot4.

Si l’on met deux barrettes de format, performance et marque égales sur deux 
slots de la même paire, le débit de la bande passante entre le microprocesseur 
et la mémoire centrale passera de 64 bits à 128 bits et sera donc doublée 
réduisant ainsi l’effet de goulot d'étranglement effectué par le contrôleur 
mémoire entre le microprocesseur et la mémoire centrale. 

En revanche, si deux barrettes de performance inégale sont mises sur deux 
slots d'une même paire, la barrette la plus performante sera **downclocked**, 
cela signifie qu'elle se mettra au niveau de la moins performante et ne sera 
donc pas utilisée au maximum de ses capacités.(source it-connect 
[http://www.it-connect.fr/le-code-couleur-des-slots-de-ram/](http://www.it-connect.fr/le-code-couleur-des-slots-de-ram/))

Exemple avec 2 barrettes de 4 go et 1 barrette de 8 go, vous clipsez les 
barrettes de 4 go sur les slots 1 et 3 et la barrette de 8 go sur le slot 2 ou 4.

### Ramer

Fonctionner len... te... ment... Une brouette, ça rame.

### RTFM

RTFM vient de l'anglais **R**ead **T**he **F**ucking **M**anual, en français 
*Lit ce putain de manuel*.  
C'est une abréviation qu'on lance sauvagement à la tête de quelqu'un qui pose 
une question pour l'inciter à faire des recherches. 

Cela vient du fait que les gens posent parfois des questions triviales, dont les 
réponses sont facilement disponibles dans les pages de manuels ou sur internet, et 
que les gens n'ont pas l'habitude de la puissance des documentations du monde Unix.

Sur les sites d'entraide du libre à destination des débutants comme Debian-Facile, 
c'est un cas potentiel de bannissement pour l'intervenant qui le profère, choisir 
plutôt de ne pas intervenir est le mieux.

## S

### Software

Logiciel : Tout ce qui fait qu'un PC fonctionne, hors le matériel utilisé (Hardware).  
Exemple : La partie logicielle, les programmes, les erreurs ICC, tout ça...

### Système d'exploitation

Un système d'exploitation (en anglais Operating System ou OS) est une interface 
entre le matériel et les logiciels applicatifs. Par extension, on considère 
souvent que c'est aussi un ensemble de logiciels permettant la communication 
entre un ordinateur et les utilisateurs de cet ordinateur /(cette définition a 
été introduite par Windows® qui comporte toutes les couches, jusqu'à la couche 
applicative). Il doit permettre un certain nombre d'opérations de base, comme : 
fournir une 'abstraction' du concept de fichier, permettre de créer des fichiers, 
de les copier, de les effacer, etc., permettre de lancer un logiciel, de le 
terminer pour passer à autre chose.

Quelques exemples de systèmes d'exploitation : GNU/Linux, Windows®, Mac OS X®, FreeBSD.

*Expression à double-sens* : tandis que les OS libres exploitent les ressources de 
la machine pour vous via les logiciels, les OS propriétaires exploitent vos données pour eux...

### Système de fichier

Un système de fichier, abrégé fréquemment en FS (Filesystem en anglais), est 
la façon dont les données sont organisées sur une partition (sur un disque, 
une clef USB, etc.).

Linux possède ses propres FS, comme ext2, ext3, ext4, ReiserFS, BtrFS... et 
il gère une multitude de systèmes de fichiers provenant d'autres architectures, 
dont FAT, VFAT (i.e. FAT32), NTFS (les systèmes de fichiers de DOS/Windows®), 
ISO 9660 (CD-ROM) avec les extensions "noms longs" Joliet de Microsoft et Rock 
Ridge, NFS (Système de fichiers réseau), etc.

Un système de fichiers est dit "journalisé" lorsqu'il conserve sur le disque la 
trace - le journal - des opérations réalisées, et les écrit ensuite sur le disque.  
De tels systèmes de fichiers (ex : ext3/4 ou Reiserfs mais aussi NTFS) sont plus 
tolérants aux crashs du système, car ils conservent ainsi l'intégrité du système 
de fichiers (plus besoin de *fsck* ou de *scandisk* lors du redémarrage). 
Certains de ces systèmes de fichiers sont aussi capables de conserver l'intégrité 
des fichiers eux-même (support des "transactions"), au prix d'une dégradation des 
performances (chaque écriture doit se faire plusieurs fois).

## T

### Table de partition

La table de partitions contient les informations sur les partitions : comment 
elles sont organisées, quel est le format de fichier, quelle est sa taille. Cette 
table est contenue dans le MBR ou pour les ordinateurs plus récents le GPT.

### Terminal

On désigne par terminal la console en lignes de commande disponible et vitale à 
toutes les distributions Linux.   
Même si de nombreuses interfaces graphiques sont disponibles pour quasiment toutes 
les applications, rien de plus efficace ni de sécurisé que, par exemple, de mettre 
à jour tout son système en tapant de soi-même une seule ligne de commande pour le 
faire aux p'tit zoignons.

Nota : En utilisant un terminal on peut lancer puis faire quitter tous les 
programmes installés et on peut à tout moment le consulter pour voir comment 
s'y déroule l'activité dudit programme, pendant et même après la fermeture de 
celui-ci. Très utile en cas de bug !

### Troll

Dans le monde de Usenet, des forums, mailing-list, de l'IRC et de tout lieu qui 
prête à la discussion, un troll est soit un sujet polémique, soit un individu qui 
lance des discussions sur des sujets polémiques.  
Exemples connus :  
"Linux ou Windows®"  
"Les femmes dans le logiciel libre"  
"C'est qui qu'a commandé une pizza ?".

## U

### Unité centrale

L'unité centrale est le boîtier contenant tout le matériel électronique permettant 
à l'ordinateur de fonctionner. Le clavier, la souris, l'écran y sont reliés. C'est 
dans l'unité centrale que l'on insère un disque par exemple.  
Il n'y a pas d'unité centrale pour un ordinateur portable, toute l'électronique 
est regroupée sous le clavier de l'ordinateur où elle a bien chaud. Aussi, 
surveiller et dépoussiérer les ouïes d'évacuation vers l'extérieur assez souvent 
est indispensable pour ne pas finir par aller se faire cuire un œuf avec le matos 
en surchauffe constante.

### Unix

À l'origine, Unix est un système d'exploitation multitâche et multi-utilisateur 
créé en 1969.  
Plusieurs versions ont été créées par la suite et c'est aujourd'hui une famille 
de systèmes d'exploitation, dont GNU/Linux s'inspire et reprend la philosophie.   
Les Unix sont faits de telle manière que les programmes sont censés être "portables" 
entre deux Unix différents, c'est-à-dire qu'il suffit de compiler le code source 
d'un programme pour le faire tourner sur n'importe quelle architecture utilisant 
un système d'exploitation Unix. Dans la réalité, chaque constructeur a ajouté 
ses propres extensions (tiens comme c'est bizarre :) et il faut alors toujours 
adapter les logiciels.  
Cependant, grâce à la norme POSIX - que respecte GNU/Linux, les adaptations sont 
aujourd'hui relativement mineures pour porter un logiciel d'un Unix conforme à 
POSIX à un autre.  
Les principaux Unices sont : la famille BSD (NetBSD, FreeBSD, OpenBSD), AIX, 
Solaris, HP-UX, Mac Os X®.

### URL

L'URL désigne l'adresse d'un site Internet du type "https://debian-facile.org".  
En tapant une URL dans la barre d'adresse d'un navigateur, vous accédez directement 
au site voulu, sans avoir besoin de passer par un moteur de recherche. Vous n'avez 
jamais besoin de taper le "http://" de l'url, contentez-vous donc simplement de 
valider "debian-facile.org".

### USB

USB est l'acronyme de **U**niversal **S**erial **B**us en anglais.  
C'est un branchement rectangulaire qui se veut universel : presque tout le matériel 
actuel se branche via USB à votre ordinateur. Les ordinateurs possèdent maintenant 
des ports USB à l'arrière, sur les côtés comme à l'avant de l'unité centrale, et 
parfois aussi sur votre écran.

Il faut en général s'y prendre en 3 fois pour le brancher. On essaye une première 
fois, ça ne rentre pas. On retourne la fiche et on réessaye pour le même constat. 
On revient à la position initiale et enfin la fiche s'insère. Ce mécanisme est aussi 
mystérieux que la chaussette solitaire en sortie du lave-linge.

### User

Voir *Utilisateur*.

### UTF-8

UTF-8 (abréviation de l’anglais Universal Character Set Transformation Format - 8 bits) 
est un codage de caractères informatiques conçu pour coder l’ensemble des caractères du 
"répertoire universel de caractères codés", initialement développé par l’ISO dans la 
norme internationale ISO/CEI 10646, aujourd’hui totalement compatible avec le standard 
Unicode, en restant compatible avec la norme ASCII limitée à l’anglais de base (et 
quelques autres langues beaucoup moins fréquentes), mais très largement répandue depuis 
des décennies.(sources wikipédia 
([https://fr.wikipedia.org/wiki/UTF-8)](https://fr.wikipedia.org/wiki/UTF-8))  
euh... mouais. en fait, les caractères en UTF-8, c'est les "é", "è", "ç", "à" qui sont 
parfois mal affichés sur certains sites web.

### Utilisateur

Aussi appelé *Interface chaise/clavier* lorsqu'il est à l'origine de bugs. C'est également 
un numéro (hé oui, nous ne sommes que des numéros...) auquel sont associés un certain 
nombre de droits permettant d'exécuter des commandes ou de lire ou écrire dans les 
dossiers/fichiers.  
Il existe des utilisateurs normaux, et des utilisateurs système. Ils cohabitent tous 
ensemble sur la même machine.  
Un utilisateur a tous les droits, c'est l'administrateur.

## V

### VGA

Le câble VGA permet de relier l'écran à l'unité centrale. Les embouts sont colorés 
en bleu. Son successeur, le câble DVI (embout blanc) est plus performant et plus 
répandu de nos jours et voilà maintenant le câble HDMI pluss' mieux pour des 
possibilités de connexions sur davantage de supports média encore !

### VPN

VPN, pour **V**irtual **P**rivate **N**etwork (réseau privé virtuel) désigne un 
réseau crypté dans le réseau Internet, qui permet à une société dont les locaux 
seraient géographiquement dispersés de communiquer et partager des documents de 
manière complètement sécurisée, comme s'il n'y avait qu'un local avec un réseau 
interne.

## W

### Web

Web, en anglais "la Toile", désigne le réseau Internet le plus répandu. Il fait 
référence aux réseaux câblés qui parcourent le monde reliant les ordinateurs entre 
eux à la manière d'une toile d'araignée.   
Surfer sur le Web revient à dire : naviguer sur Internet.

### Webmail

Une messagerie web, webmail ou courriel web est une interface web rendant possible 
l’émission, la consultation et la manipulation de courriers électroniques directement 
sur le Web depuis un navigateur.

### Wiki

Un wiki (du mot hawaïen signifiant "rapide") est un site Web dont les pages sont 
modifiables par les visiteurs afin de permettre la création d'un contenu collaboratif.

### WWW

Initiales de **W**orld **W**ide **W**eb, le Web mondial. On prononce "vé vé vé" ou 
"trois double vé".

## X

### X Window

X Window System, appelé fréquemment X Windows, X11 ou juste X, est le sous-système 
graphique de GNU/Linux.  
X Window n'est pas seulement un pilote pour la carte vidéo, c'est surtout une 
interface (API) pour les applications, afin qu'elles s'affichent à l'écran et 
reçoivent l'entrée du clavier et de la souris.

### X Org

C'est le serveur X libre utilisé par les distributions GNU/Linux.

### X (x)

Catégorie cinématographique affichée parfois sur X Org.

## Y

### Y C

Affichage vidéo séparant les signaux de chrominance et de luminance sur deux 
câbles différents. On obtient ainsi une qualité bien meilleure vis-à-vis de 
la vidéo composite, qui mélange tout, c't'andouille !

### Y'en a marre

Cri poussé régulièrement par les utilisateurs de l'informatique en général 
(dont phlinux) et de W$ en particulier.

## Z

### Zen

"Rester zen", signifie garder son calme. Le bouddhisme zen a toujours été 
apprécié par les hackers. C'est une vertu fondamentale du bon programmeur, 
surtout en phase de débuggage.

### Zip

Format de compression de fichiers très utilisé. Nécessite un programme 
spécifique pour le décodage du fichier compressé.

### Zombie

Programme achevé mais dont le père, informé de sa mort, n'en a que faire 
(pour rester sur l'analogie, il ne se charge pas de l'enterrement et des 
diverses tâches administratives). Il n'existe plus vraiment, mais n'est pas 
supprimé de la liste des processus, ce qui fait qu'il est encore un peu 
vivant... Un programme dont le père a été détruit est, de son côté, un orphelin.

### Zone de notification

La zone de notification se situe généralement à droite de la barre des tâches. 
On y retrouve l'heure, mais aussi l'indicateur réseau, le volume sonore. C'est 
ici que les messages apparaissent lorsque le système a quelque chose à vous 
dire (par exemple : la batterie est bientôt vide, des mises à jour sont 
disponibles...).

## Références

Le Lexique/Glossaire a été édité grâce à ces sources :

- lexique sur linuxpedia.fr 
[http://www.linuxpedia.fr/doku.php/lexique](http://www.linuxpedia.fr/doku.php/lexique)
- documentation léa-linux 
[http://lea-linux.org/documentations/Glossaire](http://lea-linux.org/documentations/Glossaire) 
sous licence CC-BY-SA
- lexique sérieux sur cours-informatique-gratuit.fr 
[http://www.cours-informatique-gratuit.fr/dictionnaire-informatique-lettre-a](http://www.cours-informatique-gratuit.fr/dictionnaire-informatique-lettre-a)
- lexique décalé sur fredak.com 
[http://www.fredak.com/divers.htm](http://www.fredak.com/divers.htm)
- lexique sur atoute.org 
[http://www.atoute.org/lexique_internet.htm](http://www.atoute.org/lexique_internet.htm)
- glossaire Mozilla 
[https://support.mozilla.org/fr/kb/glossaire-termes-type-compte](https://support.mozilla.org/fr/kb/glossaire-termes-type-compte) 
sous licence CC-BY-SA

