# ![sources](img/src.png) Sources et licence

Les sources de ce manuel sont disponibles sur le dépôt GIT public : 
[https://git.framasoft.org/dflinux/lescahiersdudebutant](https://git.framasoft.org/dflinux/lescahiersdudebutant)

## Logiciels utilisés

- Édition des sources : Geany 
[https://www.geany.org/](https://www.geany.org/) & VIM [http://www.vim.org/](http://www.vim.org/)
- Capture des images : scrot 
[https://en.wikipedia.org/wiki/Scrot](https://en.wikipedia.org/wiki/Scrot)
- Édition des images : Gthumb 
[https://fr.wikipedia.org/wiki/GThumb](https://fr.wikipedia.org/wiki/GThumb), 
the Gimp [https://www.gimp.org](https://www.gimp.org), 
Inkscape [https://inkscape.org](https://inkscape.org) & Phatch 
[http://photobatch.wikidot.com](http://photobatch.wikidot.com)
- Export des sources en ligne : MkDocs 
[http://www.mkdocs.org/](http://www.mkdocs.org/)
- Export des sources PDF, HTML et EPUB : Pandoc 
[http://pandoc.org/](http://pandoc.org/)
- Export en paquet debian : equivs 
[https://debian-handbook.info/browse/fr-FR/stable/sect.building-first-package.html](https://debian-handbook.info/browse/fr-FR/stable/sect.building-first-package.html)
- Optimisation PDF : ps2pdf [https://www.ps2pdf.com/](https://www.ps2pdf.com/) & 
Exiftool [https://en.wikipedia.org/wiki/ExifTool](https://en.wikipedia.org/wiki/ExifTool)

## Références

**Les différentes sources qui ont aidé pour l'élaboration de ce manuel :**

- les cahiers de l'administrateur Debian : 
[https://www.debian.org/doc/manuals/debian-handbook/index.fr.html](https://www.debian.org/doc/manuals/debian-handbook/index.fr.html)
- le site officiel Debian : 
[https://www.debian.org/](https://www.debian.org/)
- les cahiers du débutant Jessie : 
[https://lescahiersdudebutant.fr/jessie/index.html](https://lescahiersdudebutant.fr/jessie/index.html)
- la documentation Debian-Facile : 
[https://debian-facile.org/wiki](https://debian-facile.org/wiki)

## Coordination & Licence

Les cahiers du débutant gribouillés par **3hg team** ![3hg.fr](img/bouton3hg.png)
[https://3hg.fr](https://3hg.fr) sous **licence libre WTFPLv2** ![wtfpl](img/wtfpl.png) 
([http://www.wtfpl.net](http://www.wtfpl.net)) *sauf mention contraire*.

Ce manuel intègre les logos (Debian, Firefox, etc ...) sous copyright 
*(chacun le sien, sinon c'est pas drôle)* ainsi que quelques images et textes sous
 licence CC-BY-SA ![cc by sa](img/ccbysa.png) 
 ([https://creativecommons.org/licenses/by-sa/3.0/](https://creativecommons.org/licenses/by-sa/3.0/)) 
 (spécifiée et créditée sous les images et textes concernés)  
Les icônes utilisées viennent des thèmes Gnome :  
[https://commons.wikimedia.org/wiki/GNOME_Desktop_icons](https://commons.wikimedia.org/wiki/GNOME_Desktop_icons)  
et Tango : [https://commons.wikimedia.org/wiki/Tango_icons](https://commons.wikimedia.org/wiki/Tango_icons)

Pour **Debian** : Copyright © 1997-2017 SPI 
([http://www.spi-inc.org/](http://www.spi-inc.org/)) and others; See license terms 
([https://www.debian.org/license](https://www.debian.org/license))  
![gplv3](img/gplv3.png)

Debian est une marque 
([https://www.debian.org/trademark](https://www.debian.org/trademark)) 
enregistrée comme logiciel d'utilité publique.

## Intervenant-e-s *aka* merci beaucoup :

Tout d'abord, un grand **Merci** à l'association Framasoft ![framasoft](img/button_80x15_framasoft.png) 
([https://framasoft.org](https://framasoft.org)) qui héberge les sources de ce projet sur framaGIT 
ainsi que la [version publique en ligne](https://dflinux.frama.io/lescahiersdudebutant/).

Un grand merci à celles et ceux qui ont participé à l'élaboration de la version 
"Jessie" des cahiers du débutant : bendia, nIQnutn, Atapaz, Severian, deuchdeb, 
martinux_qc, mercredi, nazmi, chalu, bruno-legrand, Thuban, Starsheep, arpinux, 
smolski, Trefix, desmoric, nono47, yanatoum, PengouinPdt, èfpé, fiche, BibiSky51, 
titiasam, Firepowi, dcpc007, rhyzome, Péhä, Caribou22.

Pour cette version Debian Stretch, merci à : BibiSky51 pour sa relecture et ses 
conseils, à kyodev pour le passage sur gitpages, aux 3hg pour le soutien et le 
taf, à saby43 pour la traduction anglaise et à ma femme <3

**Special thx 2 Péhä pour ses dessins (sous licence CC-BY-SA) et son esprit libre** 
[https://lesptitsdessinsdepeha.wordpress.com](https://lesptitsdessinsdepeha.wordpress.com).

![par Péhä CC-BY-SA](img/walltlpd-bypeha-ccbysa.png)

![Les logiciels libres par Péhä CC-BY-SA](img/logiciels_libres_par_peha_ccbysa.png)

