# ![choix](img/choix.png) Choisir sa Debian

Debian est un système d'exploitation qui se décline en plusieurs versions, il 
va donc vous falloir faire un choix en fonction de votre niveau, vos goûts, 
vos besoins et votre matériel.

### Je vous laisse choisir

- je suis (grand) débutant et/ou
- je ne sais que choisir et/ou
- je n'ai pas le temps ni l'envie de me plonger dans de la doc... on verra plus tard

**=> Je profite du projet DFLinux** qui me permettra de prendre en main mon
système Debian GNU/Linux à mon rythme, l'écran allumé, les doigts sur le 
clavier et la souris à côté. Et si j'ai envie, je pourrais aller plus loin au 
sein d'une communauté tournée vers l'accueil des nouveaux utilisateurs (chap.1.2).  
Vous ne serez pas seuls pour démarrer votre aventure.

![dflinux minibanner](img/minibanner-dflinux.png) => 
[https://dflinux.frama.io/home/](https://dflinux.frama.io/home/)

### Choisir une dérivée Debian ?

Il existe de nombreuses dérivées de Debian plus ou moins stables et/ou maintenues. 
Ce manuel et les indications qui s'y trouvent peuvent servir pour toute dérivée 
de Debian Stable "Stretch".

![noob](img/noob-modarp-circle-icon.png)  
Les distributions GNU/Linux ne sont pas toutes soutenues par une communauté comme 
Debian peut l'être. Parfois, une seule personne gère l'intégralité de la 
distribution. Les différentes distributions ne fournissent pas le même niveau 
de documentation et de support. Elles n'offrent pas non plus la même pérennité. 
Choisir une distribution "mère" comme Debian, c'est s'assurer d'une maintenance 
régulière et stable.

Si vous désirez tester d'autres distributions basées sur Debian, nous vous 
conseillons de consultez la page officielle 
([https://wiki.debian.org/Derivatives/CensusFull](https://wiki.debian.org/Derivatives/CensusFull)) 
des dérivées Debian.

Si vous souhaitez obtenir une liste plus exhaustive, visitez le site 
[Distrowatch.com](https://distrowatch.com/?language=FR) qui liste la 
quasi-totalité des distributions actives disponibles.

### Debian, mais pas que...

Car non, il n'y a pas que "Debian" dans la vie ! ![](img/wink.png)  
D'autres projets développent des systèmes pour les débutants dans le monde 
GNU/Linux. Si vous désirez essayer un autre système, rendez-vous au chapitre 
des distributions GNU/Linux de l'univers du libre (chap.12).

### Je tente l'aventure Debian

C'est parti ! La suite de ce manuel va vous aider pour :

- **choisir l'architecture processeur** (chap.4.1),
- **choisir votre interface principale** (chap.4.2),
- **lancer l’installation** (chap.5).

![logo debian](img/debian-90.png)

## Choisir l'architecture

**Le processeur**, l'organe de calcul de votre ordinateur, fonctionne sous 
une architecture spécifique, c'est-à-dire qu'il traite les informations 
selon son type (32, 64, PPC...). 

Nous vous recommandons l'utilisation de l'image ISO de type "**netinst**" 
(chap.5.2.1.1) qui permet d'obtenir les versions des logiciels les plus à jour 
en téléchargeant directement les applications lors de l'installation (vous aurez 
besoin d'une connexion active et stable pendant l'installation). Cette version 
vous permettra d'installer le bureau de votre choix.  
Vous pouvez aussi utiliser une image ISO contenant directement un environnement 
pré-configuré (Gnome, KDE, Xfce ...).

Mais vous devez en premier lieu choisir en fonction de l'architecture de votre 
processeur. Autrement dit, choisir entre une version 32 bits et une version 64 
bits, ou encore entre une version i386 et une amd64.  
Notez que la version "32 bits" fonctionnera sur un ordinateur "64 bits" mais 
pas l'inverse.

### Pour faire simple

- Si votre ordinateur a un auto-collant "coreDuo", "core2duo", ou qu'il date 
d'après 2005, vous pouvez prendre une ISO amd64.
- Si votre ordinateur affiche fièrement "Pentium IV  M" ou qu'il date d'avant 
2003, prenez une version i386.
- Dans le doute, choisissez la version 32 bits "i386", elle fonctionnera partout
- Dans le gros doute, posez la question sur un forum (chap.1.2)

### Pour vérifier

**Depuis une distribution GNU/Linux** en session autonome "live" (chap.5.3.1), 
ouvrez un terminal et lancez la commande suivante afin d'obtenir la compatibilité 
32 ou 64 bits :

    lscpu | grep -i "mode(s)"

qui vous rendra un résultat explicite, ici avec un processeur 'amd64' :

    Mode(s) opératoire(s) des processeurs : 32-bit, 64-bit

**Depuis un poste windows**®, le modèle de votre processeur est affiché dans 
l'onglet "Général" du menu Démarrer > Panneau de configuration > Système.

## Choisir son bureau GNU/Linux

Debian vous permet d'adopter directement un ou plusieurs bureaux depuis 
l'interface d'installation : [Gnome](#gnome), [KDE](#kde), [Mate](#mate), 
[Cinnamon](#cinnamon), [Xfce](#xfce) et [LXDE](#lxdeopenbox). Nous vous 
proposons de découvrir également [LXQt](#lxqt).

![noob](img/noob-modarp-circle-icon.png)  
**... Pourquoi plusieurs "bureaux" GNU/Linux ?**  
**L'ordinateur n'est qu'un outil** et même si on vous demande parfois d'apprendre 
2~3 trucs pour l'utiliser, il n'en reste pas moins **votre outil** et donc, 
il doit pouvoir s'adapter au maximum à vos goûts, votre façon de travailler 
ou de vous détendre.

Dans cette optique, chaque bureau a son organisation, son système de 
configuration, ses fonctionnalités : ce n'est pas une diversité superflue, 
issue des méandres de quelques cerveaux barbus (quoique), c'est une des 
forces du **logiciel libre **: savoir **proposer au lieu d'imposer !** 
![](img/cool.png)

Nous vous présenterons ici les principales caractéristiques de ces différents 
environnements afin de vous aider à faire votre choix. Vous pourrez en ajouter 
plus tard selon vos besoins où vos envies. Les deux bureaux principaux sont 
Gnome et KDE, mais ce sont aussi les plus gourmands en ressources donc 
n'hésitez pas à tester les autres environnements.

**Applications intégrées**

Chaque environnement de bureau est prévu pour offrir les fonctionnalités 
minimales lors d'une utilisation personnelle de votre ordinateur. Vous 
trouverez donc sur tous les bureaux présentés ici, le navigateur internet 
Firefox (chap.6.6), un gestionnaire de fichiers, un éditeur de texte, la 
suite bureautique LibreOffice (chap.6.9), un lecteur multimédia et une 
logithèque pour faire évoluer votre installation et la maintenir à jour.

### Gnome ![gnome](img/gnome-mini.png)

L'interface **Gnome-Shell** est le bureau pour Debian 9 "Stretch" par 
défaut et propose :

**Un gestionnaire d'activités** situé en haut à gauche dans lequel on retrouvera :

- Une série de lanceurs d'applications (vous pouvez en ajouter/supprimer 
facilement par glisser-déposer ou depuis un clic-droit sur le "dock"),
- L'ensemble des applications ouvertes,
- La possibilité de répartir les applications sur plusieurs bureaux virtuels 
(le panneau latéral de droite),
- Un moteur de recherche, d'applications, de fichiers, ou même de contacts.

![Gnome : présentation du bureau](img/deb9-gnome-shell-desktop.png)

**Un gestionnaire de temps** au centre, en cliquant sur la date, avec un 
calendrier lié au gestionnaire de courriel, d'agenda et de contacts 
d'Evolution (le client de messagerie de Gnome).

![Gnome : le gestionnaire de temps](img/deb9-gnome-shell-time.png)

**Un gestionnaire système** en haut à droite avec :

- La gestion des paramètres réseaux,
- La gestion des paramètres de sessions,
- L'accès au gestionnaire des paramètres de votre système.

![Gnome : le gestionnaire système](img/deb9-gnome-shell-system.png)

**Une aide complète intégrée**

Gnome intègre son aide générale détaillée directement accessible depuis le 
dock par défaut, de quoi rassurer les débutants :

![Gnome : aide complète intégrée](img/deb9-gnome-help.png)

**Applications principales :**

- Communications internet : Evolution (équivalent à Thunderbird) et 
Polari ([https://wiki.gnome.org/Apps/Polari](https://wiki.gnome.org/Apps/Polari))
- Lecteur vidéo : Totem (chap.6.7)
- Lecteur audio : Rhythmbox (chap.6.8)
- Gestionnaire de fichiers : 
Nautilus ([https://wiki.gnome.org/Apps/Nautilus](https://wiki.gnome.org/Apps/Nautilus))

**Ressources minimales nécessaires au démarrage :** 450 Mo  
**Ressources minimales nécessaires en navigation internet :** 530 Mo  
**Niveau minimal requis :** grand débutant / débutant

Page du projet Gnome : [https://www.gnome.org/](https://www.gnome.org/)

Plus de détails dans la section dédiée à la configuration de Gnome-Shell (chap.7.1.1).

### KDE ![kde](img/kde-mini.png)

**KDE** est un projet qui fournit un environnement graphique (nommé "Plasma") 
et une suite logicielle complète. KDE est configurable à l'extrême, aussi 
bien l'environnement de bureau que les applications qui l'accompagnent, 
on pourrait même trouver ça compliqué tellement il y a de possibilités. 
Heureusement, vous pouvez utiliser KDE sans configuration particulière, 
il est tout à fait utilisable "out-of-the-box" (sorti de la boite).

![Le bureau KDE Plasma sur Debian](img/deb9-kde-desktop.png)

KDE se rapproche de l'environnement Windows®, et propose :

- **Lanceur d'applications** : le  menu à partir duquel vous aurez accès à 
tout votre système.
- **Composants graphiques** : les modules à placer où vous voulez sur votre 
bureau pour profiter de fonctionnalités supplémentaires.
- **Les activités **: un bandeau qui intègre vos tâches à accomplir, vos 
rendez-vous… un autre façon de faciliter votre travail quotidien
- **Plasma **: KDE est livré avec un pack d'applications complètement 
intégrées au bureau "plasma" offrant une expérience graphique fluide et cohérente.

Plus que tout autre bureau GNU/Linux, vous pouvez transformer KDE selon vos 
besoins et envies.  
KDE est un environnement très complet et dispose d'un centre de configuration 
ainsi qu'un centre d'aide intégrés.  
Pour lancer le centre de contrôle, direction le menu principal > Applications > 
Configuration > Configuration du système.

![Le panneau de configuration KDE sur Debian 9](img/deb9-kde-control-center.png)  

Si vous ne trouvez pas une application, vous pouvez entrer son nom ou sa 
fonction dans la zone de recherche du menu principal (ici avec le centre d'aide).

![lanceur du menu d'aide KDE](img/deb9-kde-menu-help.png)

![Le centre d'aide KDE sur Debian 9](img/deb9-kde-help-center.png)  

**Applications principales :**

- Navigateur internet : Konqueror 
([https://konqueror.org/](https://konqueror.org/))
- Communications internet : Kmail 
([https://userbase.kde.org/KMail/fr](https://userbase.kde.org/KMail/fr)), 
Kopete ([https://userbase.kde.org/Kopete/fr](https://userbase.kde.org/Kopete/fr))
- Lecteur vidéo : Dragon Player 
([https://www.kde.org/applications/multimedia/dragonplayer/](https://www.kde.org/applications/multimedia/dragonplayer/))
- Lecteur audio : Juk ([https://juk.kde.org/](https://juk.kde.org/))
- Gestionnaire de fichiers : 
Dolphin ([https://www.kde.org/applications/system/dolphin/](https://www.kde.org/applications/system/dolphin/))

**Ressources minimales nécessaires au démarrage :** 480 Mo  
**Ressources minimales nécessaires en navigation internet :** 570 Mo  
**Niveau minimal requis :** débutant / confirmé

Page principale du projet KDE : [https://www.kde.org/](https://www.kde.org/)  
Une introduction à KDE :
[https://userbase.kde.org/An_introduction_to_KDE/fr](https://userbase.kde.org/An_introduction_to_KDE/fr)

Plus de détails sur la configuration et les possibilités de KDE dans la section 
dédié à Plasma (chap.7.1.2).

### Mate ![mate](img/mate-mini.png)

**MATE** est un fork de GNOME 2. C'est-à-dire que cet environnement de bureau 
est une reprise du code de GNOME 2, avec quelques modifications.

C'est un environnement idéal pour les personnes qui ne veulent pas changer 
leurs habitudes acquises avec GNOME 2. C'est aussi un bon bureau pour la 
MAO (Musique assistée par ordinateur) et ses applications spécifiques gourmandes.

MATE se veut léger en comparaison de GNOME 3 et, de ce fait, il est adapté à 
des ordinateurs assez anciens et restreints en ressource. En clair, c'est un 
bon compromis entre GNOME 3 et Xfce 4.

![Le bureau MATE sur Debian 9](img/deb9-mate-desktop.png)

MATE offre une interface "traditionnelle" avec ses deux barres de tâches :

- Le panel supérieur intègre les principales applications, les dossiers 
principaux et le menu d'administration système sur la gauche.
- La droite du panel supérieur est réservée à la zone de notification et 
de réglages rapides (volume sonore, disposition du clavier, agenda minimal)
- Le panel inférieur affiche le bouton de bureau (qui permet de masquer 
toutes les fenêtres), la liste des fenêtres actives et le sélecteur de bureaux virtuels.

La configuration de MATE passe par son centre de contrôle (menu "système" > 
centre de contrôle) qui donne accès à tous les organes de votre interface :

![Centre de contrôle du bureau MATE](img/deb9-mate-control-center.png)

- Gestionnaire de fichiers : Caja (fork de Nautilus)
- Ressources minimales nécessaires au démarrage : 310 Mo
- Ressources minimales nécessaires en navigation internet : 390 Mo
- Niveau minimal requis : grand débutant / débutant

Page du projet MATE : [http://mate-desktop.com/fr/](http://mate-desktop.com/fr/)  
Plus de détails sur le wiki de Debian : 
[https://wiki.debian.org/Mate](https://wiki.debian.org/Mate)

### Cinnamon ![cinnamon](img/cinnamon-mini.png)

**Cinnamon** est un environnement de bureau dérivé de Gnome-Shell. Il délaisse 
l'interface tout-en-un de ce dernier au profit d'une interface plus 
traditionnelle (tableau de bord accompagné d'un menu dans lequel les icônes 
sont classées par catégories). 

Il est développé par l'équipe de Linux Mint 
([https://linuxmint.com/](https://linuxmint.com/)), distribution GNU/Linux dont 
il est un des environnements phares.

Cinnamon utilise le gestionnaire de fichiers **Nemo**, un fork de Nautilus 3.4 
qui réintroduit certaines fonctionnalités ôtées de ce dernier : vue compacte, 
ouvrir dans un terminal, ouvrir en tant que root, possibilité d'éditer le chemin 
absolu à la main, etc.

![Le bureau Cinnamon sur Debian 9](img/deb9-cinnamon-desktop.png)

Cinnamon présente un bureau complet avec toutes les applications (f)utiles à 
votre usage quotidien : vous pouvez voir les applications graphiques dans la 
capture ci-dessus et vous trouverez par exemple pour les applications "Internet" : 
le navigateur Firefox, le client courriel Thunderbird (chap.6.4.1), le client de 
messagerie multi-protocole Pidgin, le client Bittorent Transmission, et un 
visionneur de bureaux distants.

La configuration de Cinnamon est confiée au gestionnaire de paramètres qui 
centralise les réglages système et utilisateur :

![Cinnamon : gestionnaire de paramètres](img/deb9-cinnamon-control-center.png)

**Applications principales :**

- Communications internet : Thunderbird (chap.6.4.1) & Pidgin
- Lecteur vidéo : Totem (chap.6.7)
- Lecteur audio : Rythmbox (chap.6.8)
- Gestionnaire de fichiers : Nemo

**Ressources minimales nécessaires au démarrage :** 480 Mo  
**Ressources minimales nécessaires en navigation internet :** 560 Mo  
**Niveau minimal requis :** grand débutant / débutant

Page du projet Cinnamon : 
[https://github.com/linuxmint/Cinnamon](https://github.com/linuxmint/Cinnamon)  
Plus de détails dans le manuel de LinuxMint Cinnamon 
([https://linuxmint.com/documentation/user-guide/Cinnamon/french_18.0.pdf](https://linuxmint.com/documentation/user-guide/Cinnamon/french_18.0.pdf)).

### Xfce ![xfce](img/xfce-mini.png)

**Xfce** est un environnement de bureau léger pour les systèmes d'exploitation 
de type UNIX. Il vise à être rapide, peu gourmand en ressources système, tout en 
étant visuellement attrayant et convivial. Il est extensible grâce à de nombreux 
plugins et intègre un mixeur sonore (xfce4-mixer), son propre gestionnaire de 
fenêtres supportant la transparence, les ombres… (xfwm4), un gestionnaire 
d'archives intégré au gestionnaire de fichiers (thunar-archive-plugin), un moniteur 
de disque, de batterie, réseau, processeur, mémoire, ainsi que des thèmes et 
plugins divers.

Son interface est claire et traditionnelle : vous ne serez pas surpris au 
premier rendez-vous.

![Le bureau Xfce par défaut sur Debian 9](img/deb9-xfce-desktop.png)

Xfce offre l'avantage d'une totale modularité de ses éléments intégrés car il 
est livré avec différents plugins indépendants. Xfce permet aussi l'intégration 
d'applications venues d'autres environnements et est capable de charger 
(lancer au démarrage) les services Gnome et/ou KDE par défaut.

**C'est l'environnement idéal pour un débutant**, offrant une grande stabilité, 
un pilotage complet "à la souris", et des possibilités d'évolution sans limites.

Comme pour les environnements précédents, Xfce centralise sa configuration 
pour faciliter la personnalisation. Notez que les éléments peuvent aussi être 
configurés depuis leurs interfaces spécifiques (comme un clic-droit sur le 
panel pour ajouter un lanceur par exemple.).

![Le gestionnaire de paramètres Xfce sur Debian 9](img/deb9-xfce-control-center.png)

**Applications principales :**

- Communications internet : Thunderbird (chap.6.4.1)
- Lecteur vidéo : VLC (chap.6.7)
- Lecteur audio : Quod Libet 
([https://fr.wikipedia.org/wiki/Quod_Libet](https://fr.wikipedia.org/wiki/Quod_Libet))
- Gestionnaire de fichiers : Thunar (chap.3.6)

**Ressources minimales nécessaires au démarrage :** 250 Mo  
**Ressources minimales nécessaires en navigation internet :** 330 Mo  
**Niveau minimal requis :** grand débutant / débutant

Page du projet Xfce : [http://www.xfce.org/?lang=fr](http://www.xfce.org/?lang=fr)  
Plus de détails sur la FAQ officielle Xfce : 
[https://wiki.xfce.org/fr/faq](https://wiki.xfce.org/fr/faq).

### LXDE/Openbox ![lxde](img/lxde-mini.png)

**LXDE** est un environnement de bureau libre pour les systèmes Unix et autres 
systèmes conformes aux standards POSIX, tels que Linux ou BSD. Le nom LXDE est 
l'acronyme de "Lightweight X11 Desktop Environment" (environnement de bureau 
X11 léger).  
Comme son nom l'indique, LXDE est un projet ayant pour but de proposer un 
nouvel environnement de bureau qui soit léger et rapide.

Contrairement à d'autres environnements de bureau, les composants ne sont pas 
étroitement liés. Au lieu de cela, ils sont indépendants et chacun d'eux peut 
être utilisé sans les autres avec peu de dépendances (paquets appelés lors de 
l'installation).

LXDE utilise Openbox 
([https://wiki.debian.org/fr/Openbox](https://wiki.debian.org/fr/Openbox)) comme 
gestionnaire de fenêtres par défaut :

![Le bureau LXDE et PCManFM sur Debian](img/deb9-lxde-desktop.png)  

Le mode de construction de LXDE implique que la configuration de chaque élément 
passe par une interface dédiée à l'application concernée. Vous ne trouverez pas 
de "Control Center" *à la Gnome,* mais plutôt une suite d'outils légers pour 
personnaliser votre environnement.

![Configuration de l'interface et de la session LXDE sur Debian](img/deb9-lxde-lxconf.png)

![Outil de configuration OpenBox sur LXDE](img/deb9-lxde-obconf.png)

Les éléments configurés affichent les modifications à la volée, ce qui facilite 
la personnalisation.

LXDE est particulièrement léger ce qui le rend idéal pour les petites 
configurations matérielles et le ré-emploi informatique, mais il demande un peu 
plus de temps pour la prise en main des différents éléments.  
Ceci-dit, le couple LXDE/OpenBox vous permettra de faire vos premières armes de 
*g33k* sur Debian.

**Applications principales :**

- Lecteur vidéo : SMplayer 
([http://smplayer.sourceforge.net/](http://smplayer.sourceforge.net/))
- Lecteur audio : LXMusic 
([http://wiki.lxde.org/fr/LXMusic](http://wiki.lxde.org/fr/LXMusic))
- Gestionnaire de fichiers : PCManFM 
([https://wiki.lxde.org/fr/PCManFM](https://wiki.lxde.org/fr/PCManFM))

**Ressources minimales nécessaires au démarrage :** 220 Mo  
**Ressources minimales nécessaires en navigation internet :** 320 Mo  
**Niveau minimal requis :** débutant / confirmé

Page principale du projet : [http://lxde.org](http://lxde.org)

Plus de détails sur le wiki officiel LXDE : 
[https://wiki.lxde.org/fr/Accueil](https://wiki.lxde.org/fr/Accueil)

### LXQt ![lxqt](img/lxqt-mini.png)

**LXQt** est un environnement de bureau léger. Il offre un bureau classique 
avec une interface moderne et très légère qui vous laissera travailler sans 
y penser. Il est livré avec une série d'outils spécifiques pour profiter de 
vos données et de vos applications favorites. C'est un environnement idéal 
pour les machines anciennes et peu performantes.

![Bureau LXQt sur Debian 9](img/deb9-lxqt-desktop.png)

Sa légèreté ne le dispense pas d'un outil de configuration centralisé vous 
permettant d'accéder aux réglages des principales fonctions de votre système.  
La configuration passe par le centre de contrôle LXQt : direction le menu 
principal > Préférences > LXQt-Paramétrage > Centre de configuration LXQt :

![configuration de LXQt](img/deb9-lxqt-config.png)

LXQt n'est pas encore disponible depuis l'interface d'installation classique 
Debian 9, mais vous pouvez facilement l'installer depuis votre gestionnaire 
de logiciels (chap.8.3)

**Applications principales :**

- Lecteur vidéo : SMplayer
- Lecteur audio : Audacious
- Gestionnaire de fichiers : PCManFM

**Ressources minimales nécessaires au démarrage :** 220 Mo  
**Ressources minimales nécessaires en navigation internet :** 310 Mo  
**Niveau minimal requis :** débutant / confirmé

Page principale du projet : [http://lxqt.org/](http://lxqt.org/)

