# ![install](img/install.png) Installez Debian

C'est le grand moment... il faut se jeter à l'eau.

![GNU & Tux on the road by Péhä CC-BY-SA](img/avatar-handy25-by_peha-ccbysa.png)

Les sections suivantes décrivent le mode d'installation classique en 
**Simple Boot** : Debian sera la seule distribution présente sur le disque dur et 
l'installation sera automatique (partitionnement assisté avec tout le système 
dans une seule partition)

**Ce manuel est destiné aux débutants** et ne couvre pas l'intégralité des 
possibilités d'installation d'un système Debian. Si vous êtes dans une situation 
particulière n'étant pas listée ici, consultez le manuel d’installation Debian 
en ligne ([https://www.debian.org/releases/stable/installmanual](https://www.debian.org/releases/stable/installmanual)).  
Pour les installations différentes (/home séparé, LVM, Chiffré, Dual-Boot, 
Multi-Boot, etc) vous trouverez les liens vers les documentations dédiées 
en fin de chapitre.

## Avant l'installation

La plupart des utilisateurs n'a jamais eu à installer un système (les ordinateurs 
sont livrés avec un système d'exploitation pré-installé) et ça peut faire flipper 
un peu... Prenez donc le temps de bien vous préparer, respirez, tout va bien se 
passer ![cool](img/cool.png).

### Compatibilité du matériel

Une des premières questions lorsqu'on souhaite installer Debian porte sur la 
compatibilité du matériel : *est-ce-que Debian va tourner sur mon ordi ??*

Une façon simple et rapide de vérifier est de taper dans un moteur de recherche le 
terme "Debian" suivi du modèle de votre machine : cherchez "Debian ibm T60" par 
exemple. Dans le doute, n'hésitez pas à demander sur un forum d'entraide (chap.1.2).

Pour être certain, vous pouvez passer par une distribution offrant une session de 
test "live" (chap.5.3.1).

### Sauvegarde des données

Si vous prévoyez d'écraser totalement votre disque dur avec Debian, vérifiez bien 
qu'aucune donnée personnelle sensible ne s'y trouve : elle sera perdue.

**Pensez à sauvegarder vos données avant toute manipulation des partitions.** (chap.9)

### Espace nécessaire

Une distribution Debian occupe en moyenne 4 Go, mais prévoyez tout de même un 
minimum de 6 Go afin de pouvoir télécharger les mises à jour. Pour plus de sécurité 
si vous prévoyez d'ajouter quelques applications, 12 Go et vous serez à l'aise.

### Temps d’installation

**Installer Debian** depuis une ISO "netinstall" demande du temps car les logiciels 
sont téléchargés sur les serveurs Debian durant le processus : le temps 
d'installation dépend donc de la qualité de votre connexion internet et peut 
varier entre 40 minutes et 1h30.

**Installer une dérivée** comme [DFLinux](https://dflinux.frama.io/home/) 
prend beaucoup moins de temps (environ 20 minutes selon la puissance de votre 
ordinateur) car l'intégralité des paquets se trouvent déjà dans l'image ISO 
téléchargée. En revanche, une mise à jour sera nécessaire après l'installation 
car les paquets intégrés datent de la construction de l'image ISO.

### Préparation du disque dur

Si vous prévoyez d'installer Debian comme unique système d'exploitation sur 
votre machine, vous n'avez rien à faire : l'installeur intégré dispose des 
outils nécessaires à la préparation (formatage) du ou des disques durs.

Si vous prévoyez d'installer Debian à côté d'un autre système d'exploitation, 
prenez soin de préparer votre disque dur (en défragmentant la partition 
Windows® par exemple). Plus de détails dans la section dédiée aux installations 
spécifiques (chap.5.5).

## Téléchargez Debian

Les images ISO Debian sont disponibles pour chaque bureau et plusieurs 
architectures, en version netinst, CD, DVD...

### Quelle image dois-je télécharger ?

Voici les différentes façons d'obtenir une image ISO Debian. Si vous avez 
d'autres questions, Debian a prévu une FAQ : 
[https://www.debian.org/CD/faq/index.fr.html](https://www.debian.org/CD/faq/index.fr.html).

#### Debian Netinst

Si votre connexion internet est stable, nous vous conseillons le téléchargement 
de l'image ISO de type "netinst" qui contient tout ce qu'il faut pour installer 
Debian sur tout ordinateur moderne 32 ou 64 bits (i386 ou amd64) avec toutes les 
options désirées : vous pourrez choisir votre interface principale lors de 
l'installation.

- L'avantage de cette image ISO est qu'elle ira chercher les applications sur 
les serveurs Debian pendant l'installation, vous permettant d'obtenir un 
système complètement à jour.
- L'inconvénient est qu'il vous faudra obligatoirement être connecté au réseau 
pendant l'installation, soit en filaire (par câble, à privilégier car reconnu 
nativement dans la plupart des cas), soit en Wi-fi si il est reconnu.

C'est l'image ISO utilisée dans la section d'installation de ces cahiers.

Pour obtenir une image ISO de type "netinst", consultez cette page : 
[https://www.debian.org/CD/netinst/index.fr.html](https://www.debian.org/CD/netinst/index.fr.html). 
Vous trouverez les liens torrent (pour partager et soulager les serveurs 
principaux) et direct "HTTP" vers les images ISOs selon votre architecture, 
Ici le lien torrent pour une image ISO de type 64 bits :

![liens de téléchargment pour Debian netinstall](img/debian-netinst-page.png)

Notez que si vous avez absolument besoin d'une image ISO intégrant déjà les 
firmwares non-libres pour votre matériel (pour une installation en Wi-fi par 
exemple), Debian met à votre disposition des ISOs multi-arch (installables 
sur les architectures 32 ou 64 bts) : 
[http://cdimage.debian.org/cdimage/unofficial/non-free/cd-including-firmware/current/multi-arch/iso-cd/](http://cdimage.debian.org/cdimage/unofficial/non-free/cd-including-firmware/current/multi-arch/iso-cd/)

#### Debian sur CD/DVD

Pour obtenir une image ISO de démarrage classique pré-configurée avec un 
bureau spécifique, rendez-vous sur cette page : 
[https://www.debian.org/CD/http-ftp/index.fr.html](https://www.debian.org/CD/http-ftp/index.fr.html).

Ce fichier ISO ne permet pas de tester le système en "live" (chap. 5.3.1) afin 
de vérifier la compatibilité matérielle avec votre PC. Il permet seulement 
d'installer Debian sur votre machine, ce qui est déjà cool et permet 
d'installer directement votre bureau préféré sans connexion réseau stable.

#### Debian torrent

Pour soulager les serveurs principaux et partager dans le même temps votre image 
ISO avec d'autres membres de la communauté, vous pouvez utiliser le protocole BitTorent.

Pour obtenir la liste des "torrent" disponibles, visitez cette page : 
[https://www.debian.org/CD/torrent-cd/index.fr.html](https://www.debian.org/CD/torrent-cd/index.fr.html).

#### Debian live

Des images dites "autonomes" sont également disponibles : elles permettent de 
tester en session "live" un environnement particulier. Leur particularité est de 
ne rien modifier sur l'ordinateur, tout se passe en mémoire vive et est oublié 
une fois l'ordinateur éteint. Pour profiter d'une image live, visitez cette page : 
[https://www.debian.org/CD/live/index.fr.html](https://www.debian.org/CD/live/index.fr.html).

Tous les détails sur la session de test "live" dans le chapitre 5.3.1.

Notez que si vous avez absolument besoin d'une image ISO intégrant déjà les 
firmwares non-libres pour votre matériel (pour un test en Wi-fi par exemple), 
Debian met à votre disposition des ISOs de type Live-non-free : 
[http://cdimage.debian.org/cdimage/unofficial/non-free/cd-including-firmware/current-live/](http://cdimage.debian.org/cdimage/unofficial/non-free/cd-including-firmware/current-live/)

### Vérifiez l'image ISO

Afin de vérifier l'intégrité de l'image, Debian utilise le calcul de la 
"**somme md5**". On peut l'utiliser pour tout type de données, mais il est 
particulièrement utile lors du téléchargement d'une image ISO.

#### Vérification md5 sur GNU/Linux

L'outil de vérification **md5** est intégré par défaut dans quasi toutes 
les distributions GNU/Linux. Pour vérifier la somme md5 d'un fichier, il 
suffit de lancer la commande suivante depuis un terminal, en indiquant le 
chemin du fichier à vérifier :

    md5sum debian-xx-amd64-i386-netinst.iso

qui vous donnera un résultat de ce type (à comparer avec la somme md5 donnée 
par le site de téléchargement) :

    6753c353cef5f5336079d94562ad15c3  debian-xx-amd64-i386-netinst.iso

Pour une vérification en mode graphique *avélasouris*, utilisez le programme **Gtkhash**.

- Installer 'gtkhash' (à partir du Terminal ou du gestionnaire de paquets Synaptic.),
- Lancer Gtkhash depuis votre menu d'applications,
- Dans la ligne *Fichier* : rechercher le fichier ISO à vérifier

![GTKHash : sélection de l'image ISO à vérifier](img/gtkhash1.png)

- Dans la ligne *Vérifier* : coller l'empreinte de contrôle récupérée sur internet
- Cliquer sur le bouton *Hacher*
- Les empreintes numériques du fichier apparaîtront dans les lignes pour chaque 
fonction de hachage (MD5, SHA1, SHA256,...)
- Si l'intégrité est exacte, un symbole de validation s'affichera alors après 
la ligne Vérifier et après la ligne du type de hachage adéquat.

![GTKHash : vérification de la somme md5](img/gtkhash2.png)

#### Vérification md5 sur Windows®

Pour vérifier graphiquement la somme md5 depuis un poste Windows®, utilisez 
le logiciel WinMd5Sum à télécharger ici : 
http://www.nullriver.com/downloads/Install-winMd5Sum.exe

Une fois installé, lancez-le. Une petite interface graphique s'ouvre. Dans 
"File Name" ouvrez ou glissez votre image.iso Debian téléchargée. Dans 
"Compare", faites un copier/coller du MD5 du site donné par Debian (trouvé 
ci-dessus) puis clic sur "Compare".

![Le logiciel winMd5Sum en action avec une image ISO Debian](img/winmd5sum.png)

C'est tout. La somme md5 se calcule en environ une minute tout au plus, (tout 
dépend de la taille du fichier) et si elle correspond on peut passer à la suite.

### Transfert sur CD/DVD

![dvd](img/dvd.png)  
Pour graver votre fichier ISO Debian sur un CD/DVD depuis un poste GNU/Linux, 
ouvrez simplement votre logiciel de gravure préféré, indiquez-lui le chemin 
vers votre debian-xx.iso téléchargée, puis lancez la gravure de votre support.

Pour les utilisateurs microsoft®, consultez le tuto pour Windows®7/8 : 
[http://forums.cnetfrance.fr/topic/1205011-comment-graver-un-fichier-image-iso-avec-windows-7-ou-8](http://forums.cnetfrance.fr/topic/1205011-comment-graver-un-fichier-image-iso-avec-windows-7-ou-8)

### Transfert sur clé USB

![usb](img/usb.png)  
La clé USB est un moyen pratique pour installer ou tester une distribution 
GNU/Linux car vous pouvez en changer souvent, et en tester plusieurs. Elle 
permet aussi de sécuriser vos tests car une fois la session terminée, aucune 
trace ni sur votre clé, ni sur l'ordinateur ayant démarré sur la clé.

#### Depuis un poste GNU/Linux

Le transfert va s'effectuer grâce à un terminal : c'est la méthode recommandée. 
Si toutefois vous êtes allergique à la ligne de commande, une méthode graphique 
"*avélasouris*" est disponible sur Debian-facile : 
[https://debian-facile.org/doc:environnements:gnome:gnome-disk-utility](https://debian-facile.org/doc:environnements:gnome:gnome-disk-utility).

Pour commencer, branchez votre clé USB, puis lancez un terminal en mode 
administrateur "root" (chap.3.8.3). Nous allons identifier la clé USB à 
utiliser grâce à la commande 

    blkid

qui vous donnera un résultat du type :

    /dev/sda1: LABEL="system" UUID="3d378712-1b6e-4f66-b9e8-2a6673c62199" TYPE="ext4" 
    /dev/sdb1: UUID="F9B8-E691" TYPE="vfat"

Ici, notre clé est identifiée comme **UUID="F9B8-E691"**, est formatée en "vfat" 
et contient la partition **sdb1**. Notez bien ce **sdb1** pour ne pas, par 
erreur, effacer une partition de votre disque dur interne (ici sda1).

L'ISO Debian se trouve dans le dossier Téléchargements. Plaçons-nous dedans pour 
agir sur le fichier ISO (la variable "$HOME" remplace l'adresse "/home/votre_login") :

    cd /$HOME/Téléchargements

Nous allons maintenant transférer le contenu de l'ISO sur la clé USB grâce à la 
commande "**dd**". Prenez bien soin de nommer la clé USB "*sdb*" **et pas** 
*sdb1*, car c'est le disque qui compte, pas la partition et changez "debian-xx.iso" 
par le numéro de version correspondant.  
Toujours dans votre terminal en mode administrateur "root" :

    dd if=debian-xx.iso of=/dev/sdb bs=4M && sync

Le temps de transfert sur votre clé USB dépend de la taille de l'ISO et du taux 
de transfert de votre port USB. Cette opération peut durer 10 à 15 minutes sans 
aucun signe d'activité de votre terminal. Le terminal vous "rendra la main" 
(affichera l'invite de commande) une fois le transfert terminé.

#### Depuis un poste Windows® avec win32DiskImager

Win32DiskImager est un utilitaire de création de support amorçable pour 
Windows® : il vous permettra de créer une clé USB sur laquelle vous allez faire 
démarrer votre ordinateur afin d'y installer Debian.  
Pour l'installer sur votre système Windows®, rendez-vous sur la page principale 
du projet puis téléchargez la dernière version : 
https://sourceforge.net/projects/win32diskimager/

Win32DiskImager s'installe comme les autres logiciels compatibles Windows®. Une 
fois en place, commencez par brancher votre clé USB et notez l'identifiant du 
disque affiché (disque "F:" par exemple). Lancez ensuite Win32DiskImager.

![Interface par défaut de Win32DiskImager](img/win32diskimager.png)  

- en **1**, choisissez l'image ISO Debian téléchargée : cliquez sur l'icône de 
dossier afin d'ouvrir le sélecteur de fichier. Win32DiskImager ne cherchera que 
les fichiers de type ".img" par défaut : pensez à définir le filtre de 
recherche sur "." et non ".img" afin de visualiser votre debian-xxx.iso.
- en **2**, indiquez le périphérique à utiliser : c'est le disque monté lors de 
l'insertion de votre clé USB. **Attention !** Toutes les données présentes sur 
la clé seront **supprimées** pendant la procédure de transfert.
- en **3**, lancez l'écriture de l'image ISO sur la clé. Vous pourrez suivre 
la progression du processus directement dans la fenêtre de Win32DiskImager.

Patientez un instant et vous serez en possession d'une clé USB bootable de Debian !

Il vous reste à redémarrer votre ordinateur sur cette clé bootable et 
lancer l'installation.

### Démarrer sur le CD/DVD ou l'USB

Pour procéder à l'installation de Debian depuis votre support CD/DVD ou USB, il 
faut démarrer dessus. Si votre ordinateur ne démarre pas automatiquement sur le 
support d'installation, il faut accéder au "Boot Menu" ou modifier l'ordre de 
boot dans le BIOS.

Certains ordinateurs possèdent une fonction qui permet de démarrer directement 
sur un périphérique sans avoir à modifier le BIOS. Tout comme pour accéder au 
BIOS, il faut tapoter sur une touche du clavier dès qu'on allume le PC. Il 
s'agit généralement des touches **SUPPR** ou **DEL** ou **F2** pour accéder au 
BIOS ou de la touche **F12** pour accéder seulement aux options de démarrage.

Source CNET :  
http://forums.cnetfrance.fr/topic/101668-modifier-lordre-de-boot-du-bios-pour-booter-sur-un-cd-dvd-ou-un-peripherique/.

#### Le Boot-Menu

La touche pour accéder au menu de démarrage peut varier d'un ordinateur à un 
autre. Cette touche ainsi que celle d'accès au BIOS est indiquée lors du 
démarrage pendant une ou deux secondes :

![accéder au menu de boot](img/bootmenu1.png)

Le menu de boot permet de sélectionner le disque de démarrage sans passer par le BIOS

![sélection d'un disque de démarrage](img/bootmenu3.png)

Utilisez les flèches du clavier afin de sélectionner le périphérique approprié 
(pour l'USB, c'est "Removable Devices").

#### Configuration du Bios

Sans le menu de démarrage, il faudra modifier l'ordre dans le BIOS.

Une fois rentré dans le BIOS, les opérations à faire sont très simples, il 
faut toutefois éviter de modifier les autres paramètres. Heureusement, le 
programme permet de quitter sans enregistrer en cas de mauvaise manipulation 
grâce à la touche ESC (ou Echap). D'autres touches tel que F9 ou F10 vont 
vous permettre de charger les paramètres par défaut ou de quitter en 
enregistrant les modifications :

- **F9 **: Charger les paramètres par défaut
- **F10 **: Enregistrer les modifications et quitter
- **ESC **: Annuler les modifications et quitter

La navigation se fait à l'aide des touches directionnelles (flèches) du 
clavier, on valide et on rentre dans les options grâce à la touche **ENTER**. 
Dans la plupart des modèles de BIOS, il suffit de se déplacer jusqu'à mettre 
en surbrillance le menu "**Boot**" puis de trouver où se situe le réglage de 
la sélection des périphériques au démarrage (boot device, boot sequence, 
boot priority) et enfin sélectionner quel périphérique doit se trouver en 
première position, puis deuxième, troisième etc.

![BIOS : configuration de l'ordre de Boot (sources linuxtrack.net)](img/bios-startup.png)  

Voici le nom des périphériques tels qu'ils peuvent apparaître dans le BIOS :

- Un lecteur de **cd-rom** apparaîtra généralement en tant que **CD/DVD** 
ou **CD-ROM**
- Un **disque dur** apparaîtra généralement en tant que **HDD** ou 
**HARD DRIVE** ou **HARD DISK** ou encore **IDE**...
- Un périphérique **USB** apparaîtra en tant que **USB HDD**, **USB DRIVE** 
ou **USB DEVICE** ou **Removable Device**.

#### Configuration du BIOS/UEFI/Secure Boot

Si votre machine utilise un BIOS/UEFI équipé du fabuleux "Secure Boot", 
la manipulation est légèrement différente.

Chaque fabricant à son propre UEFI, les explications et les images qui vont 
suivre seront peut-être différentes chez vous.

**Désactiver le secure boot**

A l'aider des touches du clavier ou de la souris sélectionnez l'onglet 
"Security" ou "Authentication". Vérifiez que "secure boot" soit en "Disabled" :

![SecureBoot : désactivation 1 (sources linuxtrack.net)](img/secureboot1.png)

![SecureBoot : désactivation 2 (sources linuxtrack.net)](img/secureboot2.png)

**Changer l'odre de démarrage**

Maintenant il faut changer l'ordre de démarrage afin que le système boot en 
premier sur la clé USB (ou le DVD). Cliquez sur l'onglet "Boot" et modifiez 
si nécessaire de manière à ce que votre support soit le premier dans la 
liste comme pour le chapitre "BIOS" précédent.

![Sauvegarde des réglages (sources linuxtrack.net)](img/bios-uefi-save.png)

Sauvegardez vos modifications et passez à l'installation de Debian.

## Tester Debian sans risque

La meilleure façon de faire votre choix : essayer le système directement 
sur votre ordinateur !  
Deux possibilités s'offrent à vous : vous pouvez tester une distribution 
GNU/Linux depuis une session autonome de type "live" ou directement depuis 
votre système windows® grâce à un logiciel de virtualisation : VirtualBox.

### Tester Debian en session Live

Debian fournit des images autonomes de type "live" permettant de tester sans 
risque un environnement. Leur particularité est de ne rien modifier sur 
l'ordinateur, tout se passe en mémoire vive et est oublié une fois l'ordinateur 
éteint. Ces images disposent parfois d'un lanceur d'installation sur le bureau 
qui permet, une fois testé, d'installer Debian directement depuis votre session.  
Pour profiter d'une image live, visitez cette page : 
[https://www.debian.org/CD/live/index.fr.html](https://www.debian.org/CD/live/index.fr.html).

![noob](img/noob-modarp-circle-icon.png)  
Le principe du Live CD est de pouvoir utiliser/tester une distribution sur un 
ordinateur sans risques pour vos données personnelles. Le Live permet aussi de 
tester la compatibilité de votre matériel.  
Debian est "compressé" dans un fichier spécial (le squashfs.filesystem) et 
intégré dans l'image ISO que vous avez téléchargée. C'est ce fichier spécial qui 
est “décompressé” lors de l'utilisation en Live. Il sera copié sur votre disque 
dur lors de l'installation.

Au lancement, le menu est différent des ISOs classiques Debian puisque 
l'entrée "Live" vous attend :

![Le menu d'accueil du Live Debian](img/deb9-debianlive.png)

![](img/deb9-debianlive-install-launcher.png)  
Quelle que soit la version choisie (Gnome, KDE, Xfce...), vous trouverez sur le 
bureau et/ou dans le menu "Système", une entrée pour installer directement 
Debian. Ainsi, après avoir testé la compatibilité de votre machine, vous 
pourrez directement installer l'environnement choisi depuis la session "live".

### Tester Debian depuis Windows® avec VirtualBox

![vbox](img/vbox_logo.png)  
**Virtualbox** ([http://www.virtualbox.org/](http://www.virtualbox.org/)) est 
un logiciel de virtualisation disponible pour les principaux systèmes 
d'exploitation. Ce logiciel va vous permettre de tester votre Debian ou tout 
autre OS GNU/Linux directement sur votre bureau Windows®. Virtualbox n'est pas 
le seul logiciel de virtualisation : vous trouverez une liste sur la page 
dédiée Wikipédia 
([https://fr.wikipedia.org/wiki/Virtualisation#Hyperviseur_de_type_2](https://fr.wikipedia.org/wiki/Virtualisation#Hyperviseur_de_type_2)).

Internet fourmille de tutoriels à propos de l'installation de Virtualbox. 
Je vous laisse consulter le tutoriel de WikiHow 
([http://fr.wikihow.com/installer-VirtualBox](http://fr.wikihow.com/installer-VirtualBox) 
(cc-by-nc-sa)) et la documentation officielle VirtualBox en PDF : 
[https://www.virtualbox.org/download/testcase/manual/UserManual_fr_FR.pdf](https://www.virtualbox.org/download/testcase/manual/UserManual_fr_FR.pdf)

![noob](img/noob-modarp-circle-icon.png)  
**... on part dans le monde virtuel là ??**
Oui, un peu . Le logiciel de virtualisation permet de tester ou d'installer 
**un système *dans* un système**, et d'assurer l'indépendance des deux 
installations. VirtualBox va "faire croire" au système que vous désirez tester 
(désigné comme "*système invité*") qu'il est tout seul sur son ordinateur, 
tout en assurant des échanges (dossier partagé, partage de la connexion réseau, 
etc) avec le *système hôte*.  
Votre système invité sera installé sur un "disque virtuel", qui sera simplement 
comme une grosse archive dans un dossier de vos documents.  
Notez que cette méthode de test ne permet pas de vérifier la compatibilité du 
matériel et n'est là que pour vous faire découvrir une distribution avant de 
l'installer sur votre disque dur.

## Installation simple boot

Et voici le moment tant attendu, l'installation proprement dite du système 
Debian GNU/Linux sur votre machine ... Prêt à vous lancer dans l'aventure ?

Voici un pas à pas en image pour installer **Debian** simplement à l'aide de 
l'installeur graphique. **Cette méthode écrase la totalité du disque** et 
installe Debian comme unique système d'exploitation sur votre machine. 
L'image ISO est de type "netinst".  
L'installeur Debian affiche une explication à chaque étape. Sur GNU/Linux 
![gnulinux](img/gnulinux-mini.png), pas de publicité, alors prenez les 
quelques secondes nécessaires pour lire les petits messages de votre futur système

### Lancement de l’installation

En démarrant sur l'installeur, on commence par le sélecteur du mode d'installation :

![installation : choix du mode (BIOS)](img/debian-9-install-01.png)

Si votre carte mère démarre en 
[UEFI](https://fr.wikipedia.org/wiki/Unified_Extensible_Firmware_Interface), 
l'apparence peut changer légèrement :

![installation : choix du mode (UEFI)](img/debian-9-install-01-efi.png)

Lors du lancement, l'installeur propose 2 modes d'installation :

- le mode **Install** qui propose un texte en gris sur fond bleu avec un 
déplacement uniquement au clavier grâce aux flèches, à la touche 'Tab ⇆' et 
à la touche 'Espace' pour cocher ou décocher une case.
- Le mode **Graphical Install** propose une interface plus jolie et utilisable 
avec une souris.

Chaque panneau de l'installeur dispose d'un texte explicatif clair qui 
récapitule l'action en cours. Quand vous ne savez pas, prenez les réglages 
par défaut. **Attention à l'étape du partitionnement** : celui-ci va écraser 
les données sur le disque désigné pour y installer Debian.

### Sélection de la langue

Le choix de la langue du système par défaut : ce choix modifiera aussi la 
langue de l'installeur lui-même qui affichera ensuite les messages en 
français (si vous prenez "French").

![installation : choix de la langue](img/debian-9-install-02.png)

### Choix de la situation géographique

Ce choix permet de configurer automatiquement la date et l'heure de votre 
système depuis un serveur de temps distant.

![installation : choix du pays](img/debian-9-install-03.png)

### Configurer le clavier

![installation : choix du clavier](img/debian-9-install-04.png)

### Configurer le nom du système

![installation : choix du nom d'hôte](img/debian-9-install-06.png)

### Configurer un nom de Domaine (optionnel)

Ne rien mettre si vous ne savez pas.

![installation : choix du nom de domaine](img/debian-9-install-07.png)

### Création du compte root

Entrez le mot de passe pour l'administrateur (deux fois pour confirmer). 
Comme indiqué dans le petit texte à caractère informatif, la création d'un 
compte administrateur "root" n'est pas obligatoire. Si vous laissez les 
champs libres, le premier utilisateur recevra les pleins pouvoirs (du 
crâne ancestral avec la force toute puissante...) et pourra effectuer 
les tâches d’administration en utilisant la commande "sudo" accompagnée 
de son propre mot de passe.

Le mot de passe n'est pas affiché par défaut mais vous pouvez cocher les 
cases adéquates afin de vérifier la correspondance des mots de passe. Ne 
mettez pas "*motdepasseadmin*" ... par pitié. Plus d'information sur les 
mots de passe dans le chapitre 10.1.3.

![installation : mot de passe administrateur](img/debian-9-install-08.png)

### Création du premier utilisateur

Commencez par indiquer **le nom complet** de l'utilisateur principal :

![installation : nom complet de l'utilisateur principal](img/debian-9-install-09.png)

Puis renseignez **l'identifiant**, c'est-à-dire le pseudo utilisé lors 
de la connexion (login) :

![installation : identifiant de connexion de l'utilisateur principal](img/debian-9-install-10.png)

### Mot de passe pour le premier utilisateur

Comme pour l'administrateur, répétez le mot de passe deux fois pour confirmer :

![installation : mot de passe de l'utilisateur principal](img/debian-9-install-11.png)

### Choix du mode de partitionnement assisté ou manuel

![noob](img/noob-modarp-circle-icon.png)  
**.... kézako le "partitionnement" ?**  
Le partitionnement est l'organisation des différentes partitions de votre système. 
Les partitions sont des zones définies de votre disque dur, chacune avec ses 
spécificités (système de fichier, identifiant unique, etc). Pour fonctionner 
correctement, Debian GNU/Linux a besoin au minimum d'une partition afin d'y 
installer le système. Une partition supplémentaire d'échange (la SWAP) est 
très vivement conseillée afin de pallier à un manque de mémoire vive, mais 
aussi pour accéder aux fonctions de mise en veille et d'hibernation.  
Le schéma de partitionnement assisté propose 2 partitions (système + swap) 
mais vous pouvez opter pour un schéma proposant le "/home" séparé et utiliser 
un autre disque dur pour vos données personnelles par exemple.

Pour obtenir une installation de type "monoboot" (un seul système sur 
l'ordinateur), il faut sélectionner un disque entier :

![installation : choix du mode de partitionnement](img/debian-9-install-12.png)

### Choix du disque sur lequel on va créer la partition

![installation : choix du disque pour l'installation](img/debian-9-install-13.png)

### Choix du partitionnement

![installation : choix du partionnement](img/debian-9-install-14.png)

### Continuer ou modifier le partitionnement

![installation : vérifier le partitionnement proposé](img/debian-9-install-15.png)

### Récapitulatif du partitionnement et lancement du formatage

![warning](img/warning.png)  
**Attention ! À partir de cette étape, l'installeur commence à formater les partitions.**  
**Les données contenues sur le disque sélectionné seront effacées !**

![installation : confirmation du partitionnement : début de l'installation](img/debian-9-install-16.png)

Le système de base s'installe alors. Vous choisirez plus tard votre interface principale.

![installation](img/debian-9-install-17.png)

### Analyse des CD ou DVD supplémentaires (optionnel)

Optionnel : si vous avez opté pour la série de CD Debian contenant l'ensemble 
des paquets nécessaire à l'installation, c'est à ce moment que vous insérez le CD n°2.

![installation : insertion d'un support additionnel](img/debian-9-install-18.png)

### Choix du pays dans lequel se trouve le miroir

![noob](img/noob-modarp-circle-icon.png)  
**... je le dépose où le miroir ?**  
**Un dépôt miroir** est un serveur informatique accessible qui héberge 
l'ensemble des paquets Debian. Si vous ne disposez pas de tous les CD, Debian 
viendra piocher les logiciels ou paquets dont vous avez besoin sur des serveurs miroirs.  
Il existe des serveurs de dépôts dans le monde entier, chacun étant une copie de 
l'autre (miroir). Dans cet exemple nous choisirons dans les sections qui suivent 
un miroir situé en France, accessible depuis internet.

![installation : choix du pays pour le miroir des dépôts](img/debian-9-install-19.png)

### Choix du serveur hébergeant le miroir

Le choix par défaut est souvent le bon.

![installation : choix du miroir](img/debian-9-install-20.png)

### Configuration d'un serveur mandataire ou "proxy" (optionnel)

À laisser vide, si vous ne savez pas.

![installation : configuration du proxy](img/debian-9-install-21.png)

### Participation ou pas aux statistiques Debian

![installation : statistiques Debian](img/debian-9-install-22.png)

Cela peut être utile pour la communauté mais c'est sans obligation. 

### Sélection des logiciels

![installation : choix des logiciels et du bureau](img/debian-9-install-23.png)

C'est le moment de sélectionner votre interface de bureau principale ainsi que 
les services principaux installés par défaut. Notez que vous pouvez 
sélectionner plusieurs bureaux afin d'installer directement plusieurs 
environnements. Voici un petit descriptif des choix proposés :

- **Environnement de Bureau Debian** permet d'installer un bureau ou pas. 
L'installation d'un environnement de bureau peut se faire plus tard, ou ne pas 
se faire du tout, ce n'est pas indispensable pour un serveur par exemple. Mais 
si vous débutez, une interface graphique sera plus agréable à prendre en main.
- **serveur web** comprend une pré-sélection de paquets dédiés au serveur Web.
- **serveur d'impression** comprend une pré-sélection de paquets dédiés à la 
reconnaissance et la gestion de votre imprimante.
- **serveur SSH** permet l'activation du protocole ssh et la prise de contrôle 
à distance. **Attention !** l'activation du serveur SSH peut créer une 
faille de sécurité s'il est mal configuré. Pour **utilisateur confirmé** uniquement.
- **utilitaires usuels du système** comprend une série d'applications 
pour gérer votre système d'exploitation.

### Installation des paquets

C'est le moment de faire une pause : le téléchargement et l'installation des 
paquets peut prendre un certain temps en fonction de la puissance de votre 
machine et du débit de votre connexion internet.

![installation : téléchargement des paquets](img/debian-9-install-24.png)

### Installation de GRUB, le sélecteur de démarrage

![installation : installation de GRUB](img/debian-9-install-26.png)

### Choix de l'emplacement pour GRUB

Dans une installation de type monoboot simplifiée, installez Grub sur le 
**disque principal** de votre ordinateur, généralement désigné sous le 
joli nom de "sda".

![installation : choix du disque pour GRUB](img/debian-9-install-27.png)

### On termine et on relance l'ordinateur

![installation : fin de l'installation](img/debian-9-install-29.png)

On termine en pensant à retirer le CD ou la clé USB pour éviter de retomber 
sur l'installeur au redémarrage (en cas de changements effetués dans le BIOS).

### Premier démarrage de Debian

Le sélecteur de démarrage GRUB : L'entrée par défaut lancera votre système et 
les options avancées intègrent le lancement en "mode recovery" qui vous permet 
d'effectuer certaines tâches de maintenance en cas de perte de session graphique :

![installation : redémarrage](img/debian-9-install-30.png)

L'ouverture de session pour Gnome, l'écran de connexion géré par GDM :

![Debian : l'écran de connexion](img/debian-9-gdm.png)

L'interface par défaut de Debian sur le bureau Gnome-Shell :

![lancement de Gnome-Shell](img/debian-9-gnome-shell.png)

## Installations détaillées en ligne

Debian offre plus de possibilités que la méthode d'installation décrite dans 
le chapitre précédent, mais ce manuel étant destiné aux débutants, les modes 
d'installation plus complexes sont détaillées dans les différents wiki de la 
communauté.

Pour avoir une idée, petite présentation des autres modes d'installations...

### Dual-Boot

Le "**DualBoot**" permet d'installer côte à côte deux systèmes indépendants 
l'un de l'autre et ainsi vous permettre, au démarrage de votre ordinateur, 
de choisir quel système lancer.

![warning](img/warning.png)  
**Ce n'est pas la méthode recommandée** : elle comporte un risque pour vos 
données lors du redimensionnement des partitions. Si vous choisissez cette 
solution pour débuter sur Debian, sachez que vous pouvez tout à fait tester 
depuis une **session Live** (chap.5.3.1) sans risque pour vos données.

Une documentation complète sur le DualBoot est disponible sur Debian-Facile : 
[https://debian-facile.org/doc:install:dual-boot-debian-et-windows-sur-un-ordinateur-equipe-de-l-uefi](https://debian-facile.org/doc:install:dual-boot-debian-et-windows-sur-un-ordinateur-equipe-de-l-uefi).

### LVM ? Kézako ?

**LVM** sont les initiales de **L**ogical **V**olume **M**anager ou *gestionnaire 
de volumes logiques*.

Son utilisation consiste à :

- Créer une partition spécifique de type "LVM", (qui correspond à un **disque** monté).
- À l'intérieur de laquelle, nous créons et modifions à volonté des "volumes 
logiques", (qui correspondent aux **partitions**) que nous y créerons, 
eux-mêmes formatés et dimensionnés à notre convenance.

Ainsi, l'utilisation de "Volumes Logiques" remplace tout de go "le 
partitionnement" habituel des disques d'une manière beaucoup plus souple, 
permettant à tout moment la gestion du volume de chacun d'eux. 

De même, il est possible de conserver une partie de la partition LVM sans 
volume logique d'installé, dans l'attente d'une gestion ultérieure.

Plus de détails sur la page dédiée à LVM du wiki Debian : 
[https://wiki.debian.org/fr/LVM](https://wiki.debian.org/fr/LVM).

### Chiffrer, pourquoi faire ?

La confidentialité des données personnelles est un sujet d'actualité. Afin 
de protéger au mieux vos données, vous pouvez opter pour **l'installation 
chiffrée**. Avec ce type d'installation, même en cas de vol de votre 
ordinateur et démontage du disque dur, pas d'accès possible sans mot de passe !

[Les cahiers de l'admin](https://debian-handbook.info/browse/fr-FR/stable/sect.installation-steps.html#sect.install-partman) nous donnent plus de détails :

> Cette fonctionnalité peut se greffer très facilement en amont de n'importe quel système de fichiers puisque, comme pour **LVM**, Linux (et plus particulièrement le pilote "dm-crypt") utilise le "Device Mapper" pour créer une partition virtuelle (dont le contenu sera protégé) en s'appuyant sur une partition sous-jacente qui stockera les données sous une forme chiffrée (grâce à **LUKS** — **L**inux **U**nified **K**ey **S**etup soit "Configuration de clés unifiée pour Linux" — un format standard permettant de stocker les données chiffrées mais aussi des méta-informations indiquant les algorithmes de chiffrement employés).

Pour faire simple, LUKS crée un container pour y loger un volume chiffré 
protégé par un mot de passe.

Pour plus de détails et un guide complet, visitez le guide d’auto-défense numérique : 
[https://guide.boum.org/tomes/2_en_ligne/](https://guide.boum.org/tomes/2_en_ligne/).

### Le RAID, c'est dur ?

[Wikipédia](https://fr.wikipedia.org/wiki/RAID_%28informatique%29) est mon ami...

> Le **RAID** est un ensemble de techniques de virtualisation du stockage permettant de répartir des données sur plusieurs disques durs afin d'améliorer soit les performances, soit la sécurité ou la tolérance aux pannes de l'ensemble du ou des systèmes.
>
>**RAID** est l'acronyme de **R**edundant **A**rray of **I**ndependent **D**isks, ce qui signifie "regroupement redondant de disques indépendants".

Notez que l'installation Debian en mode RAID utilise le RAID Logiciel (grâce 
au logiciel mdadm) et non le RAID Matériel (géré par un contrôleur RAID physique).

Pour plus de détails et un tutoriel d'installation complet, visitez 
[le carnet du maker](https://www.carnetdumaker.net/articles/debian-8-jessie-en-configuration-raid-1-pour-les-nuls/).

